;-----------------------------------------------------------------------------;
; Captain Comic                                                               ;
;-----------------------------------------------------------------------------;
; Copyright 1989 Color Dreams Inc.                                            ;
; Copyright 1989 Michael Denio and Anthony Henderson                          ;
;-----------------------------------------------------------------------------;

.EQU    CAN1,     H'30 ; Can / Shield
.EQU    CAN2,     H'22
.EQU    CAN3,     H'12

.EQU T_CAN,    H'1
.EQU T_SHIELD, H'6
.EQU T_KEY,    H'17
.EQU T_CORK,   H'18
.EQU T_BOOTS,  H'19
.EQU T_WAND,   H'20
.EQU T_LANTERN,H'21
.EQU T_GEMS,   H'22
.EQU T_GOLD,   H'23
.EQU T_CROWN,  H'24

.EQU DOOR_SIZE,H'8

.EQU base_ptr,  0
.EQU next_ptr,  2

.EQU tiles,     H'280
.EQU pals,      H'28C

.EQU temp,      H'300
.EQU num_lines, H'301
.EQU scroll_x,  H'302
.EQU take_turn, H'303
.EQU turn_count,H'304
.EQU world_x,   H'305
.EQU draw_x,    H'306
.EQU draw_slot, H'307
.EQU draw_busy, H'308
.EQU draw_tlow, H'309
.EQU draw_thgh, H'30A
.EQU draw_plow, H'30B
.EQU draw_phgh, H'30C
.EQU scroll_p,  H'30D
.EQU world_p,   H'30E
.EQU lc1,       H'30F
.EQU lc2,       H'310
.EQU move_flag, H'311
.EQU on_ground, H'312
.EQU jip,       H'313
.EQU c_face,    H'314
.EQU sht_cycle, H'315
.EQU fireballs, H'316
.EQU spower,    H'317
.EQU bpower,    H'318
.EQU high_copy, H'319
.EQU created,   H'31A
.EQU world_adj, H'31B
.EQU dead_flag, H'31C
.EQU save_px,   H'31D
.EQU save_py,   H'31E
.EQU save_pf,   H'31F
.EQU save_wx,   H'320
.EQU save_wp,   H'321
.EQU save_sx,   H'322
.EQU rest_px,   H'323
.EQU rest_py,   H'324
.EQU rest_pf,   H'325
.EQU rest_wx,   H'326
.EQU rest_wp,   H'327
.EQU rest_sx,   H'328
.EQU up_cnt,    H'329
.EQU life,      H'32A
.EQU scr_status,H'32B
.EQU play_count,H'32C
.EQU aux_c1,    H'32D
.EQU aux_c2,    H'32E
.EQU aux_c3,    H'32F
.EQU tempx,     H'330
.EQU tempy,     H'331
.EQU tempc,     H'332
.EQU item_id,   H'333
.EQU item_type, H'334
.EQU item_shp,  H'335
.EQU item_x,    H'336
.EQU item_y,    H'337
.EQU world_no,  H'338
.EQU page_val,  H'339
.EQU start_val, H'33A
.EQU title_val, H'33B
.EQU saux_c1,   H'33C
.EQU saux_c2,   H'33D
.EQU saux_c3,   H'33E

.EQU bpowerg,   H'380
.EQU spowerg,   H'388
.EQU score,     H'390
.EQU hscore,    H'397

.EQU world_data,H'400

.EQU captain,   H'500
.EQU shots,     H'50C
.EQU dorks,     H'548
.EQU item_flags,H'594
;next -- 5AC

.EQU    spY,    H'700
.EQU    spC,    H'701
.EQU    spP,    H'702
.EQU    spX,    H'703

.EQU    BOUNCE   ,H'01
.EQU    HOP      ,H'02
.EQU    CRAWL    ,H'03
.EQU    HOVER    ,H'04
.EQU    DBOMB    ,H'05
.EQU    CRAWL2   ,H'06

.ORG    H'8000
moon_data:
.DB     H'FF    ; CC0
.DB     H'26    ; CC01
.DB     H'11    ; CC02
.DB     H'01    ; CC03
.DB     H'00    ; CC11
.DB     H'10    ; CC12
.DB     H'15    ; CC13
.DB     H'13    ; CC21
.DB     H'37    ; CC22
.DB     H'16    ; CC23
.DB     H'1B    ; CC31
.DB     H'0B    ; CC32
.DB     H'01    ; CC33

.DB     H'37    ; CCS11              ;enemy 1  (pollen)
.DB     H'26    ; CCS12
.DB     H'17    ; CCS13
.DB     H'20    ; CCS21              ;enemy 2
.DB     H'14    ; CCS22
.DB     H'04    ; CCS23

.DB     H'00    ; E_POWER
.DB     H'01    ; E_PAL
.DB     H'04    ; E_ATIME
.DB     H'01    ; E_IXV
.DB     H'01    ; E_IYV
.DB     BOUNCE  ; E_MTYPE
.DB     212     ; E_STAGE0
.DB     216     ; E_STAGE1
.DB     220     ; E_STAGE2
.DB     224     ; E_STAGE3

.DB     H'01    ; E_POWER
.DB     H'01    ; E_PAL
.DB     H'04    ; E_ATIME
.DB     H'01    ; E_IXV
.DB     H'01    ; E_IYV
.DB     BOUNCE  ; E_MTYPE
.DB     212     ; E_STAGE0
.DB     216     ; E_STAGE1
.DB     220     ; E_STAGE2
.DB     224     ; E_STAGE3

.DB     H'00    ; E_POWER
.DB     H'02    ; E_PAL
.DB     H'06    ; E_ATIME
.DB     H'01    ; E_IXV
.DB     H'02    ; E_IYV
.DB     HOVER   ; E_MTYPE
.DB     228     ; E_STAGE0
.DB     232     ; E_STAGE1
.DB     236     ; E_STAGE2
.DB     240     ; E_STAGE3

.DB     H'01    ; E_POWER
.DB     H'02    ; E_PAL
.DB     H'08    ; E_ATIME
.DB     H'01    ; E_IXV
.DB     H'01    ; E_IYV
.DB     DBOMB   ; E_MTYPE
.DB     6*4     ; E_STAGE0
.DB     7*4     ; E_STAGE1
.DB     8*4     ; E_STAGE2
.DB     7*4     ; E_STAGE3

.DB     T_CAN+3 ; ITM_ID
.DB     T_CAN   ; ITM_TYPE
.DB     31*4    ; ITM_SHP
.DB     CAN1    ; ITM_C1
.DB     CAN2    ; ITM_C2
.DB     CAN3    ; ITM_C3
.DB     0       ; ITM_PAGE
.DB     18      ; ITM_X
.DB     10      ; ITM_Y

.DB     T_SHIELD+2; ITM_ID
.DB     T_SHIELD; ITM_TYPE
.DB     32*4    ; ITM_SHP
.DB     CAN1    ; ITM_C1
.DB     CAN2    ; ITM_C2
.DB     CAN3    ; ITM_C3
.DB     0       ; ITM_PAGE
.DB     232     ; ITM_X
.DB     5       ; ITM_Y

.DB     T_GEMS  ; ITM_ID
.DB     T_GEMS  ; ITM_TYPE
.DB     11*4    ; ITM_SHP
.DB     H'30    ; ITM_C1
.DB     H'22    ; ITM_C2
.DB     H'12    ; ITM_C3
.DB     1       ; ITM_PAGE
.DB     203     ; ITM_X
.DB     5       ; ITM_Y

.DB     0       ; DOOR_PAGE
.DB     4       ; DOOR_X
.DB     6*16+16 ; DOOR_Y
.DB     2       ; DOOR_TWORLD
.DB     0       ; DOOR_TPAGE
.DB     81      ; DOOR_TX
.DB     3*16+16 ; DOOR_TY
.DB     2*DOOR_SIZE ; DOOR_TDOOR

.DB     1       ; DOOR_PAGE
.DB     241     ; DOOR_X
.DB     9*16+16 ; DOOR_Y
.DB     4       ; DOOR_TWORLD
.DB     1       ; DOOR_TPAGE
.DB     H'75    ; DOOR_TX
.DB     6*16+16 ; DOOR_TY
.DB     4*DOOR_SIZE ; DOOR_TDOOR

.DB     0,0,0,0,0,0,0,0
.DB     0,0,0,0,0,0,0,0
.DB     0,0,0,0,0,0,0,0
.DB     0,0,0,0,0,0,0,0
.DB     0,0,0,0,0,0,0,0
.DB     0,0,0,0,0,0,0,0

.DB     H'13    ; DC1
.DB     H'37    ; DC2
.DB     H'16    ; DC3
.DB     10      ; FT_TILE

.ORG    H'80A0
moon_map:
  .DB  65,105,104, 78, 75, 75, 79, 63,103, 63,104,108,107, 63,108,105
  .DB 108,107,103,107,107,106,103,107, 45, 46,103,107,104,107,108,106
  .DB 107,104,104,103,103, 63,103,108,104, 63,103,108,104,103,104,106
  .DB 104,108,104,108,104,104,103,104,103,103,104,107,103,104,103,103
  .DB 107,104,103,108,108,106, 63,105,108,104,107,108,103, 63,108,104
  .DB 103, 63,103,108,103,104,108,104, 63,104,108,107,108, 63,103, 63
  .DB 103,103,104,104,104,104,103,107,108,104,104,103,104,108,107,108
  .DB 103,104,103,104, 63,104,104,104,103,104,103,104,103,103,104, 63
  .DB 103,107,103,104,104,105,103,104,104,107,103,104,103,107,107,103
  .DB 104,106,104,108,103,104,107,103,104,107,104,104,107,104,103, 63
  .DB 104,107,103, 63,104,108,104,104,107,103,104,103,107,104,107,108
  .DB 104,107,103,104, 63,104,184,104,108,104,107,105,106,104,107,104
  .DB 103,106,103,104,108,104,107,103,104,105,104,103,108,107,104,104
  .DB 103,107,103,104,103,108,104,107,103,104,103,107,104,103,107,104
  .DB 107,104,106,103,103,104,106,104, 63,103,104,103,106,103,107,104
  .DB 103,108,103,104,108,103,104, 63,103,103,104,103, 63,103,106,104
  .DB 103,103,104,108,103,107, 63,104,103, 63,103,104,103,104, 63,103
  .DB 104,104,104,103,104,108,103,107,107,104,103,104, 63,103,104,107
  .DB 104,104,104, 63,103,107,104,103,104,107,103,105,104,107,104,103
  .DB 107,104,103,107,103,107,104,103,107,103,108,104,103, 98, 99,104
  .DB 103,107,104,108,103, 63,103,103,105,103,104, 63,103,104,104,107
  .DB 103,104,108,106,106,103,104, 63,103, 53,108,104,103, 63,104,103
  .DB 103,107,104,103,108,104,103,108,104,103, 63,104,103,108,104,107
  .DB 103,104,103,104,108,103,106,103,103,104, 63,103,104,103,108,103
  .DB 104, 63,103,104,105,104,103,105,103,104,104,108,104,103,104,103
  .DB 104,104,108,104,104,105,107,107,103,106,103,104,103,107,104,108
  .DB 106,107,107,105,108,103,104,108,103,104, 63,103,107,103,107,106
  .DB 104,107,104,103,107,106,108,103, 63,103,107,108,104,103,104,107
  .DB 103,108,104,103,104,108,103,104,107,104,103,103,104,103,106,107
  .DB 104,103,108,104,103,107,106,103,107,104,103,107,103,105,106,107
  .DB 103, 63,107,106,108,104,106,103,104, 28, 32,108,247,107,104,108
  .DB 104,108,107,105,108,103,106,184,108,107,103,107,103,107,104,107
  .DB  65,104,103, 78, 75, 75, 79,107, 63,184,107,105, 63,103,107, 63
  .DB 104,106,108,103,106,104,106, 63, 47, 63,103,103,106,106,104,108
  .DB 105,108, 63,104, 63,103,105,103,104,105,106,103,104,104,107,108
  .DB 103,104,103,105, 63,107,106,103,104,104,108, 63,107,103,106,104
  .DB 103,108,104,103,104,104,103,107,103, 63,103,107,104,103,106,107
  .DB 104,103,105,103,104,103,106,104,103,104,103,104,106,103,104,103
  .DB  63,104,107,105,103,108,104, 63,103,106,108,104,106,104,103,105
  .DB 104, 63,103, 63,103,107,107,104,104,103,104,104,108,108,103,108
  .DB 104,103,104,104,103, 63,103,107,108,103,104,103,104,103,104, 63
  .DB 103,104,108,104, 63,108,104,108,106,107,103,108,103,105,107,104
  .DB 106,104,108,103,106,103,104,107,106, 63,103,107,104,104,106,103
  .DB 107,103,107,103,103,106,106,107,103,108,103,104,103,107,104,104
  .DB 107,104,103,104,103,116,103,106,107,104,108,103,104,106,103,104
  .DB 104,106,107,103,108,103,107,105, 63,106, 63,247,108,103,106,108
  .DB 103,107,104,108,104,107,103,107,103,107,103,107,104,108,103, 63
  .DB 104,106,103, 54,103,104,107,105,104,106,104,107,106,108,103, 63
  .DB 104,106,104,103,105,104,103,104,108,104,104,106,104,107,103, 63
  .DB 103,104,104,104,107,105,107,104, 63,104,107,103,104,107,103,104
  .DB  53,103, 63,103,106,104,107,107,108,103,107,104,103,104,103,107
  .DB 103,104,108,104,107,103,107,108,103,107,103,104,107,101,102,104
  .DB 104,108,108,104,107,108,107,104,103,104,108,104,107,104,108,104
  .DB 103, 63,103, 63,106,103,107,105,104,106,103, 63,104,104,106,104
  .DB 104,104,104,107,105,104,107,103,104,108,103,104,107,106,108,103
  .DB  63,104,107,104,103,104,108,107,104,107,104,103,105,107,104,103
  .DB 108,103,106,107,103,104,103,106,104,104,107,106, 63,103,108,104
  .DB 104,107,103,106,104,107,103,104,104,107,103,107,105,104,103,104
  .DB 107,104, 53,106,103,107,103,104,107,107,103,103,104,108,103,108
  .DB 103,103,105,104,103,104,104,107,103,108,104,103,104, 63,104,106
  .DB 104,104, 63,104,103,104,106,108,103,106,104,107,116,108,104,103
  .DB 108,104,104,106,105,103,103,108,103,107,104,103,104,103,107,104
  .DB 247,104,103,108,103, 63,103,104, 29, 26, 25,105,104,108,107,107
  .DB  45, 46, 63,103,104,108,104, 63,103,104,106,104, 32, 28,108,105
  .DB  64, 64,104, 78, 75, 75, 79,106,104,108,107,108,104,107, 63,106
  .DB 104,104,107,106,104,107,108,103,108,104,103,108,107,104,105,106
  .DB 104,106,103,104,106,107,107,104,104,103,108,103,116, 63,104,103
  .DB 104,104, 63,103,104,103,107,107,103,104,103,104,103,104,103,104
  .DB 107,104,247,104,104,103,104,103,104, 28,103,104,103,107,104,107
  .DB 105,104,103,104,103, 63,103,103,107,103,104,105,104,107, 63, 53
  .DB 104,103, 54,103, 63,103,104,104,104,107,105,107,103,104, 63,104
  .DB 104,104,106,108,108,104,104,105,104,104,103, 63,106,105,104,104
  .DB 103,106, 63,108,104,103,106,103,104, 63,103,104,107,105,104,108
  .DB 104, 63,104, 63,104, 63,103,103,104,184,107,103,104,108,103,107
  .DB 107,107,103,104,108,104,103,104,103,104,108,104,108,103,104,116
  .DB 103, 63,104,104,107,104,108,103,104,103,104,107,108,104,103,103
  .DB 108, 22, 28,108,103,104,107,108,104,107,103,107,108,104, 63,103
  .DB  63,103,103,107,104, 63,103,108,103,107,103,108,103,108,103,105
  .DB 107,108,107,104,103,103,104,106, 63,104,108,105,107,104,107,104
  .DB 103, 45, 46,104,108,104,103,103,107,103,108,103, 63,103,104,106
  .DB 107,103,106,104,104,107,104,107,103,107,104,103,108,103,106,104
  .DB 104,104,108,104,104,103,247, 63,103,107,104,108,106,103,108,103
  .DB 104,107,104,103,108,103,103,107,104,104,108,106,104, 63,104,104
  .DB 108,107,103,104,103,105,107,103,104,103,104,103,104,107,106,104
  .DB 108,105,107,107,103,108,103, 63,104,107,104,106,104,104,103, 63
  .DB 107,104,107,104,104,108,103,104,108,104,107,104,103,107,104,103
  .DB 107,106,103,104,104,108,103,107,104, 45, 46,103,104,107,104,104
  .DB 103,107,103,105,107,104,103,107,103,107,103,107,104,104,103,107
  .DB 103,107,104,103,106,104,105,103,103,107,103,105,103,107,104, 45
  .DB  46,103,105,104,103,104,108,107,104,103, 63,103,104,103,107,106
  .DB 104,103,104,104,107,103, 63,103,103,104,103, 63,106,103,107,104
  .DB 108,104,103,108,104, 63,103, 54,106,103,104,108,104,103,107,104
  .DB 247,108,103,104,104,104,107,105,104,108,103,104, 63,104,103,107
  .DB 103,104,105,103,104,104,103,104,104,184,103,107,106,108,103,104
  .DB 103,107, 63,103,105,104,104, 29, 23, 31, 27, 30,104,106,108, 48
  .DB  49, 50, 51,104, 63,103,108, 22,107, 63,105, 29, 23, 31, 30, 54
  .DB  65,103,108, 78, 75, 75, 79,106,107,107,103,104, 63,103,108,104
  .DB 107,103, 63,105,104,104,104,105,104,104,108,104,104,104,106,108
  .DB 107,104,107,105,104,105,103, 63,103,107, 63,103,104,104,103,104
  .DB 103,104,104,103, 63,103,104,103,108,107,104,108,103,108,105,104
  .DB 108,103,107,104, 63,108,103,104, 28, 25, 32,106,108,104,103,103
  .DB  63,107,104,103, 63,106,107,104,104, 63,103,104,103,104,104,103
  .DB  63,103,104,104,107,104,103,104,103,104,104,104,103,104,103,104
  .DB 103,105,104,104,103,103,104,108,103, 63,104,107,104,103,104,103
  .DB 104,103,107,104,107,104, 63,103,104,103,104,103, 54,104,104,106
  .DB 104,107, 63, 63, 63,104,104, 63,103, 63,104,107,108,103,107,104
  .DB  63, 24, 28, 63,108,103,105,104,103,104,106,108,103,104,104,103
  .DB 104,106,107,108,103,107,103,104,103,108,103,103,106,108,103,106
  .DB  28, 25, 26,104,103,108,103,104,107,103,104, 63,103,104,104,107
  .DB 104,108,103,104,103,104,107,104,104,108,104,107,103,104,104,108
  .DB 103, 63,103,103,106,104,107, 53,104,103,104, 63,103, 63,103, 63
  .DB 107, 47, 63,103,107,107,103,108,104,104,104,107,104,107,106,104
  .DB 103,107,104,106, 53,103,107,106, 63,103, 63,104,104,104,104,103
  .DB 107,103,104,103,107,104,104,104,107,104,103,104,107,103,104,104
  .DB 107,103,108,104,104,104,107,104,103,107,103,103,108,103,107,107
  .DB 103,116, 63,107,107,103,108,104,103, 63,103,104,107,103, 63,103
  .DB 104,104,104,103,104,106,104,103,107,104,103, 54,107,104,107,103
  .DB 104,106,103,107,104,104,103, 63,103,107,104,107,108,104,108,108
  .DB 103,107,104, 63,103,104,104,103, 63, 47, 63,103,104,104,103,108
  .DB 107,104,104,104,103, 63,103,104, 63,104,108,103,103,106,107,103
  .DB 106,104,106,108,104,103,104,105,103,104,106,103,104,103, 48, 49
  .DB  50, 51,104,108,103, 63,103,103,106,108,104,103,108,103,104,103
  .DB 103,107,104,103,104,104,103,104,108,103,104,103,104,184,103, 63
  .DB 103,103,107,104,103,104,104,103,107,104,106,104,103,107,104,103
  .DB 104,104,107,103,104,104,103,106,104,103,104,103,103,103,106,104
  .DB 104,103,104,106,103,108,103,107,103, 63,103,106,103,106,104, 32
  .DB  32,104,103,107,104,103,247, 25, 60, 61, 31, 23, 30, 32,107,105
  .DB 107,116,106,107, 24, 29, 30, 25, 28,103, 29, 23, 31, 31, 23, 30
  .DB  65,107,144, 78, 76, 77, 79,145,106,104,108,107,107,105,104,107
  .DB 106,104,105,107,107,107,104,104,108,104,103,107,103,105,104,106
  .DB 105,108,104,108, 63,104,104,106,107,103,103,104,105,103,104,103
  .DB 108,104,103,108,103,108,103,104, 22,104,103,104,104,107,104,103
  .DB 104,104,104,106,104,104,103, 24, 26, 31, 25,103,104, 45, 46, 63
  .DB 103,106,104,104,103,108,103,104,108,104,104, 63,103,104,106, 63
  .DB 106, 63,106,104,104,108,106,103,107, 63,103,104,104,104,103,108
  .DB 104, 63, 97,100,104,104,103,104,104,103,104,103, 63,103,107,105
  .DB 104,103, 63,104,104,104,103,107,104,103,104,104,104,104,104,107
  .DB 103, 63, 63,107, 63, 63,104,104,107,104,108,103,104, 63,106,108
  .DB 103, 27, 26, 28,104,107, 63,106,104,107,104,107,104,108,103,107
  .DB 103,108,104,103,108,104, 63,103,107,106, 63,103,108,104,103, 32
  .DB  26, 31, 23,103,107,103,108,103,106,107,107,106,104,104, 63,104
  .DB 107,103,105,108,103, 63,103,107,104,103,108,104, 63,103, 63,104
  .DB 108,104,104,107,104,103,104,107,103,107,103,104,103,104,103,107
  .DB 108,103,104, 63,103,104,107,104,107,107,103,106,103,104,104,104
  .DB 106,103,106,103,104,108,104, 63,104,103,104,107,104,103,105,107
  .DB 104,107,104,107,104,108,103,107,103,104,107,104,103,108,104,105
  .DB 104, 63,103,107,103,107,103, 63,103,104,107,104,104,107,104,103
  .DB 104,104,103,104,103,107,103,103,108,103,104,105,104,107,104,108
  .DB 103,108,103,103,107,104,108,103,103,107,103,107,103, 63,104,108
  .DB 104,104,103,103,107,103,107,103,104,104,108,103,184, 63,105,103
  .DB 104,103,104,103,103,104,104,108,103,104,104,104,103,108,104,105
  .DB 104, 63,103,107,104,104,104,103,107,103,103,107,104, 54, 28,104
  .DB 105,103,104,103,104,105,104,103,108,106,103,107,103,107,103,107
  .DB 104,108,104,103,107,104,103,107,103,103,107,116,104,103,104,104
  .DB 104,103, 63,108,104,103,107,107,105,104,103,108,103,104,104,103
  .DB 106,104,103,106,104,103,104, 63,104,107,103,104,107,104,103,104
  .DB  63,103,106,104,103, 63,103,104,107,103,104,108,104,103,104,103
  .DB 104,107,103,108,105,103,107,105,108,103,107,104,103,108, 28, 26
  .DB  25,104,104, 29, 30, 32, 29, 31, 10, 62, 31, 31, 31, 25,104,103
  .DB 104,106,103, 28, 25, 23, 31, 27, 23, 30, 25, 31, 31, 31, 31, 27
  .DB  65,104,146, 78,147,148, 79,147,107,107,106,108,106,108,108,108
  .DB 104, 63,103,104,107,103,106,108,108,106,108,103,108,104,106,105
  .DB 106,107,104,104,103, 63,103,105,108,104, 32,103,104,107,108,104
  .DB 108, 63,106,104, 63,107,104, 28, 25, 32,104, 63,106, 63,104,107
  .DB 103, 28, 30,104,108,107, 32, 25, 31, 31, 25,104,103, 47, 22, 28
  .DB  63,103,108,103,104,107, 63,103,104,103, 63, 28, 63,103, 63,105
  .DB 108,106,104,116, 63,103,104,104, 63,103,104,108,105,104,103,107
  .DB 104,103, 98, 99,103, 63,103,104,103,104,104,104,103,104,103,104
  .DB 103,104,103,105,107,103,104,103,103,104,104, 63,104,104,107,108
  .DB  63,104, 63, 63,108,103,104,107,103,107,103,104,108,103,104,103
  .DB 104, 27, 23, 26, 63,104,103,104,103,106,108,103, 63,103,107,106
  .DB 108,104,247,103,104,107,105,104,104,108,103, 54,103,107, 29, 23
  .DB  31, 31, 25, 24,104,106,104,104,108,104,103, 63,103,107,103,106
  .DB 103,104,107,104,107,103,104,104,106,107,104,108,103,107,104,107
  .DB 103,103,106,104,105,108,103,104,107,104,108,103,108,103,107,105
  .DB 103, 63,103,107,247,104,104,106,103,104, 63,104,104,108,104,106
  .DB 105,106,106,107,106,103,107,103,104,104,106,103,107,104,108,104
  .DB 103,104,103,103,106,103,107,104,107,103,104, 63,103,107,103,107
  .DB 103,104,104,104, 45, 46,104,104,106, 63,103, 63,104,103, 63,104
  .DB 108,103,107,104,107,103,107,104,106,104, 63,103,107,103, 63,107
  .DB 107,104,107,103,103, 63,103,104, 63,103,108,104,107,104,104,103
  .DB 107,103,107,104,104,104,104,103,105,103,104,107,104,103,104,104
  .DB 104, 63,103,107,104, 63,103,103,107,104,103,104,107,103,104,106
  .DB 104,103,108,104,108,103,104,103,103,107,103,104,103, 29, 31, 30
  .DB 103,104,106,106,107,106,107,106,105,104,107,106,104,108,103,105
  .DB 104,103,104,108,104,103,108,104,107,104,106,104,103, 63,103, 63
  .DB 104,104,103,107,106, 64, 64, 64,103,103,107,104,104,103, 63,104
  .DB 103,108,104,106,104,104,103,104,104,104,107,103,103,104,103,107
  .DB 103,104,107,104,106,104,106,107, 45, 46,103,103,107,103,103,104
  .DB  63,103,104,103,104,108,103,106,103, 28,104,106,107,104, 25, 31
  .DB  23, 30, 29, 23, 31, 26, 31, 31, 78, 79, 31, 23, 31, 31, 30, 32
  .DB  29, 30, 29, 27, 23, 31, 60, 61, 31, 23, 31, 31, 31, 31, 23, 31
  .DB  65, 30,146, 78,147,148, 79,147,103,105,103,104, 63,104,107,108
  .DB 106,104,107,105,103,107,106,103,104,108,105,104,107,108,104,106
  .DB 104,184, 63,106,108,103,104,104,103, 29, 26, 30, 32,103,106,103
  .DB 104,103,104,103,107,103,103, 26, 27, 23, 30, 28,108,103,104, 32
  .DB  29, 23, 26, 30, 28, 29, 26, 31, 31, 23, 31, 30,103, 24, 25, 25
  .DB 103,108,105,103,103,104,103,106,107,104, 24, 26, 32,104,104,103
  .DB 106,103,104, 63,103,107,104,107,103,108,106,103,108,106,103,104
  .DB 107,104,101,102,103,107,104,104,107,103,103, 63,103,104,104,104
  .DB 247,103,104,103,104, 63,104,104,103,104,105,104,103,104,103,104
  .DB 105, 63,108, 63,104,107,103,104, 63,106,103,107,103,104,108,104
  .DB  29, 26, 31, 23, 30,103,108,104,108, 32,104,107,106,107,104, 63
  .DB 103,107,103,103,104,108,103,108,104,104, 63,103,104, 32, 25, 31
  .DB  31, 31, 31, 25,104,103,103,108,103,103,107,104,105,104,104,104
  .DB 103, 63,103,116,104, 63,103,108,103,104,105, 32,104,104,108,104
  .DB  64, 64, 64, 64,103,104, 64, 64, 64, 64,106,104,103,108,104,104
  .DB  63,104,107,106,108,103,104,103, 24,107,104,103,107,103, 64, 64
  .DB  64, 64, 64,103,106, 64, 64, 64, 64, 64,103, 63, 64, 64, 64, 64
  .DB  64, 63,107,104,104,107,104,107,104,107,104,103,104,108,104,103
  .DB 107,103, 63, 48, 49, 50, 51,103,107,103,105,103,104,104,104,107
  .DB 103,107,108,103,107, 63,104,103,108,107,103,107,104,103,107,103
  .DB 104,103,103,108,104,103,104,108,103,104,106,104,103,108,103,105
  .DB 107,107,104,108,104,103,106,107,104,104,106,106,108,107,104,103
  .DB 104,103,103,104,107,103,104,107,105,103,108,103,107,104,107,104
  .DB 103,108,104,106,104,107,103,105,108,104,104,103,104, 26, 31, 25
  .DB  32,107,103,107,105,104, 97,100,103,106,103,103,106,103,104,103
  .DB 104,104,104,106,103,107,103,103,107,103,108,103,107,104,107,103
  .DB 107,103,107,104,107,103,108,103,103,106,108, 64, 64, 64, 64,104
  .DB  63,103,104, 64, 64, 64, 64,103,107,104,103,104,104,104,106,103
  .DB 107,103,103,116,103,108,103,104, 47, 64, 64, 64, 64,108,104,103
  .DB 103,104,103, 63,107,103,104,107,103, 26, 30,107,103, 29, 31, 31
  .DB  31, 31, 23, 31, 31, 27, 31, 31, 78, 79, 23, 31, 31, 31, 23,249
  .DB 250,250,250,250,251, 31, 10, 62, 31, 31, 31, 31, 60, 61, 31, 23
  .DB  65, 64, 64, 64, 64, 64, 64,147,104,108,104, 63, 32, 29, 30, 22
  .DB 103,104, 28, 32,107,104,107,106,108,107,104,107, 28, 22,103,106
  .DB 105,108,104, 63,104, 63,103, 22, 28, 26, 23, 31, 26, 32,104,108
  .DB 105,104,108,104,106,103, 28, 26, 31, 31, 23, 27, 30, 32, 29, 23
  .DB  31, 31, 27, 31, 27, 23, 31, 31, 31, 31, 31, 23, 30, 26, 31, 25
  .DB  30,103,104,104, 28, 63,104,103, 63,103, 26, 31, 25,104,103,106
  .DB 103,106,103,104,104,103, 63,104,103,104, 63,103,104,103,104,105
  .DB 104,108,103,104,105,107,104,103,104,104,105,103, 63,104,103,106
  .DB 103,107,104,103,104,103,104,104,107,103,104,104,107,108,108,104
  .DB 106,107, 63,108,108,104, 63, 24,104,107,105,104,107, 53,107, 63
  .DB  26, 31, 31, 31, 26,104,106,104,103, 27, 30, 29, 30,104,107,103
  .DB  22, 28, 63,104,106,103,104,103,108,107,106,107, 28, 23, 23, 31
  .DB  23, 31, 31, 26,105,103,104,103, 28,104,106,103,108,104,108,107
  .DB 103,104,107,103,108,103,104,103,108, 32, 29, 25, 30,103,104,103
  .DB 107,104, 63, 28, 32,108,103,104,106,103,108,103,104,103,106,107
  .DB 103,108,103,107,103, 63,104,108, 26, 30, 32,104,103,106,104,103
  .DB 104,106,104,106,106,104,103,108,104,103,107,106,104,103,107,104
  .DB 104,103,104,103,108,103, 64, 64, 64, 64, 64,103,107,103,106,105
  .DB 108,104,103,108,104,107,103, 54,104,104,107,104,103, 64, 64, 64
  .DB  64,103,104, 64, 64, 64, 64,107,103,107,104,104,104,104,104,103
  .DB  63,103,105,103,107,103,107,103,105,107,103, 63,104,104,107,104
  .DB 108,103,107, 53,106,107,104,104,103,108, 97,100,103,104,104,107
  .DB 104,104,104,103,108,104,107,103,104,104,103, 28,103, 63,103, 63
  .DB 107,104,116,103,107,104,103,104,103,107,103,104,107, 23, 31, 31
  .DB  25, 30,105,103,107,103, 98, 99,105,104,103,107,103,107,104,107
  .DB 103,107,103,104,103,104,106, 63,103, 63, 64, 64, 64,103,104,105
  .DB 104,104,104,103,104,104,103, 63,103,104,104,104,104,108,104,103
  .DB 103,107,103,107,103,107,104,103,105,103,104,107,103,108,103,104
  .DB 103,107,104,103, 63,104,104,107,103,108,103,104,106,103,104,108
  .DB 104,103,107,103,107,105,108,103,104, 27, 23, 30, 29, 31, 31, 31
  .DB  31, 23, 31, 31, 60, 61, 31, 31, 78, 79, 31, 31, 31, 31, 31, 75
  .DB  75, 76, 77, 75, 75, 31, 78, 79, 60, 61, 31, 31, 10, 62, 31, 25
  .DB  65, 64, 64, 65, 64, 64, 65, 64, 64, 64, 64, 64, 64, 26, 27, 27
  .DB  30, 29, 23, 26, 30, 28, 29, 30, 32,104,107, 28, 27, 25,108,107
  .DB 106, 32,103,103, 29, 30, 29, 31, 27, 31, 31, 31, 31, 25,108,108
  .DB 107,104,103,104,103, 29, 31, 31, 23, 31, 31, 31, 31, 23, 31, 31
  .DB  31, 31, 31, 31, 31, 31, 31, 31, 31, 31, 31, 31, 23, 31, 31, 31
  .DB  23, 30,103, 29, 23, 30,103,104, 28, 29, 31, 31, 31, 30,104,103
  .DB 104,108,104,103, 32, 22, 28, 63,105,106,103, 63,107,104,104, 63
  .DB 104,104,103,104,107,103,104,108, 63,103,106,104,104,103,104,103
  .DB 104,103,105,106,103,104,107,108,104,104,107, 63,106,103,104,103
  .DB 104, 63,104, 63,104,107,103, 25, 28, 32,104,107,103,106,104, 29
  .DB  31, 31, 31, 31, 23, 30,104,104, 29, 31, 23, 31, 23, 30,108, 24
  .DB  26, 23, 30, 32,104,108,103,106,104,103,108, 32, 25, 31, 23, 31
  .DB  31, 31, 31, 23, 28,107,104, 29, 23, 30,103,107,104,107,103, 28
  .DB  32,107,104, 63,104,107,103,108, 32, 26, 31, 31, 23, 30, 32,103
  .DB 104,103, 29, 31, 23, 30,103, 54,103,107,106,106,107,104,108,104
  .DB  63,107,103,104,107,104,103, 29, 23, 31, 25, 32,108,104,107,105
  .DB  63,103, 63,103,106,104,107,106,103,107,104,107,103,107,104,103
  .DB 107,104,108,104,103,107,103,104,108,104,103,104,108,104, 64, 64
  .DB  64, 63,103,103,103,104,107,103,108,103,104,108,107,104,107,104
  .DB 103,104,107,107,103,105,104,103, 63,103, 64, 64, 64, 64,103, 63
  .DB 103, 63,104,103,103,247,103,107,103,104,107,104, 63,103,104,104
  .DB 103,107,104,107,104,103,108, 28, 29, 30, 98, 99, 32,108,106,104
  .DB 107,103,104,104,104,103,108,104,107,103,104, 26, 30,103,107,103
  .DB 104,103,104, 63,103,107,104,103, 63,103,104, 32, 29, 31, 31, 31
  .DB  31, 25, 30, 32,106,107,101,102,106,104,104,105,104, 64, 64, 64
  .DB  64,103,106,104, 64, 64, 64, 64,108,104,107,103,108,104,104,106
  .DB  64, 64, 64,104,103,107,104,103,104,103,108,103, 63,103,104,104
  .DB 103,106,107,103,106,103,103,104,107,104,103,104,108,104,104,104
  .DB 108,103,107,104,103,104,104,106,104, 28, 32,108,104,104,106,105
  .DB 103, 64, 64, 64, 64, 54,103, 64, 64, 64, 64, 31, 23, 64, 64, 64
  .DB  64, 31, 31, 31, 10, 62, 31, 31, 78, 79, 31, 60, 61, 31, 31, 75
  .DB  75,147,148, 75, 75, 31, 78, 79, 10, 62, 23, 31, 78, 79, 31, 31
  .DB  65, 64, 64, 65, 64, 64, 65,149, 29, 22, 27, 23, 65, 27, 25, 31
  .DB  31, 25, 27, 27, 31, 27, 23, 31, 23, 30, 29, 27, 27, 23, 30, 32
  .DB  29, 26, 28, 29, 26, 31, 23, 31, 31, 31, 23, 31, 31, 31, 30,104
  .DB 103,104, 54, 32, 29, 31, 31, 31, 31, 31, 31, 31, 23, 31, 31, 31
  .DB  31, 31, 31, 60, 61, 31, 31, 31, 31, 31, 31, 31, 31, 23, 31, 31
  .DB  31, 26, 28, 31, 31, 23, 30, 29, 27, 31, 60, 61, 31, 23, 30, 32
  .DB 103,104, 32, 29, 27, 23, 23, 30,103,104, 63,103,104,104,103,104
  .DB 104,108,105,104,108,104,104,103,104,104,103,103,104,104,103,104
  .DB  63,107,104,103, 63,108,104,105,107,103,103, 32,104,104,104,107
  .DB 108,104,107,104,107, 32, 29, 26, 31, 23, 30,103, 29, 30, 29, 23
  .DB  31, 31, 31, 31, 31, 23, 30, 29, 31, 23, 31, 31, 31, 23, 30, 25
  .DB  31, 31, 31, 23, 30, 32,107,104, 32, 32, 29, 23, 31, 25, 31, 31
  .DB  31, 31, 31, 31, 26, 30, 29, 23, 31, 25,103,104,103,108, 29, 31
  .DB  25, 32,108,105,104,103, 32, 29, 23, 31, 60, 61, 31, 31, 23, 30
  .DB 106, 29, 23, 31, 31, 23, 30, 29, 30,104,107,103, 64, 64, 64, 64
  .DB  64,104,104,108, 29, 30, 29, 31, 31, 31, 31, 23, 30,103,104,104
  .DB 104,108,103,107,104,103,104,107,103,104,103,103, 63,103,104,107
  .DB 103,107,103,107,104, 53,104,103,106,107,104, 63,103, 63,104,107
  .DB 107,104,103, 64, 64, 64,104,107, 64, 64, 64,104,103, 63,103,104
  .DB 105,104,104,107,106,103,107,104,103,105,103,104,104,108,104,103
  .DB 104, 29, 30,107,104,103,107, 29, 30,108,103,107,104,104,104,103
  .DB 107,104,103,104,104, 63,104, 26,194,195,195,197, 23, 30,104,103
  .DB 104,104,103,104,103,107,103,104,107,103, 29, 26, 26,104,104,104
  .DB 103,107,103,104, 28,106,108,104,103,104,103, 26, 31, 31, 31, 60
  .DB  61, 31, 31, 25, 32,103,107, 32,103, 32, 29, 30, 32,106,103,104
  .DB 104,108,103,108,103,107,103,104,108,103,104,103,103,104,103,107
  .DB 103,104,103,107,106,247,103,107,103,107,103,107,103,107,106,104
  .DB 104,103,104,184,104,103,104,103,106,108, 64, 64, 64, 64,104,103
  .DB 105, 64, 64, 64, 64,104,103,104, 29, 23, 23, 30,103,107,103,104
  .DB 108,103,108,106,103,103, 32, 29, 31, 23, 31, 31, 31, 31, 31, 31
  .DB  31, 31, 31, 31, 78, 79, 31, 31, 78, 79, 31, 10, 62, 31, 31, 75
  .DB  75,147,148, 75, 75, 31, 78, 79, 78, 79, 31, 31, 78, 79, 31, 27
  .DB  65,195,196,196,195,195,195,196,195,197, 23, 27, 65, 31, 31, 23
  .DB  31, 31, 31, 31, 31, 31, 27, 31, 31, 31, 27, 31, 31, 27, 31, 31
  .DB  23, 31, 31, 31, 27, 31,194,196,197, 31, 31,194,196,197, 25, 28
  .DB 105,103, 29,194,196,197, 31,194,196,197, 31, 31, 31, 31, 31, 31
  .DB  31, 31, 31, 10, 62, 31, 31, 31, 31, 31, 31, 31, 31, 31, 31, 31
  .DB  23, 31, 31, 31, 31, 31, 23, 31, 31, 31, 10, 62, 31, 31, 23, 31
  .DB  30, 29, 23, 31, 31, 31, 31, 31, 30,104, 28, 32,108,108, 29, 22
  .DB  32,104, 32, 29, 30,103,104,107,103,108,103,104, 32,103, 28, 63
  .DB 103, 32,103,104,103,104,103,104,104, 32, 29, 27, 30,104,104,103
  .DB 104,107,104, 28, 29, 27, 23, 31, 31, 31, 26, 28, 23, 31, 31, 31
  .DB  31, 23, 31, 31, 31, 31, 31, 23, 31, 31, 31, 31, 31, 31, 31, 23
  .DB  31, 31, 31, 31, 31, 23, 30, 29, 31, 25, 23, 31, 31, 31, 31, 31
  .DB  31, 23, 31, 31, 31, 27, 23, 31, 31, 25, 30,107,106, 29, 23, 31
  .DB  31, 31, 30, 32, 32, 29, 23, 31, 31, 31, 10, 62, 31, 31, 31, 23
  .DB 194,196,196,195,196,195,195,197, 23, 30, 29, 30,106,103, 63,103
  .DB 104,103,107, 29, 23,194,196,195,196,197, 31, 31, 23, 30,107,103
  .DB 116,107,103,104,108,104, 63,106,107, 28,107,105,104,107,104,104
  .DB 107,103,108,104,103,103,108,103,108,104,103,104,107,104,103,104
  .DB 104,103,104,108,103,107,107,103,107,104,103,104,106,104,104,108
  .DB 104,103,107,103,107, 63,104,103,108,104,107,103,107,103,105,106
  .DB  28,194,195,195,196,195,197, 27, 26, 30,104, 32,105, 32,104, 29
  .DB  30, 63, 28,108,104,103, 29, 27,198,200,199,201, 31, 23, 30,108
  .DB 103, 32, 28,108,105,103,107,104,104, 28, 26, 31, 23, 30,103,104
  .DB 107, 29, 30, 32, 26, 30,104,103,106,103, 29, 31, 31, 31, 31, 10
  .DB  62, 31, 31, 31, 31, 30, 29,194,195,196,197, 23, 25,103,104,104
  .DB 103,104,107,103,107,103, 54,107,104,107,104,107,106,103,107,104
  .DB 108,103,107,103, 63,103,108,106,103,103, 63,104,103,103,108,106
  .DB 103,104,106,103, 63,107,103,104,108,103,106,103,104, 63,103,106
  .DB 104,103,108,104,104,104,104, 28, 27, 23, 31, 23, 30, 32, 32,104
  .DB 103,103,104, 29, 30, 29, 23, 31, 31, 31, 31, 31, 31, 31, 31, 31
  .DB  31, 31, 31, 31, 78, 79, 31, 31, 78, 79, 31, 78, 79, 23,194,195
  .DB 195,196,195,196,195,197, 78, 79, 78, 79, 31, 31, 78, 79, 23, 31
  .DB  65,199,200,199,200,199,199,199,200,201,194,195,196,196,195,197
  .DB  31,194,196,195,196,196,195,196,196,195,196,195,195,196,195,195
  .DB 195,195,197, 31, 31, 27,198,199,201, 31, 31,198,199,201, 31, 31
  .DB  30, 29, 31,198,200,201, 31,198,199,201, 31, 31, 31,194,196,195
  .DB 197, 31,194,195,195,197, 31,194,195,195,197, 31,194,195,196,196
  .DB 195,196,195,195,196,197,194,196,195,195,195,196,195,195,195,195
  .DB 195,196,197,194,195,195,196,195,196,196,195,195,195,196,195,195
  .DB 195,195,196,197, 26, 30,107,105,106,107,104, 29,194,195,196,195
  .DB 195,196,196,196,195,196,195,195,195,196,195,196,197, 30,107,106
  .DB 107, 32, 29,194,195,196,195,196,196,196,195,195,196,196,197, 31
  .DB  23,194,196,196,197, 31, 23, 31,194,195,197, 31, 31,194,196,197
  .DB  31, 31,194,195,197, 31, 23, 31,194,196,195,197, 31, 31,194,197
  .DB  31,194,196,195,195,197, 25,194,197, 31,194,197, 29,194,195,195
  .DB 196,197, 31,194,197, 23, 31, 31,194,196,195,196,197, 31, 31, 31
  .DB 198,200,199,200,199,199,200,201, 31, 31, 23, 31, 30,104,103,104
  .DB 103,106, 29, 26, 31,198,199,200,200,201,195,196,195,196,197, 30
  .DB 107,104,104,103,103,106,107,104, 29, 27, 30,106,106,104,108,103
  .DB  54,104,103,107,103,104,107,108,103,105,104,108,104,108,107,103
  .DB 107,103,107,106,108,107,105,107,108,104,107,104,104,104,107,103
  .DB 107,104,104,107,108,107,103,108,103, 28, 32,104,107,108,103, 29
  .DB 194,198,200,199,200,199,201,195,196,195,196,197, 28,194,196,195
  .DB 196,195,197, 30,105, 29,194,195,198,200,200,201,196,196,195,195
  .DB 196,195,197, 30,103,103, 54,103, 22,194,195,196,195,195,195,196
  .DB 195,196,195,196,195,197, 30, 29, 22, 29,194,196,196,195,195,196
  .DB 195,195,196,195,196,195,195,198,200,199,201, 23, 26, 30,107,106
  .DB 105,104,103,107,108,104,107,106,105,103,104,103,108,104,107,103
  .DB 104,107,106,105,103,104,104,103,107,106,103,108,103,105,104,103
  .DB 106,103,104,106,104,103,108,103,104,103,107,103,104, 53,108,103
  .DB 104,103,104,107,103,106, 29,194,195,196,195,196,195,196,197, 30
  .DB 103,106, 29, 31, 23, 31, 31, 31, 31, 31, 31, 31, 31,194,196,195
  .DB 196,195,195,196,196,195,195,196,195,196,195,196,195,196,195,196
  .DB 195,195,196,195,196,196,196,196,195,196,195,195,195,196,195,196



;-----------------------------
.ORG    H'98A0
forest_data:
.DB     H'FF    ; CC0
.DB     H'17    ; CC01
.DB     H'27    ; CC02
.DB     H'0A    ; CC03
.DB     H'2D    ; CC11
.DB     H'10    ; CC12
.DB     H'19    ; CC13
.DB     H'13    ; CC21
.DB     H'37    ; CC22
.DB     H'16    ; CC23
.DB     H'1B    ; CC31
.DB     H'12    ; CC32
.DB     H'2C    ; CC33

.DB     H'37    ; CCS11              ;enemy 1
.DB     H'12    ; CCS12
.DB     H'02    ; CCS13
.DB     H'3A    ; CCS21              ;enemy 2
.DB     H'2A    ; CCS22
.DB     H'1A    ; CCS23

.DB     H'01    ; E_POWER
.DB     H'01    ; E_PAL
.DB     H'06    ; E_ATIME
.DB     H'01    ; E_IXV
.DB     H'01    ; E_IYV
.DB     BOUNCE  ; E_MTYPE
.DB     212     ; E_STAGE0
.DB     216     ; E_STAGE1
.DB     220     ; E_STAGE2
.DB     216     ; E_STAGE3

.DB     H'00    ; E_POWER
.DB     H'02    ; E_PAL
.DB     H'06    ; E_ATIME
.DB     H'01    ; E_IXV
.DB     H'01    ; E_IYV
.DB     CRAWL2  ; E_MTYPE
.DB     H'3B*4  ; E_STAGE0
.DB     H'3C*4  ; E_STAGE1
.DB     H'3D*4  ; E_STAGE2
.DB     H'3E*4  ; E_STAGE3

.DB     H'00    ; E_POWER
.DB     H'00    ; E_PAL
.DB     H'06    ; E_ATIME
.DB     H'01    ; E_IXV
.DB     H'01    ; E_IYV
.DB     DBOMB   ; E_MTYPE
.DB     224     ; E_STAGE0
.DB     228     ; E_STAGE1
.DB     232     ; E_STAGE2
.DB     228     ; E_STAGE3

.DB     H'01    ; E_POWER
.DB     H'00    ; E_PAL
.DB     H'06    ; E_ATIME
.DB     H'01    ; E_IXV
.DB     H'01    ; E_IYV
.DB     DBOMB   ; E_MTYPE
.DB     224     ; E_STAGE0
.DB     228     ; E_STAGE1
.DB     232     ; E_STAGE2
.DB     228     ; E_STAGE3

.DB     T_CAN   ; ITM_ID
.DB     T_CAN   ; ITM_TYPE
.DB     31*4    ; ITM_SHP
.DB     CAN1    ; ITM_C1
.DB     CAN2    ; ITM_C2
.DB     CAN3    ; ITM_C3
.DB     0       ; ITM_PAGE
.DB     67      ; ITM_X
.DB     7       ; ITM_Y

.DB     T_SHIELD; ITM_ID
.DB     T_SHIELD; ITM_TYPE
.DB     32*4    ; ITM_SHP
.DB     CAN1    ; ITM_C1
.DB     CAN2    ; ITM_C2
.DB     CAN3    ; ITM_C3
.DB     1       ; ITM_PAGE
.DB     19      ; ITM_X
.DB     4       ; ITM_Y

.DB     T_KEY   ; ITM_ID
.DB     T_KEY   ; ITM_TYPE
.DB     11*4    ; ITM_SHP
.DB     H'28    ; ITM_C1
.DB     H'18    ; ITM_C2
.DB     H'08    ; ITM_C3
.DB     1       ; ITM_PAGE
.DB     195     ; ITM_X
.DB     2       ; ITM_Y

.DB     0       ; DOOR_PAGE
.DB     6       ; DOOR_X
.DB     9*16+16 ; DOOR_Y
.DB     8       ; DOOR_TWORLD
.DB     0       ; DOOR_TPAGE
.DB     H'98    ; DOOR_TX
.DB     9*16+16 ; DOOR_TY
.DB     2*DOOR_SIZE ; DOOR_TDOOR

.DB     1       ; DOOR_PAGE
.DB     194     ; DOOR_X
.DB     10*16+16; DOOR_Y
.DB     2       ; DOOR_TWORLD
.DB     1       ; DOOR_TPAGE
.DB     144     ; DOOR_TX
.DB     8*16+16 ; DOOR_TY
.DB     3*DOOR_SIZE ; DOOR_TDOOR

.DB     1       ; DOOR_PAGE
.DB     250     ; DOOR_X
.DB     9*16+16 ; DOOR_Y
.DB     7       ; DOOR_TWORLD
.DB     0       ; DOOR_TPAGE
.DB     H'F1    ; DOOR_TX
.DB     4*16+16 ; DOOR_TY
.DB     1*DOOR_SIZE ; DOOR_TDOOR

.DB     0,0,0,0,0,0,0,0
.DB     0,0,0,0,0,0,0,0
.DB     0,0,0,0,0,0,0,0
.DB     0,0,0,0,0,0,0,0
.DB     0,0,0,0,0,0,0,0

.DB     H'2D    ; DC1
.DB     H'10    ; DC2
.DB     H'19    ; DC3
.DB     13      ; FT_TILE

.ORG    H'9940
forest_map:
  .DB 255,255,255,255,253,255,255,255,255,255,255,255,255,255,255,255
  .DB 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
  .DB 255,255,255,255,255,118,116,117,123,255,255,255,253,255,255,255
  .DB 255,255,255,255,255,255,255,255,253,255,255,255,255,255,255,255
  .DB 255,255,255,255,255,255,255,255,255,255,255,255,253,255,255,255
  .DB 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,120
  .DB 116,117,115,117,116,121,255,255,255,122,116,123,255,255,122,117
  .DB 116,117,121,255,255,255,122,116,117,116,117,116,117,116,119,122
  .DB 117,116,117,116,117,119,255,118,116,117,116,117,114,117,116,119
  .DB 116,117,116,117,119,254,120,118,117,116,117,116,121,255,255,255
  .DB 122,121,255,255,255,255,255,255,253,255,255,255,255,255,255,255
  .DB 255,253,120,116,121,255,255,255,255,255,255,255,255,255,255,253
  .DB 254,253,255,255,255,255,255,255,255,255,255,255,255,255,255,255
  .DB 255,255,255,255,255,255,255,255,253,255,255,255,255,255,255,255
  .DB 255,255,255,255,255,255,255,255,253,255,255,255,255,255,255,255
  .DB 122,117,116,117,116,123,255,255,255,120,123,255,255,255,255,255
  .DB 255,255,118,117,116,117,116,119,116,117,123,255,255,255,255,255
  .DB 255,255,255,255,255,253,255,255,255,255,255,255,255,255,255,255
  .DB 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,253
  .DB 255,255,255,255,255,255,255,255,122,116,118,117,116,117,121,255
  .DB 255,255,253,120,118,117,116,117,116,123,255,255,255,255,255,255
  .DB 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
  .DB 255,255,255,255,255,255,254,255,255,255,255,122,117,116,117,116
  .DB 118,116,115,116,117,116,119,116,117,119,123,255,255,255,255,253
  .DB 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
  .DB 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
  .DB 255,255,255,255,255,253,255,255,255,255,255,255,255,255,255,255
  .DB 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
  .DB 255,255,255,255,255,255,255,255,255,255,255,255,255,255,122,116
  .DB 117,116,117,118,117,116,115,116,117,116,117,116,119,255,255,255
  .DB 255,122,117,117,117,123,255,255,122,118,117,116,115,116,117,119
  .DB 255,255,255,255,253,255,255,255,255,255,255,255,122,118,116,117
  .DB 255,255,255,255,255,255,255,255,255,255,255,255,255,255,253,255
  .DB 120,116,121,255,255,255,255,254,255,255,255,255,255,255,255,255
  .DB 255,255,255,255,120,116,117,116,119,255,255,255,255,255,255,255
  .DB 255,255,255,255,253,255,255,255,255,253,255,255,255,255,255,254
  .DB 255,255,255,255,255,255,255,255,255,253,255,255,255,255,255,255
  .DB 255,255,255,255,255,255,253,255,255,255,255,255,255,254,255,120
  .DB 117,116,115,119,116,123,255,255,120,118,117,116,121,255,118,116
  .DB 115,116,119,255,253,120,116,117,115,117,119,117,116,116,123,122
  .DB 116,117,115,117,116,117,121,122,116,117,118,117,115,117,116,117
  .DB 118,116,116,119,122,121,122,117,118,117,116,117,119,255,255,122
  .DB 117,123,255,253,254,255,255,255,255,255,255,255,255,253,255,255
  .DB 255,255,122,118,123,255,255,255,255,255,255,255,255,255,255,255
  .DB 255,255,255,255,255,253,255,255,255,255,255,255,255,255,255,255
  .DB 255,255,255,253,255,255,255,255,255,255,255,255,255,255,255,255
  .DB 255,255,255,255,255,255,253,255,255,255,120,117,121,255,255,120
  .DB 116,118,115,117,116,119,121,255,255,122,117,121,255,255,255,253
  .DB 255,120,117,116,118,116,115,116,117,116,119,121,255,255,255,255
  .DB 255,253,255,255,255,255,255,255,255,255,255,255,255,255,253,255
  .DB 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
  .DB 255,255,255,255,255,253,255,120,116,117,116,115,119,116,121,253
  .DB 255,255,255,120,116,118,116,117,116,119,255,255,255,255,255,255
  .DB 255,255,255,253,255,255,255,255,255,255,255,255,255,255,255,255
  .DB 253,255,255,255,255,255,253,255,255,255,255,124,118,117,116,118
  .DB 116,116,114,117,116,119,116,117,116,121,124,255,253,255,255,255
  .DB 255,255,255,255,255,253,255,255,255,255,255,255,255,255,255,255
  .DB 253,255,255,255,255,255,255,255,255,255,255,253,255,255,255,255
  .DB 255,255,255,255,255,255,255,255,255,255,255,255,255,253,255,255
  .DB 255,255,255,255,255,255,255,253,255,255,255,255,255,255, 99,255
  .DB 255,255,253,255,255,255,255,255,253,255,255,255,255,255,120,116
  .DB 118,116,117,116,117,116,115,119,117,116,117,116,117,121,255,254
  .DB 120,117,118,115,116,119,255,120,117,116,117,116,115,119,117,116
  .DB 121,255,255,255,255,255,255,255,255,253,255,255,120,117,116,117
  .DB  17, 18,255,255,255,255,255,255,253,255,255,255, 17, 18,255,120
  .DB 118,115,117,121,255, 17, 18,255,255,255,253,255,255,255,254,255
  .DB  17, 18,255,255,122,118,115,117,123,255,253,255,255,255,254,255
  .DB 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
  .DB 255,255,255,255,253,255,255,253,255,255,255,255,255,255,255,255
  .DB 255,253,255,255,255,255,255,120,123,255,255,255,255,255,255,122
  .DB 116,118,116,117,116,119,121,253,122,117,116,117,123,122,117,117
  .DB 116,119,116,121,120,118,116,118,117,119,120,117,115,116,121,118
  .DB 117,116,114,116,119,116,117,116,116,118,117,119,114,116,117,119
  .DB 117,116,115,116,117,123,120,116,116,115,119,116,117,121,254,122
  .DB 116,119,121,255,255,255,255,255,255,255,120,123,255,255,255,255
  .DB 255,255,122,115,116,121,255,255,255,255,255,255,253,255,255,255
  .DB 255,255,255,255,255,255,255,255,255,254,255,255,255,255,253,255
  .DB  99,255,255,255,255,174,255,255,255,255,255,253,255,255,255,255
  .DB 255,253,255,255,255,255,255,255,255,120,118,117,117,121,255,120
  .DB 118,116,115,116,117,116,123,253,120,117,116,123,255,255,254,255
  .DB 255,122,116,117,116,117,114,117,119,117,116,123,255,253,255,255
  .DB 255,255,255,255,255,255,255,255,253,255,255,253,255,255,255,255
  .DB 255,255,255,253,255,255,255,255,255,255,255,253,255,255,255,255
  .DB 255,255,255,255,255,255,255,122,117,116,117,115,117,116,123,255
  .DB 253,255,255,122,117,116,115,116,117,116,121,255,253,255,255,255
  .DB 255,255,255,255,255,255,255,255,255,255,255,253,255,255,255,255
  .DB 255,255,255,255,255,255,255,255,253,255,255,255,254,120,118,116
  .DB 117,118,115,119,122,116,119,116,121,253,255,253,255,255,253,255
  .DB 255,255,255,255,255,255,255,255,255,255,253,255, 11,255,255,255
  .DB 255,255,255,255,255,255,253,255,255,255,255,255,255,255,255,255
  .DB 255,255,255,255,253,255,255,255,255,255,255,255,255,255,255,255
  .DB 255,255,255,253,255,255,255,255, 97, 94, 96, 99, 99, 97, 95, 98
  .DB  96, 99, 99, 48,255,255,255,255,255,255,255,253,255,120,118,117
  .DB 116,117,116,117,118,117,114,117,116,116,116,119,116,119,255,255
  .DB 117,116,117,115,118,123,255,122,116,117,118,116,114,117,116,119
  .DB 123,255,255,255,255,255,253,255,255,255,255,255,122,116,117,116
  .DB  15, 16,253,255,255,255,255,255,255,255,255,255, 15, 16,255,122
  .DB 117,115,118,123,255, 15, 16,255,255,255,255,255,253,255,255,255
  .DB  15, 16,255,255,118,116,114,116,119,121,255,255,255,255,255,255
  .DB 255,255,255,255,255,255,253,255,255,255,255,255,255,255,255,255
  .DB 255,255,255,255,255,253,255,255,253,254,255,253,255,255,255,255
  .DB 255,255,255,255,255,255,255,122,116,123,255,255,253,255,255,118
  .DB 117,116,115,116,117,116,121,255,118,116,115,117,119,116,117,116
  .DB 115,117,117,123,255,122,118,117,115,116,121,118,116,116,122,117
  .DB 119,117,116,119,116,117,116,122,116,117,116,121,113,119,116,117
  .DB 118,117,115,116,116,119,122,117,116,116,116,117,121,124,120,116
  .DB 115,116,123,255,255,255,255,255,255,255,120,123,255,255,255,255
  .DB 255,120,117,116,117,123,255,255,253,255,255,255,255,255,255,255
  .DB 255,255,255,255,255,255,255,255,255,255,255,174, 97, 98,255, 97
  .DB  94, 98, 98, 99,255,107,255,255,253,255,255,255,255,255,255,255
  .DB 255,255,255,255,255,255,255,255,255,122,116,116,117,119,255,122
  .DB 116,116,114,117,119,116,121,255,122,118,115,116,121,255,255,255
  .DB 120,116,118,116,116,116,117,116,117,116,117,116,121,255,255,255
  .DB 255,255,255, 97, 99,253,255,255,255,255,255,255,254,255,255,253
  .DB 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
  .DB 255,255,253,255,255,255,120,117,116,118,116,114,116,117,116,121
  .DB 255,255,120,117,118,116,116,117,119,117,121,255,255,255,255,255
  .DB 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
  .DB 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,124
  .DB 118,119,114,120,118,124,120,119,255,255,253,254,255,255,255,255
  .DB 255,253,255,255,255,255,255,255,255,255,255,255, 10,255,255,255
  .DB 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
  .DB 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
  .DB 255,255,255,255,255,255, 99, 97, 94, 95, 94, 95,101, 95, 94, 95
  .DB  95, 95,  6,  7,  8,255,255,255,255,255,255,255,255,255,124,118
  .DB 119,124,118,116,119,118,114,124,120,118,119,118,119,121,255,120
  .DB 118,117,116,117,116,117,121,118,116,118,116,116,115,116,117,116
  .DB 117,121,255,253,255,255,255,255,255,255,255,120,116,119,120,117
  .DB  15, 16, 22,255, 21, 22,255,255, 21, 22,255, 21, 15, 16,120,116
  .DB 117,114,117,117,255, 15, 16, 23,255, 23,255, 23,255, 23,255, 23
  .DB  15, 16,255,120,116,119,115,117,116,121,255,255,255,255,255,255
  .DB 255,254,255, 99,255,255,255, 99,255,255,255,255, 99, 96, 98,253
  .DB 255, 99, 99,255,255,255,255,253,254,253,255,255,255,255,255,255
  .DB 255,255,255,255,255,255,120,118,116,116,121,255,255,255,120,117
  .DB 116,117,114,117,119,117,121,120,116,117,116,116,116,117,118,116
  .DB 115,117,119,117,121,118,117,116,115,116,117,116,114,116,118,116
  .DB 116,116,114,120,119,116,123,124,118,116,121,124,113,120,118,116
  .DB 117,116,114,116,123,120,117,116,122,116,117,116,123,255,122,118
  .DB 116,117,121,255,253,255,255,255,255,255,118,116,121,255,255,255
  .DB 255,122,116,115,116,119,255,255,255,255,255,255,255,255,255,255
  .DB 255,255,255,255,255,255,255,255, 97, 94, 96,100,101, 94, 96, 94
  .DB  95, 94, 95,101, 97,100, 96, 99,255,255,255,255,255,255,255,255
  .DB 255,255,255,255,253,255,255,255,120,117,118,115,116,116,121,118
  .DB 117,118,117,116,117,116,123,120,116,117,115,117,119,255,253,255
  .DB 120,118,116,117,116,118,114,119,116,118,119,117,119,255,255,253
  .DB 255,236, 97,101, 94, 96, 94, 98,255,255,255,253,255,255,255,255
  .DB 255,255,255,255,253,255,255,255,255,255,255,255,255,255,255,255
  .DB 255,255,255,255,255,253,120,118,117,116,117,115,117,116,119,123
  .DB 255,120,118,116,117,116,115,116,117,119,117,121,255,255,255,253
  .DB 255,255,255,255,255,255,255,255,254,255,255,255,255,255,255,255
  .DB 255,255,255,253,255,255,255,255,255,255,255,255,255,255,255,255
  .DB 255,255,113,255,253, 11,255,255,255,254,253,255,255,255,255,255
  .DB 255,255,255,255,255,255,255,253,255,255,255,255, 10, 12,255,255
  .DB 255,255,255,253,255,255,255,255,255,255,255,255,253,255,255,255
  .DB 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
  .DB 255,255,255,255, 99, 96, 95, 94, 95, 94,  6,  7,  7,  8, 95, 94
  .DB  95, 94, 96, 96, 96, 98,255,253,255,255,255,255,255,255,255,255
  .DB 255,253,255,124,255,255,113,255,253,124,255,255,255,255,255,120
  .DB 117,116,119,116,117,116,119,121,118,117,116,117,114,119,123,119
  .DB 116,121,255,255,255,255,255, 17, 18,255,255,253,118, 17, 18,118
  .DB  13, 14, 19, 25, 19, 19, 25, 25, 19, 19, 25, 19, 13, 14,255,118
  .DB 116,115,116,119,121, 13, 14, 22, 25, 21, 19, 19, 19, 22, 25, 21
  .DB  13, 14,255,255,122,117,115,116,117,121,255,255,255,255,255,255
  .DB 255,255, 97, 94, 96, 94, 96, 94, 98,255,254, 97, 95, 94, 98,255
  .DB  97, 94, 95, 99,255,255,253,255,255,255,253,255,255,255,255,255
  .DB 255,255,255,255,255,255,120,116,115,119,121,255,255,255,120,116
  .DB 118,116,115,117,116,117,123,122,117,116,114,116,117,116,117,116
  .DB 114,116,117,119,121,255,118,118,114,119,118,117,115,117,116,118
  .DB 116,118,113,255,120,118,121,254,120,118,255,255,113,253,120,116
  .DB 116,118,113,119,119,118,116,121,119,114,121,119,119,120,117,116
  .DB 115,119,123,255,255,255,255,255,255,120,118,116,121,255,253,255
  .DB 120,116,118,114,117,116,121,255,255,255,255,255,255,255,255,255
  .DB 255,255,253,255,255,255,255, 96, 94, 95, 94,  6,  7,  7,  8, 94
  .DB  94, 95,  6,  7,  7,  7,  8, 95, 98, 99, 96, 99,255,255,255,253
  .DB 255,255,255,255,255,255,254,255,120,116,117,115,119,116,123,124
  .DB 118,124,114,121,124,119,119,121,118,116,117,117,117,121,255,255
  .DB 253,124,124,118,121,124,113,255,124,124,120,118,124,255, 97, 98
  .DB  97,  6,  7,  7,  8, 94, 95, 94, 99,253,255,255,255,255, 97, 94
  .DB  96, 94, 98,255,255,255,255,255,255,255,255,255,255,255,253,255
  .DB 255,255,255,255,255,255,122,117,116,116,118,115,116,117,116,116
  .DB 121,255,124,118,116,118,114,124,119,117,119,255,255,255,255,255
  .DB 255,255,255,255,255,255,255,255,255,255,255, 11,255,255,255,255
  .DB 255,255,255,255,255,255,255,255,255,255,255,255,255,255,253,255
  .DB 255,255,113,255,255, 10, 12,255,255,253,254,253,253,255,255,253
  .DB 255,255, 11,255,255,255,255,255,255,255,255, 12, 10,255,253,255
  .DB 255,255,255,255,255,255,255,253,255,255,255,255,255,255,255,255
  .DB 255,255,255,255,255,255,255,255,255,255,254,255,255,255,255,255
  .DB 253,255, 99, 97, 94, 95, 94, 95, 94, 95, 96, 96, 96, 96, 94, 95
  .DB  94, 95, 94, 95, 94, 95, 98,255,255,174,255,255,255,255,253,255
  .DB 255,255,255,255,253,255,113,255,255,255,255,255,255,253,255,122
  .DB 118,124,120,114,119,124,119,255,120,118,124,120,113,255,124,255
  .DB 119,255,255,255,255,254,255, 15, 16,255,255,255,255, 15, 16,255
  .DB  15, 16, 19, 19, 27, 19, 19, 19, 19, 27, 19, 19, 15, 16,254,120
  .DB 118,114,116,116,121, 15, 16, 22, 27, 21, 27, 19, 27, 22, 27, 21
  .DB  15, 16,255,120,118,122,114,119,119,124,255,255,255,255,253,255
  .DB 255,255, 94, 95, 94, 95, 94, 95, 94, 96, 94, 95, 94, 95, 94, 96
  .DB  94, 95, 94, 95, 94, 99,255, 99,255,255,255,255,255,255,253,255
  .DB 255,255,255,255,255,255,122,118,115,116,116,121,255,253,122,117
  .DB 116,119,114,119,116,117,116,117,116,118,115,117,116,117,118,117
  .DB 115,116,119,121,124,253,255,124,113,124,120,118,114,116,119,121
  .DB 118,124,113,255,255,255,255,255,255,255,253,255,113,255,124,120
  .DB 118,121,113,255,255,124,124,253,255,113,255,255,255,122,116,118
  .DB 114,120,116,121,255,255,255,253,255,120,116,115,123,255,255,255
  .DB 122,117,116,115,116,117,119,255,255,255,255,255,255,255,255,255
  .DB 255,255,255,255,255,255, 97, 94, 95, 94, 95, 96, 96, 96, 96, 95
  .DB  95, 94, 96, 96, 96, 96, 96, 94, 95,101, 95, 94, 98, 94, 98, 99
  .DB 255,255,255,255,255,255,255,255,120,118,118,117,116,119,118,255
  .DB 255,255,113,255,253,255,255,120,116,117,114,117,119,255,255,255
  .DB 255,255,255,124,255,255,113,255,253, 97, 96, 98, 99, 96, 94, 95
  .DB  94, 96, 96, 96, 96, 95, 94, 95, 94,101, 96, 99, 99, 96, 94, 95
  .DB  94, 95, 94, 96, 99,255,255,255,255,255,255,255,255,255,255,255
  .DB 255,255,255,255,255,120,117,116,118,119,120,114,118,119,117,119
  .DB 121,255,255,120,124,255,113,255,255,124,255, 11,255,255,255,255
  .DB 255,255,255,253,255,255,255,255,255,255,255, 10, 12,255,255,253
  .DB 255,255,255,255,255,255,255,255,255,253,255,255,255,255,255,255
  .DB 175,255,113,255, 12, 10,255,255,253,254,253,253,255,255,255,255
  .DB 255, 12, 10,255,255,255,255,255,255,255,255,255, 11,255,255,255
  .DB 255,255,255,255,255,255,255,255,255, 11,255,255,255,255,255,255
  .DB 255,253,255,255,255,255,255,255,255,255,255,255,255,255,255,255
  .DB 255, 97, 95, 94, 95, 94, 95,  6,  8, 94, 95, 94, 95, 94, 95, 94
  .DB   6,  7,  7,  7,  7,  8, 95, 94, 98,107, 99, 96, 99,255,255,255
  .DB 255,255,253,255,255,255,113,255,255,255,255,255,255,255,255,124
  .DB 255,253,255,113,255,255,255,255,255,255,255,255,113,255,255,255
  .DB 255,255,253,255,255,255,255, 15, 16, 25, 25, 25, 25, 15, 16,255
  .DB  15, 16, 19, 19, 19, 22, 23, 23, 21, 19, 19, 19, 15, 16, 23, 23
  .DB  23, 23, 23, 23, 23, 15, 16, 22, 19, 21, 19, 19, 19, 22, 19, 21
  .DB  15, 16,255,255,255,120,114,124,255,255,254,255,255,255, 99, 94
  .DB  98, 97, 95, 94, 95, 94, 95, 94, 95, 94, 95, 94,101,101,100, 94
  .DB  95, 94,100, 94, 95, 94, 97, 94, 95, 98,174,255,255,255,255,255
  .DB 255,255,255,253,255,120,116,116,116,116,119,255,255,255,118,118
  .DB 124,255,113,120,119,119,124,118,119,116,114,119,124,118,124,118
  .DB 114,119,124,255,255,255,255,255,113,253,124,120,113,124,255,255
  .DB 255,255,113,255,255,253,255,255,255,255,255,255,113,255,255,255
  .DB 255,255,113,255,255,255,255,255,255,113,255,253,255,120,118,121
  .DB 113,255,124,124,255,255,255,255,255,122,118,116,118,121,255,255
  .DB 124,120,118,114,124,124,118,121,255,255,255,255,255,253,255,255
  .DB 255,255,255, 99, 97, 96, 94, 95, 94, 95, 94, 95, 94, 95, 94, 95
  .DB  67, 69,100, 95, 94, 95, 94, 95, 94,100,101, 95, 94, 95, 94, 95
  .DB  94, 99,174,255,255,255,255,255,255,255,124,114,119,237,255, 24
  .DB  17, 23,113, 23,232, 23, 23, 23, 23, 23, 23, 23, 23, 23, 23, 23
  .DB  23,231, 23, 23, 23, 23,113, 23, 23, 23, 23, 23, 24, 97, 95, 94
  .DB  95, 94, 94, 95, 94, 95, 95, 94, 95,100,101, 94, 95, 94, 95,  6
  .DB   7,  8, 95, 94, 95, 94, 98,255,253,255,255,255,255,255,255,255
  .DB 255,255,253,255,255,120,119,124,124,255,255,113,255,120,119,255
  .DB 255,255,255,255,255,255,113,255,253,255,255, 10, 12,255,255,255
  .DB 255,255,255,255,255,255,255,175,255, 12, 12, 10,255,255,255,255
  .DB 255, 11,255,255,255,255,255,255,255,255,255,255,255,255,255,255
  .DB 237,175,113,253,255, 11,255,255,255,253,255,253,255,255,255,255
  .DB 255,255, 10,255,255,253,255,255,255,255,255,255, 10, 12, 12,255
  .DB 255,255,253,255,255,255, 99, 99, 12, 10,255,255,255,255,255,255
  .DB 255,255,255,255,175,255,255,255,255,255,255,255,255,255, 99, 97
  .DB  94, 95, 94, 95, 94, 95, 94, 96, 96, 95, 94, 95, 94, 95, 94, 95
  .DB  15, 23, 23, 23, 23, 16, 94, 95, 94,100, 94,101, 94, 95, 96, 98
  .DB 255,255,255,255,255,255,113,255,255,253,255,255,175,255,255,255
  .DB 255,255,255,113,255,255,255,255,253,255,255,255,113,255,253,255
  .DB 255,255,255,255,255,255,175, 15, 16, 22, 23, 23, 21, 15, 16,255
  .DB  13, 14, 19, 19, 19, 22, 92, 93, 21, 19, 19, 19, 13, 14, 25, 21
  .DB  19, 19, 19, 22, 25, 13, 14, 22, 19, 21, 19, 19, 19, 22, 19, 21
  .DB  13, 14,174,255,255,255,113,255,255,174,255,255,255,255, 94, 95
  .DB  94, 95, 94, 95, 94, 95, 94, 95, 95, 94, 94,  6,  7,  7,  7,  8
  .DB  94,  6,  7,  7,  7,  8, 94, 95, 94, 94,100, 99,255, 48,255,174
  .DB 255,255,174,255,255,255,124,118,114,124,255,255,255,174,255,255
  .DB 255,255,113,255,255,255,255,255,255,124,113,255,255,255,255,124
  .DB 113,174,255,255,255,255,255,255,113,255,255,255,113,255,255,253
  .DB 255,174,113,255,255,255,255,255,255,174,255,255,113,255,232,255
  .DB 255,255,113,232, 26,231,232,232,255,113,255,255,255,255,255,255
  .DB 113,255,255,255,255,255,255,255,255,120,118,114,124,255,255,255
  .DB 255,255,255,113,255,255,255,255,255,255,255,174,255,255,255,255
  .DB 255,255, 97, 94, 95, 94, 95, 94,100, 94, 95, 94, 95, 94,  6,  7
  .DB   7,  7,  7,  8, 95, 94, 95, 94,  6,  7,  8, 94, 95,  6,  8, 94
  .DB  95, 94,100, 98, 96, 98, 99,255,255,237,255,113,237, 24, 26, 24
  .DB  19, 24,113, 22,231, 21, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19
  .DB  22,231, 21, 19, 19, 19,113, 19, 19, 19, 24, 19, 26, 24, 95, 95
  .DB  94, 95, 94, 95, 95, 94, 94, 95,  6,  7,  7,  8, 94, 95, 94, 96
  .DB  96, 96, 94, 95, 94, 95, 94, 98,255,255,255,255, 11,255,255,255
  .DB 255,255,255,255,255, 48,255,255,255,174,255,113,255,255,255,255
  .DB 255,253,255, 11,255,255,113,255,255,255, 12, 10,255,255,255,253
  .DB 255,255,255,255,174,255,255,237,255,255,175, 11,255,255,255,174
  .DB 255, 10, 12,175,255,255,255,174,255,255,255,253,255,255,255,175
  .DB 237,237, 67, 69,255, 10, 12, 12,253,255,255,255,255,255, 11,255
  .DB 255,253, 10, 12,255,255,255, 11,255,253, 12, 12, 10,255,255,255
  .DB 255,255,255,255,255, 97, 95, 94, 98, 10, 12,255,255,255,255,255
  .DB 255,175,255,255,237,255,255,255,174,255,255,255,255, 97, 11, 94
  .DB  95, 94, 95,  6,  7,  8, 95, 94, 95, 94,  6,  7,  8, 94, 95, 94
  .DB  15, 16, 23, 23, 15, 16, 95, 94, 95,  6,  7,  7,  8, 94, 95, 94
  .DB  96, 99, 11,255,255,255,113,255,255,255,255,255,237,255,175,255
  .DB 255,255,255,113,255,255,175,255,255,255,175,255,113,255,255,175
  .DB 255,255,255,255,255,174,237, 15, 16, 22, 92, 93, 21, 15, 16,255
  .DB  15, 16, 19, 27, 19, 22, 92, 93, 21, 19, 27, 19, 15, 16, 19, 21
  .DB  19, 19, 19, 22, 19, 15, 16, 22, 27, 21, 27, 19, 27, 22, 27, 21
  .DB  15, 16,107,174,255,255,113,255,174,107,174,255,255, 97, 95, 94
  .DB  95, 94, 95, 94, 94, 94, 95,  6,  7,  8, 95, 96, 96, 96, 96, 96
  .DB  95, 96, 96, 96, 96, 96, 95,  6,  7,  7,  8, 94, 96, 94, 98,107
  .DB 255,255,107,255,255, 48,255,174,113,255,255,255,255,107,174,174
  .DB  48,255,113,255,255,107,255, 48,174,174,113,255,255,255,237, 48
  .DB 113,107,255,255,255,255,255,255,113,255,255,255,113,255, 24,233
  .DB 107,107,113,255,255, 24,233,237,174,107,232,233,113, 26,231,232
  .DB 231,255,113,231, 24,231,231,231,233,113,232, 26,232,233,255,232
  .DB 113,255, 24,255,255,255,255,255,255,255,255,113,255,237, 24,255
  .DB 255,255,255,113,255,255,255,255,255,255,255,107,255,255,255,255
  .DB  97, 98, 94, 95, 94,101, 94, 95,  6,  7,  8, 95, 94, 95, 96, 96
  .DB  96, 96, 96, 96, 94, 95, 94, 95, 96, 96, 96, 95, 94, 96, 96, 95
  .DB   6,  7,  7,  8, 94, 95, 94, 99,174,237, 24, 26, 24, 19, 24, 26
  .DB  24, 19,113, 22,231, 21, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19
  .DB  22,231, 21, 19, 19, 19,113, 19, 19, 19, 19, 26, 24, 22,101, 24
  .DB  95, 94, 95, 94, 95,101, 11, 94, 96, 96, 96, 96, 95, 94, 95, 94
  .DB  95, 94, 95, 94, 95, 94, 11, 94, 99,255,255, 12, 10,255,255,255
  .DB 255,255,107,255, 97,101, 98,255,174,107,255,113,255,255,255,255
  .DB 255,255, 12, 10,255,174,113,255,237,175,107, 10,255, 48,107,255
  .DB 255,255,255,237,107,255,237, 67, 68, 69,237, 10, 12, 12,255,107
  .DB  12, 10,175,237,174,175,255,107,174,255,255,255,255,255,237,237
  .DB  67, 68, 68, 69,255, 10,255,255,255,255,253,255,175, 12, 10,255
  .DB 255,255, 11,255,255,255, 12, 10,255,255,255,255, 10,255,255, 11
  .DB 255,255,255,255, 97, 95,101, 95, 95, 10, 98, 99,255,175,107,174
  .DB  11,237,255,237,237,175,255,255,107,255,175,255, 96, 95, 10, 95
  .DB  94, 95, 94, 96, 96, 96, 94,101, 94, 95, 96, 96, 96, 95, 94, 95
  .DB  15, 16, 92, 93, 15, 16,101, 95, 94, 96, 96, 96, 96, 95, 94, 95
  .DB  94, 95, 10, 12,255,255,113,107,255, 11,255, 67, 68, 69,237,255
  .DB 255,107,255,113,255,255,237,255,175,255,237,255,113,255,175,237
  .DB 255,255,174,255,175,107,237, 15, 16, 22, 92, 93, 21, 15, 16,255
  .DB  15, 16, 20, 20, 20,  0,  1,  1,  2, 20, 19, 20, 15, 16, 20, 21
  .DB  20, 19, 20, 22, 19, 15, 16, 22, 19, 21, 20, 20, 20, 22, 20, 21
  .DB  15, 16,106,107, 48, 48,113, 48,107,106,107, 99, 96,101, 95,100
  .DB   6,  8,101, 94,  6,  8, 94, 96, 96, 96, 94, 95,101, 95, 94, 95
  .DB  94, 95, 94, 95, 94, 95, 94, 96, 96, 96, 96, 95,  6,  7,  7,  8
  .DB  96, 99,106,107, 97,101, 98,107,113,236,107,236,237,106,107, 67
  .DB  69, 48,113,236,107,106, 67, 68, 69,107,113, 48,236,237, 67, 69
  .DB 113,106,107, 48, 48,107, 67, 69,113,107,236, 48,113,236, 67, 68
  .DB  69,106,113,233,231, 26,230,236,107,106,107,230,113, 20,230, 67
  .DB  69,230,113,230, 20,230,230,230,230,113,230, 20,230,230,236,230
  .DB 113,233, 20,232,237,236, 48, 67, 69,233, 48,113,236,236, 26,230
  .DB 233,107, 48,113,232, 24,236, 48,107,106,107,106,107,236, 99, 96
  .DB 100, 94, 95, 94,101,100,101, 94, 96, 96, 96, 94,  6,  8, 95, 94
  .DB  95, 94, 95, 94, 95, 94, 95, 94, 95, 94, 95, 94, 95, 94, 95, 94
  .DB  96, 96, 96, 96, 95, 94, 24,101,100, 26, 26, 18, 26, 26, 67, 69
  .DB  24, 26,113, 22,230, 21, 19, 20, 19, 19, 20, 20, 19, 19, 20, 19
  .DB  22,230, 21, 19, 20, 20,113, 20, 26, 19, 24, 20, 19, 22,100, 21
  .DB  26, 95, 94, 95,101,100,  9, 95, 94, 95, 94, 95,101, 95, 94, 95
  .DB  94, 95,101, 67, 69, 95,  9, 67, 68, 69, 99,236,  9, 48, 48,255
  .DB 255, 48,106, 97, 94,100,101, 98,107, 67, 69,113,236, 48,255,255
  .DB  48,236,237,  9, 48,107, 67, 68, 69,236,106,  9, 48, 67, 69, 48
  .DB 255,255, 48,236,106, 67, 68, 68, 69, 67, 69,  9,236,107,106,106
  .DB 107,  9,236,236,107,237,106,106,107, 48, 48,255,255, 48,236, 67
  .DB  69, 67, 68, 68, 69,  9, 48,236, 48, 67, 69, 48,236,107,  9, 48
  .DB 255,255, 10,255,255,255,255, 10, 12,255,255,255, 10,255,255, 10
  .DB  12,255, 99, 96, 95,101,100, 67, 68, 68, 69,101, 98,236,106,107
  .DB   9,236, 67, 69,236,236,237,107,106,107,236, 97,101, 94,  9, 94
  .DB  95, 67, 69, 94, 95, 94,  6,  7,  8, 94, 95, 94, 95, 94, 95, 94
  .DB  15, 16, 92, 93, 15, 16,100,101, 95, 94,101, 94, 95, 94,101, 67
  .DB  69, 94,  9, 96, 99, 48,113,106,107,  9, 67, 69, 67, 69,236,255
  .DB 236, 67, 68, 68, 69, 48,236,107,236, 67, 68, 69,113, 48,236,236
  .DB 107,237,106,107,236,106,236, 15, 16,  0,  1,  1,  2, 15, 16,107
  .DB   7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7
  .DB   7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7
  .DB   7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  8
  .DB  96, 96,  6,  8, 96, 96,  6,  7,  7,  7,  7,  7,  7,  8, 95, 94
  .DB  95, 94, 95, 94, 95, 94, 95, 94, 95, 94, 95, 94, 96, 96, 96, 96
  .DB  95,  6,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7
  .DB   7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7
  .DB   7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7
  .DB   7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7
  .DB   7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7
  .DB   7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7
  .DB   7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7
  .DB   8, 95, 94,  6,  7,  7,  8, 95, 94, 95, 94, 95, 96, 96, 94, 95
  .DB  94, 95, 94, 95, 94, 95, 94, 95, 94, 95, 94, 95, 94, 95, 94, 95
  .DB  94, 95, 94, 95, 94,  6,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7
  .DB   7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  8,255,255,  6,  7
  .DB   7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7
  .DB   7,  7,  8, 94,  6,  7,  7,  8, 95, 94, 95,  6,  7,  7,  8, 94
  .DB   6,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  8,255
  .DB 255,  6,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  8,255,255
  .DB   6,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  8
  .DB 255,255,  6,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7
  .DB   7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  8,255,255,  6,  7,  7
  .DB   7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  8
  .DB 255,255, 10,255,255,255,255, 11,255,255,255,255, 10,255, 12, 10
  .DB 255, 97, 94,  6,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7
  .DB   7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7
  .DB   7,  7,  7,  8, 94, 95, 96, 96, 96, 95,  6,  7,  7,  7,  7,  7
  .DB   7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7
  .DB   7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  8,255
  .DB   6,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7
  .DB   7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7

.ORG    H'B140
lake_data:
.DB     H'FF    ; CC0
.DB     H'23    ; CC01
.DB     H'3D    ; CC02
.DB     H'19    ; CC03
.DB     H'00    ; CC11
.DB     H'10    ; CC12
.DB     H'17    ; CC13
.DB     H'13    ; CC21
.DB     H'37    ; CC22
.DB     H'16    ; CC23
.DB     H'02    ; CC31
.DB     H'27    ; CC32
.DB     H'17    ; CC33

.DB     H'37    ; CCS11              ;enemy 1
.DB     H'13    ; CCS12
.DB     H'03    ; CCS13
.DB     H'3A    ; CCS21              ;enemy 2
.DB     H'2A    ; CCS22
.DB     H'1A    ; CCS23

.DB     H'00    ; E_POWER
.DB     H'01    ; E_PAL
.DB     H'06    ; E_ATIME
.DB     H'01    ; E_IXV
.DB     H'01    ; E_IYV
.DB     HOP     ; E_MTYPE
.DB     212     ; E_STAGE0
.DB     216     ; E_STAGE1
.DB     220     ; E_STAGE2
.DB     216     ; E_STAGE3

.DB     H'01    ; E_POWER
.DB     H'02    ; E_PAL
.DB     H'08    ; E_ATIME
.DB     H'01    ; E_IXV
.DB     H'01    ; E_IYV
.DB     HOP     ; E_MTYPE
.DB     H'3C*4  ; E_STAGE0
.DB     H'3D*4  ; E_STAGE1
.DB     H'3E*4  ; E_STAGE2
.DB     H'3F*4  ; E_STAGE3

.DB     H'00    ; E_POWER
.DB     H'00    ; E_PAL
.DB     H'02    ; E_ATIME
.DB     H'02    ; E_IXV
.DB     H'01    ; E_IYV
.DB     BOUNCE  ; E_MTYPE
.DB     224     ; E_STAGE0
.DB     228     ; E_STAGE1
.DB     232     ; E_STAGE2
.DB     236     ; E_STAGE3

.DB     H'01    ; E_POWER
.DB     H'00    ; E_PAL
.DB     H'02    ; E_ATIME
.DB     H'01    ; E_IXV
.DB     H'02    ; E_IYV
.DB     BOUNCE  ; E_MTYPE
.DB     224     ; E_STAGE0
.DB     228     ; E_STAGE1
.DB     232     ; E_STAGE2
.DB     236     ; E_STAGE3

.DB     T_CAN+1 ; ITM_ID
.DB     T_CAN   ; ITM_TYPE
.DB     31*4    ; ITM_SHP
.DB     CAN1    ; ITM_C1
.DB     CAN2    ; ITM_C2
.DB     CAN3    ; ITM_C3
.DB     1       ; ITM_PAGE
.DB     126     ; ITM_X
.DB     6       ; ITM_Y

.DB     T_CAN+2 ; ITM_ID
.DB     T_CAN   ; ITM_TYPE
.DB     31*4    ; ITM_SHP
.DB     CAN1    ; ITM_C1
.DB     CAN2    ; ITM_C2
.DB     CAN3    ; ITM_C3
.DB     0       ; ITM_PAGE
.DB     91      ; ITM_X
.DB     3       ; ITM_Y

.DB     T_SHIELD+1; ITM_ID
.DB     T_SHIELD; ITM_TYPE
.DB     32*4    ; ITM_SHP
.DB     CAN1    ; ITM_C1
.DB     CAN2    ; ITM_C2
.DB     CAN3    ; ITM_C3
.DB     0       ; ITM_PAGE
.DB     197     ; ITM_X
.DB     6       ; ITM_Y

.DB     0       ; DOOR_PAGE
.DB     5       ; DOOR_X
.DB     10*16+16; DOOR_Y
.DB     5       ; DOOR_TWORLD              ; To cave
.DB     0       ; DOOR_TPAGE
.DB     5       ; DOOR_TX
.DB     8*16+16 ; DOOR_TY
.DB     0*DOOR_SIZE ; DOOR_TDOOR

.DB     0       ; DOOR_PAGE
.DB     48      ; DOOR_X
.DB     9*16+16 ; DOOR_Y
.DB     4       ; DOOR_TWORLD
.DB     0       ; DOOR_TPAGE
.DB     2       ; DOOR_TX
.DB     6*16+16 ; DOOR_TY
.DB     1*DOOR_SIZE ; DOOR_TDOOR

.DB     0       ; DOOR_PAGE
.DB     81      ; DOOR_X
.DB     3*16+16 ; DOOR_Y
.DB     3       ; DOOR_TWORLD
.DB     0       ; DOOR_TPAGE
.DB     4       ; DOOR_TX
.DB     6*16+16 ; DOOR_TY
.DB     0*DOOR_SIZE ; DOOR_TDOOR

.DB     1       ; DOOR_PAGE
.DB     144     ; DOOR_X
.DB     8*16+16 ; DOOR_Y
.DB     1       ; DOOR_TWORLD
.DB     1       ; DOOR_TPAGE
.DB     194     ; DOOR_TX
.DB     10*16+16; DOOR_TY
.DB     1*DOOR_SIZE ; DOOR_TDOOR

.DB     1       ; DOOR_PAGE
.DB     250     ; DOOR_X
.DB     9*16+16 ; DOOR_Y
.DB     6       ; DOOR_TWORLD
.DB     0       ; DOOR_TPAGE
.DB     3       ; DOOR_TX
.DB     7*16+16 ; DOOR_TY
.DB     0*DOOR_SIZE ; DOOR_TDOOR

.DB     0,0,0,0,0,0,0,0
.DB     0,0,0,0,0,0,0,0
.DB     0,0,0,0,0,0,0,0

.DB     H'13    ; DC1
.DB     H'37    ; DC2
.DB     H'16    ; DC3
.DB     13      ; FT_TILE

.ORG    H'B1E0
lake_map:
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 51, 52, 53, 62, 62, 20, 25, 21, 16, 20, 21
  .DB 104,114,114,106, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 16, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 17, 20, 24, 24, 26, 25, 25, 21, 20
  .DB  24, 25, 25, 21, 20, 21, 62, 62, 62, 17, 62, 62, 62, 62, 62, 17
  .DB  62, 62, 20, 21, 17, 16, 20, 24, 24, 25, 25, 21, 20, 25, 21, 20
  .DB  21, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 16, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 51, 52, 53, 62, 62, 17, 62, 62
  .DB  62, 62, 20, 24, 24, 24, 25, 21, 62, 62, 62, 16, 62, 62, 62, 62
  .DB  62, 51, 52, 52, 53, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 51, 53
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 51, 52, 52, 53, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 17, 20, 24, 24, 25, 23, 24, 25
  .DB 104,113,112,106, 16, 17, 16, 20, 21, 62, 62, 62, 62, 51, 53, 62
  .DB  62, 62, 62, 51, 52, 52, 53, 17, 62, 62, 20, 25, 21, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 20, 21, 20, 21
  .DB  62, 62, 62, 51, 53, 62, 20, 25, 23, 26, 63, 63, 63, 26, 25, 23
  .DB  26, 63, 26, 22, 24, 25, 21, 17, 20, 25, 21, 17, 62, 62, 20, 25
  .DB  21, 20, 24, 25, 23, 22, 26, 26, 63, 63, 26, 25, 23, 26, 22, 24
  .DB  25, 21, 17, 20, 21, 62, 51, 53, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 51, 53, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 51, 53, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 51, 53, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 20, 25, 21, 51, 53, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 51, 53, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 51, 52
  .DB  52, 52, 53, 62, 62, 62, 62, 62, 62, 17, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 51, 53, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 51, 53, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 51, 52, 53, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 20
  .DB  21, 62, 51, 53, 17, 62, 62, 62, 62, 62, 62, 62, 20, 25, 21, 17
  .DB  16, 20, 24, 26, 26, 63, 26, 25, 21, 17, 20, 25, 21, 62, 51, 53
  .DB  62, 62, 62, 62, 62, 62, 62, 17, 16, 20, 21, 62, 62, 62, 51, 53
  .DB  62, 20, 21, 16, 20, 21, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 17
  .DB  62, 62, 62, 62, 62, 20, 21, 51, 53, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62,196,193,193,194, 62, 20, 25, 23, 26, 63, 63, 26, 63,166
  .DB 104,164,165,106,172, 26, 26, 24, 25, 21, 20, 21, 17, 62, 62, 17
  .DB  51, 52, 53, 62, 62, 62, 20, 25, 21, 20, 24, 26, 25, 21, 62, 51
  .DB  53, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 51, 52, 52, 53, 62, 62, 17, 16, 20, 23, 25, 23, 25
  .DB  21, 20, 21, 17, 16, 14, 24, 26, 26, 63,122,123,121, 63, 63, 26
  .DB  63, 63, 63, 26, 26, 63, 25, 22, 24, 26, 26, 25, 21, 14, 24, 26
  .DB  22, 24, 26, 63, 26, 26, 63, 63, 63, 63, 63, 63, 26, 63, 26, 63
  .DB  63, 26, 26, 24, 25, 21, 20, 21, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 51, 52, 52, 52, 53, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 20, 21, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 51, 53, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 51, 53, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 51, 52, 52, 53, 62, 62, 17, 20, 24, 26, 25, 21, 17, 20
  .DB  21, 16, 17, 20, 21, 62, 51, 52, 53, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 51, 53, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 51, 52, 52, 53, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 20, 25, 21, 62, 51, 52, 53, 62
  .DB  20, 21, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 17
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 51, 52, 53, 62, 62, 62, 62, 62, 16, 17, 20, 24
  .DB  25, 21, 17, 20, 25, 21, 62, 62, 17, 20, 21, 20, 24, 24, 25, 23
  .DB  22, 26, 63, 63, 63, 63, 63, 26, 24, 22, 24, 26, 25, 21, 17, 20
  .DB  62, 62, 62, 62, 62, 62, 20, 25, 23, 24, 25, 21, 20, 21, 17, 16
  .DB  20, 24, 22, 22, 24, 25, 21, 51, 52, 53, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 51, 52, 53, 62, 62, 62, 62, 20, 25
  .DB  21, 16, 17, 16, 20, 24, 25, 21, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62,197,200,200,195, 20, 25, 26, 26, 63, 63, 63, 63, 63,174
  .DB 104,164,165,106,164, 63, 63, 63, 26, 25, 23, 22, 25, 21, 20, 25
  .DB  21, 16, 17, 62, 62, 20, 24, 63, 26, 26, 63, 63, 63, 25, 21, 17
  .DB  20, 21, 62, 62, 51, 52, 53, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 17, 62, 62, 62, 62, 62, 62, 20, 24, 24, 24, 25, 26, 24, 26
  .DB  25, 23, 24, 25, 26, 24, 26, 63, 63, 63, 71, 71, 71, 63, 63, 63
  .DB  63,122,123,123,123,121, 22, 26, 63,122,123,121, 26, 26, 63,122
  .DB 123,123,123,121, 63, 63,122,123,123,123,121, 63, 63, 63,122,123
  .DB 123,123,121, 63, 26, 22, 24, 25, 21, 17, 51, 52, 53, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 51, 52
  .DB  53, 62, 62, 62, 62, 62, 16, 14, 24, 25, 21, 16, 20, 21, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 51, 52, 53, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 20, 21, 62, 51, 52, 52, 53
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 20, 25, 23, 63, 63, 63, 25, 23, 26
  .DB  25, 24, 22, 26, 25, 21, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 20, 21, 16
  .DB  17, 20, 21, 62, 51, 53, 62, 18, 26, 63, 25, 21, 20, 21, 16, 20
  .DB  24, 25, 21, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 17, 51, 52, 53, 62, 62, 62, 62, 62, 62, 62, 62, 20, 25
  .DB  21, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 16, 62, 62, 62, 62, 20, 23, 22, 26, 63
  .DB  26, 26, 25, 26, 63, 25, 21, 20, 25, 23, 22, 24, 24, 26, 63, 26
  .DB  26, 63, 63, 63, 63, 63, 63, 63, 63, 26, 63, 63, 26, 24, 25, 23
  .DB  62, 62, 62, 62, 62, 18, 63, 63, 26, 63, 26, 26, 24, 26, 25, 22
  .DB  24, 26, 63, 26, 24, 26, 26, 19, 62, 62, 62, 62, 62, 62, 62, 20
  .DB  21, 17, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 20, 26, 26
  .DB  24, 26, 26, 24, 24, 26, 26, 25, 21, 20, 21, 16, 20, 21, 17, 16
  .DB  16, 17,197,200,200,195, 26, 63, 63, 63, 26, 63, 63,192,192,192
  .DB 192,192,192,192,192,192,192, 63, 63, 26,192,192,192, 24, 26, 26
  .DB  24, 26, 25, 21, 20, 26, 63,192,192,192, 63, 63, 63, 63, 26, 25
  .DB  24, 26, 19, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  20, 25, 21, 62, 62, 20, 21, 20, 24, 26, 63, 63, 26, 63, 63, 63
  .DB  63, 26, 63, 26, 63, 63, 63, 63, 63, 63, 70, 70, 70, 71, 63, 63
  .DB  63,192,192,192,192,192, 26, 63, 63,192,192,192, 63, 63, 26,192
  .DB 192,192,192,192, 63, 63,192,192,192,192,192, 63, 63, 63,192,192
  .DB 192,192,192, 63, 26, 26, 63, 26, 22, 25, 21, 17, 20, 21, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 51, 52, 52, 53, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 18, 25, 23, 26, 63, 26, 22, 26, 25, 21, 62
  .DB  51, 52, 52, 53, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 51
  .DB  52, 52, 53, 62, 62, 17, 16, 17, 20, 24, 25, 21, 62, 62, 20, 21
  .DB  20, 21, 62, 62, 62, 62, 17, 62, 62, 62, 62, 51, 52, 52, 53, 62
  .DB  62, 62, 62, 62, 62, 62, 18, 26, 63, 26, 63, 63, 63, 63, 26, 63
  .DB  63, 63, 26, 63, 63, 26, 19, 62, 62, 62, 62, 51, 52, 52, 53, 62
  .DB  62, 62, 62, 62, 62, 62, 20, 21, 16, 62, 62, 51, 52, 53, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 20, 21, 17, 16, 20, 24, 24, 25
  .DB  23, 24, 25, 21, 62, 62, 18, 63, 63, 63, 63, 26, 26, 25, 22, 24
  .DB  26, 63, 26, 19, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 20, 25, 21, 62, 62, 20, 21, 62, 62, 17, 20, 21, 20, 24, 26
  .DB  25, 21, 20, 21, 16, 17, 62, 51, 52, 52, 53, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 51, 53, 62, 20, 21, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 20, 24, 21, 62, 62, 20, 26, 24, 26, 63, 63
  .DB  63, 63, 63, 63, 63, 63, 26, 26, 63, 26, 24, 26, 63, 63, 63, 63
  .DB  63, 63, 63, 63, 63, 63, 63, 63, 26, 63, 63, 63, 63, 63, 26, 24
  .DB  62, 62, 62, 16, 18, 63, 63, 63, 63, 63, 26, 63, 63, 63, 63, 63
  .DB  63, 63, 63, 63, 63, 63, 63, 63, 19, 62, 62, 62, 62, 62, 18, 24
  .DB  22, 25, 21, 62, 62, 62, 62, 62, 62, 62, 62, 62, 18,122,123,123
  .DB 123,123,123,123,121, 63, 63, 26, 22, 24, 26, 25, 24, 25, 23, 24
  .DB 192,192,197,200,200,195, 63, 63, 63, 63, 63, 26, 63,227, 63,174
  .DB 105,114,114,107,164, 63,227, 63, 63, 63, 26,227, 26, 63, 26, 63
  .DB  63, 63, 63, 25, 23, 63, 63, 63,227, 63, 63, 63, 63, 63, 63, 63
  .DB  63, 63, 63, 19, 20, 21, 62, 62, 20, 21, 62, 62, 62, 62, 62, 20
  .DB  24, 24, 25, 21, 18, 26, 25, 23, 26, 63,192,192,192, 63, 63, 63
  .DB  63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 70, 70, 70, 63, 63, 63
  .DB  63, 63, 63,227, 63, 63, 63, 63, 63, 63,227, 63, 63, 63, 63, 63
  .DB  63,227, 63, 63, 63, 63, 63, 63,227, 63, 63, 63, 63, 63, 63, 63
  .DB 227, 63, 63, 26, 63, 63, 63, 26, 63, 26, 25, 23, 26, 25, 19, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 17, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 18, 63, 63, 26, 63, 63, 63, 26, 63, 63, 26, 19
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 51, 53, 62, 20, 21, 62, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 20, 24, 25, 26, 24, 26, 63, 26, 19, 18, 24, 25
  .DB  23, 25, 19, 62, 62, 20, 25, 21, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 18, 63, 63, 63, 63,122,123,123,123,123,123
  .DB 121, 63, 63, 63, 63, 63, 63, 19, 17, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 17, 18, 24, 25, 22, 21, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 62, 18, 26, 25, 24, 26, 24, 26, 63, 26
  .DB  24, 26, 63, 26, 19, 18, 63, 63, 63, 63, 63, 63, 63,192,192,192
  .DB 192,192,192,192,192, 62, 51, 53, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  18, 26, 63, 26, 19, 18, 26, 24, 21, 20, 23, 24, 26, 26, 63, 63
  .DB  26, 25, 24, 26, 26, 24, 21, 62, 62, 62, 62, 62, 62, 62, 62, 51
  .DB  53, 62, 62, 62, 62, 62, 62, 16, 62, 62, 18, 26, 26, 19, 62, 62
  .DB  62, 62, 62, 17, 18, 26, 63, 26, 19, 18, 26, 63, 63, 63, 63, 63
  .DB  63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63
  .DB  63, 63, 63, 63, 63, 63, 63,122,123,123,123,123,123,123,121, 63
  .DB  19, 62, 14, 27, 27, 27, 27, 27, 27, 27, 29, 28, 29, 28, 27, 27
  .DB  27, 29, 28, 27, 27, 27, 27, 27, 29, 19, 62, 62, 16, 14, 27, 29
  .DB  28, 27, 29, 19, 16, 17, 62, 62, 62, 62, 16,192,192,192,192,192
  .DB 192,192,192,192,192,192,192, 28, 27, 27, 29,252, 28, 29, 26, 63
  .DB 227, 26,197,200,200,200,193,194, 28, 29, 28, 27, 29,226, 63,167
  .DB  79,111, 79,111,173, 29,226, 28, 27, 27, 29,226, 28, 27, 27, 29
  .DB  63, 28, 27, 27, 25, 29, 28, 29,226, 28, 27, 29, 28, 27, 27, 29
  .DB  63, 28,192,192,192, 25, 21, 18, 26, 26, 19, 16, 20, 21, 18, 26
  .DB 192,192,192, 26, 28, 27, 27, 25, 27, 27, 29,227, 28, 27, 27, 27
  .DB  29, 63, 28, 27, 27, 27, 27, 27, 27, 71, 70, 70, 70, 27, 27, 27
  .DB  27, 27, 29,226, 28, 27, 27, 27, 29, 63,226, 28, 27, 27, 27, 29
  .DB  63,226, 28, 27, 29, 28, 27, 29,226, 28, 27, 27, 27, 27, 27, 29
  .DB 226, 63, 28, 27, 27, 27, 27, 27, 29,252, 28, 25, 29, 28, 29, 19
  .DB  62, 62, 62, 62, 62, 62, 62, 62, 16, 17, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 16, 14, 19, 14, 29, 19, 62, 62, 62, 62, 62, 62
  .DB  62, 16, 17, 18, 28, 27, 27, 27, 27, 29, 28, 27, 27, 29, 28, 29
  .DB  19, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 16, 14
  .DB  19, 16, 17, 17, 18, 26, 26, 19, 62, 62, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 14, 24, 27, 27, 27, 27, 29, 28, 27, 27, 27, 27, 29
  .DB  26, 22, 23, 19, 14, 27, 29, 25, 19, 17, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 14, 27, 27, 27, 29, 28,192,192,192,192,192,192
  .DB 192, 29, 63, 28, 27, 27, 27, 29, 26, 19, 14, 19, 62, 62, 62, 62
  .DB  62, 62, 16, 14, 27, 27, 29, 26, 28, 29, 19, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 62, 62, 14, 27, 27, 27, 27, 29, 63,122,123,121
  .DB  28, 27, 27, 27, 29, 28, 27, 29, 63, 63, 28, 27, 29,227, 95, 95
  .DB  95, 95, 95, 95,227, 19, 16, 17, 20, 21, 62, 62, 62, 62, 62, 18
  .DB  28, 29,122,123,121, 28, 27, 27, 24, 26, 25, 27, 27, 27, 29, 28
  .DB  27, 27, 27, 27, 27, 29, 26, 19, 62, 17, 62, 62, 62, 62, 62, 62
  .DB  62, 62, 62, 62, 14, 19, 14, 29, 19, 18, 28, 27, 27, 29, 19, 62
  .DB  62, 62, 14, 27, 27, 27, 27, 27, 29, 28, 27, 27, 27, 27, 29, 63
  .DB  28, 27, 29, 28, 27, 27, 29, 28, 29,122,123,123,123,123,123,123
  .DB 123,121, 63, 28, 27, 27, 27,192,192,192,192,192,192,192,192, 27
  .DB 222,192,192,192,192,192,192,192,192,192,192,222,222,222,222,222
  .DB 222,222,253,222,222,222,222,222,222,222,253,253,222,222,222,222
  .DB 222,222,222,222,222,222,253,253,192,192,192,201,253,225, 95, 95
  .DB  95, 95, 95, 95,225,253,202,192,192,192,222,222,222,222,222,253
  .DB 224,222,197,200,200,200,200,195,222,222,222,192,192,192,192,192
  .DB 192,192,192,192,192,192,192,192,192,222,222,224,222,222,222,222
  .DB 253,222,222,192,192,192,222,222,224,253,222,222,222,222,222,222
  .DB 253,222,222,225,202,192,192,192,222,253,222,222,222,192,192,192
  .DB 201,225,202,192,192,222,222,222,222,222,222,224,253,222,222,222
  .DB 222,253,222,222,222,222,222,222,222, 70, 70, 70, 70,222,222,253
  .DB 222,222,253,224,253,222,222,253,222,253,224,253,222,222,222,222
  .DB 222,224,253,222,222,253,222,253,224,253,222,222,222,253,222,222
  .DB 224,253,222,222,192,192,192,222,222,222,222,222,222,253,222,222
  .DB 253,253,253,253,253,253,253,253,222,222,253,253,253,253,253,253
  .DB 248,246,246,247,222,222,253,222,222,222,253,253,253,253,253,253
  .DB 222,222,222,222,222,222,253,222,222,253,222,248,246,246,246,246
  .DB 246,246,246,246,247,253,253,253,253,253,253,253,253,253,222,222
  .DB 222,222,222,222,222,253,222,248,246,247,253,253,253,253,253,253
  .DB 253,253,222,222,222,222,253,222,222,253,222,222,222,222,222,222
  .DB 222,222,222,253,222,222,222,222,222,222,222,253,253,253,253,253
  .DB 253,253,253,253,222,222,222,222,253,222,222,222,225,222,225,222
  .DB 222,222,253,222,222,222,222,253,222,222,222,222,222,253,192,192
  .DB 192,222,222,222,222,222,222,253,222,222,222,222,253,253,253,253
  .DB 253,253,253,253,253,222,222,222,222,222,222,222,222,192,192,192
  .DB 222,222,222,222,253,222,248,246,246,246,247,222,222,224, 95, 95
  .DB 164,165, 95, 95,224,222,222,248,246,246,246,247,253,253,222,222
  .DB 253,222,192,192,192,222,222,222,222,222,222,253,222,222,222,253
  .DB 222,222,248,247,222,222,222,222,222,222,253,253,253,248,246,246
  .DB 246,247,253,222,222,253,222,222,222,222,222,222,222,253,222,253
  .DB 253,222,222,222,222,222,222,253,222,253,222,222,222,222,253,222
  .DB 222,222,253,222,222,222,222,253,222,192,192,192,192,192,192,192
  .DB 192,192,222,222,222,222,222,225, 95, 95, 95, 95, 95, 95,225,222
  .DB 253,253,225, 95, 95, 95, 95, 95, 95,225,253,253,253,253,253,253
  .DB 253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253
  .DB 253,253,253,253,253,253,253,253,225,253,253,253,253,224, 95, 95
  .DB 164,165, 95, 95,224,253,253,253,253,225,253,253,253,253,253,192
  .DB 192,192,197,200,200,200,200,195,253,253,253,253,225,253,253,225
  .DB 225,253,253,225,225,253,253,225,202,192,192,192,192,192,253,253
  .DB 253,253,253,253,225,253,253,253,224,253,253,253,253,253,253,253
  .DB 253,253,253,224,253,253,225,253,253,192,192,192,253,253,225,253
  .DB 253,224,253,225,202,192,192,253,253,253,253,224,253,253,253,192
  .DB 192,192,253,253,253,253,253,253,253, 70, 70, 70, 70, 71,253,253
  .DB 253,253,192,192,192,253,253,253,253,192,192,192,253,253,253,253
  .DB 192,192,192,253,253,253,253,192,192,192,253,253,253,253,192,192
  .DB 192,192,192,253,253,225,253,253,253,253,253,253,253,253,253,253
  .DB 253,253,253,253,253,253,253,253,253,253,248,246,246,247,253,253
  .DB  71, 71, 71, 71,253,253,253,253,253,253,253,253,253,253,253,253
  .DB 253,253,253,253,253,253,253,253,253,253,253,192,192,192,192,192
  .DB 192,192,192,192,192,253,253,253,253,253,253,253,253,253,253,248
  .DB 246,246,246,246,247,253,253,192,192,192,253,253,253,253,253,253
  .DB 253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253
  .DB 253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253
  .DB 253,253,248,246,246,246,246,246,246,247,253,253,224,253,224,253
  .DB 253,253,192,192,192,253,253,253,253,253,253,253,253,253,253,225
  .DB 253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253
  .DB 253,253,253,253,253,253,253,253,253,253,253,253,253,225,253,225
  .DB 253,248,246,246,246,246,192,192,192,192,192,247,253,224, 95, 95
  .DB 164,165, 95, 95,224,253,248,192,192,192,192,192,246,246,246,246
  .DB 247,253,225,253,225,253,253,253,253,253,253,253,253,253,253,248
  .DB 247,253, 71, 71,253,253,248,247,253,253,253,253,253, 71, 71, 71
  .DB  71, 71,253,253,253,253,253,253,253,253,253,253,253,253,253,253
  .DB 253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253
  .DB 253,253,192,192,192,253,253,253,253,253,225,253,253,253,253,253
  .DB 225,253,253,253,253,253,253,224, 95, 95,164,165, 95, 95,224,253
  .DB 253,253,224, 95, 95,164,165, 95, 95,224,253,253,253,253,253,253
  .DB 253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253
  .DB 253,253,253,253,253,253,253,253,224,253,253,253,253,224, 95, 95
  .DB 164,165, 95, 95,224,253,253,253,253,224,253,253,253,253,253,225
  .DB 253,253,197,200,200,200,200,200,193,194,253,253,224,253,253,224
  .DB 224,253,253,224,224,253,253,224,253,253,253,225,253,202,192,192
  .DB 192,192,253,253,224,253,253,192,192,192,253,253,192,192,192,192
  .DB 192,253,253,224,253,253,224,253,253,253,225,253,253,253,224,253
  .DB 253,224,253,224,253,225,202,192,192,253,192,192,192,253,253,253
  .DB 225,253,253,192,192,192,192,192,253, 70, 70, 70, 70, 70,253,253
  .DB 253,253,253,225,253,253,253,253,253,253,225,253,253,253,253,253
  .DB 253,225,253,253,253,253,253,253,225,253,253,253,253,253,225,253
  .DB 253,253,225,253,253,224,253,253,253,253,253,253,253,253,253,253
  .DB 253,253,253,253,248,246,246,247,253,253, 71, 71, 71, 71,253,253
  .DB  70, 70, 70, 70,248,246,247,253,253,248,246,246,246,246,246,246
  .DB 246,246,246,246,246,246,247,253,253,253,253,253,253,225,253,253
  .DB 253,253,225,253,253,253,253,253,253,248,246,246,246,246,246,192
  .DB 192,192,192,192,192,253,253,253,225,253,253,248,246,246,246,246
  .DB 246,246,246,246,246,247,253,253,253,253,253,253,253,248,246,246
  .DB 246,246,246,246,246,246,246,246,247,248,246,246,246,246,246,246
  .DB 246,246,192,192,192,192,192,192,192,192,253,253,224,253,224,253
  .DB 253,253,253,225,253,253,253,192,192,192,192,192,253,253,253,224
  .DB 253,253,253,253,192,192,192,253,253,253,253,253,253,253,253,253
  .DB 253,253,253,253,253,253,253,253,253,253,253,253,253,224,253,224
  .DB 248,192,192,192,192,192,201,253,225,253,202,192,192,192,192,192
  .DB 192,192,192,192,192,192,192,201,253,225,253,202,192,192,192,192
  .DB 192,247,224,253,224,253,253,253,253,253,253,253,248,247,253, 71
  .DB  71,253, 70, 70,253,253, 71, 71,253,248,246,247,253, 70, 70, 70
  .DB  70, 70,253,248,246,246,246,246,246,246,247,253,253,248,246,246
  .DB 246,246,246,246,246,246,246,247,253,253,253,253,253,253,253,253
  .DB 253,253,253,225,253,253,253,253,253,253,224,253,253,253,253,253
  .DB 224,253,253,253,253,253,253,224, 95, 95,164,165, 95, 95,224,253
  .DB 246,247,224, 95, 95,164,165, 95, 95,224,248,246,247,253,253,248
  .DB 246,246,246,246,247,253,253,248,246,246,246,246,246,247,253,248
  .DB 246,246,246,246,247,253,253,253,224,253,253,253,253,196,193,193
  .DB 193,193,193,193,194,253,253,253,253,224,253,253,253,253,253,224
  .DB 253,253,197,200,200,200,200,200,200,200,193,193,193,193,193,193
  .DB 193,193,193,193,193,193,193,193,193,194,253,224,253,253,253,225
  .DB 253,253,253,253,224,253,253,253,225,253,253,253,253,253,225,253
  .DB 253,253,253,224,253,253,224,253,253,253,224,253,253,253,224,253
  .DB 253,224,253,224,253,224,253,225,253,253,253,225,253,253,253,253
  .DB 224,253,253,253,225,253,225,253,253, 70, 70, 70, 70, 70,246,246
  .DB 246,246,247,224,248,247,253,253,248,247,224,248,247,253,253,248
  .DB 247,224,248,247,253,253,248,247,224,248,247,253,253,253,224,253
  .DB 253,253,224,253,253,224,248,246,246,246,246,247,253,253,248,246
  .DB 246,247,253,253, 71, 71, 71, 71,253,253, 70, 70, 70, 70,253,253
  .DB  70, 70, 70, 70, 71, 71, 71,253,253,192,192,192,192,192,192,192
  .DB 192,192,192,192,192,192,192,247,253,253,253,253,253,224,253,253
  .DB 253,253,224,253,253,253,253,253,248,192,192,192,192,192,192,201
  .DB 225,253,253,253,225,253,253,253,224,253,253, 71, 71,192,192,192
  .DB 192,192,192,192, 71, 71,253, 71,253, 71, 71,253,253, 71, 71,192
  .DB 192,192,192,192,192,192,192,192, 71, 71,192,192,192,192,192,192
  .DB 192,192,201,225,253,253,253,253,253,225,253,253,224,253,224,253
  .DB 253,253,253,224,253,253,253,253,225,253,225,253,253,192,192,192
  .DB 192,192,253,253,253,225,253,253,192,192,192,192,192,192,192,253
  .DB 253,253,253,253,253,253,253,248,246,246,246,246,192,192,192,192
  .DB 192,201,253,225,253,253,253,253,224,253,253,253,225,253,253,225
  .DB 253,253,225,253,253,225,253,253,253,224,253,253,253,253,225,253
  .DB 202,192,192,192,192,192,246,246,246,246,247,253, 71, 71,253, 70
  .DB  70,253, 70, 70,253,253, 70, 70,253, 71, 71, 71,253, 70, 70, 70
  .DB  70, 70,253, 71, 71, 71, 71, 71, 71, 71, 71,253,196,194,192,192
  .DB 192,192,192,192,192,192,192,196,194,253,253,196,193,193,194,253
  .DB 253,253,253,224,253,253,253,253,196,193,193,194,253,253,196,193
  .DB 193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193
  .DB 193,193,193,193,193,193,193,193,193,193,193,193,194,253,253,196
  .DB 193,193,193,193,194,253,253,196,193,193,193,193,193,194,253,196
  .DB 193,193,193,193,194,253,196,193,193,194,253,196,193,203,204,200
  .DB 203,204,200,203,204,193,194,253,196,193,193,194,253,196,193,193
  .DB 193,193,200,200,203,205,204,200,200,203,204,200,200,203,204,200
  .DB 200,203,204,200,200,203,204,200,200,195,253,224,253,253,253,224
  .DB 253,253,253,253,224,253,253,253,224,253,253,253,253,253,224,253
  .DB 253,253,253,224,253,253,224,253,253,253,224,253,253,253,224,253
  .DB 253,224,253,224,253,224,253,224,253,253,253,224,253,253,253,253
  .DB 224,253,253,253,224,253,224,253,253, 70, 70, 70, 70, 70, 71, 71
  .DB  71, 71, 71, 71, 71, 71,253,253, 71, 71, 71, 71, 71,253,253, 71
  .DB  71, 71, 71, 71,253,253, 71, 71, 71, 71, 71,253,253, 71, 71, 71
  .DB  71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71,253,253, 71, 71
  .DB  71, 71,253,253, 70, 70, 70, 70,253,253, 70, 70, 70, 70,253,253
  .DB  70, 70, 70, 70, 70, 70, 70,253,253,225,253,253,253,225,253,253
  .DB 253,225,253,253,253,225,202,192,192,192,192,192,192,192,192,192
  .DB 192,192,192,192,192,192,192,192,192,201,225,253,253,253,225,253
  .DB 224,253,253,253,224,253,253,253,224,253,253, 70, 70,201,253,253
  .DB 253,253,253,202, 70, 70,253, 70,253, 70, 70,253,253, 70, 70,201
  .DB 253,253,253,253,253,253,253,202, 70, 70,201,253,253,253,253,253
  .DB 253,253,253,224,253,253,253,253,253,224,253,253,224,253,224,253
  .DB 253,253,253,224,253,253,253,253,224,253,224,253,253,253,253,225
  .DB 253,253,253,253,253,224,253,253,253,225,253,253,225,253,202,192
  .DB 192,192,192,192,253,253,253,192,192,192,192,192,201,253,225,253
  .DB 253,253,253,224,253,253,253,253,224,253,253,253,224,253,253,224
  .DB 253,253,224,253,253,224,253,253,253,224,253,253,253,253,224,253
  .DB 253,253,253,225,253,202,192,192,192,192,192,253, 70, 70,253, 70
  .DB  70,253, 70, 70,253,253, 70, 70,253, 70, 70, 70,253, 70, 70, 70
  .DB  70, 70,253, 70, 70, 70, 70, 70, 70, 70, 70,253,197,195,201,253
  .DB 253,253,253,253,253,253,202,197,195,253,253,197,203,204,195,253
  .DB 253,196,193,193,193,194,253,253,197,203,204,195,253,253,197,203
  .DB 205,204,200,203,205,204,200,203,205,204,200,203,205,204,200,203

.ORG H'C9E0
base_data:
.DB     H'FF    ; CC0
.DB     H'10    ; CC01
.DB     H'00    ; CC02
.DB     H'16    ; CC03
.DB     H'10    ; CC11
.DB     H'14    ; CC12
.DB     H'26    ; CC13
.DB     H'1B    ; CC21
.DB     H'37    ; CC22
.DB     H'16    ; CC23
.DB     H'3B    ; CC31
.DB     H'2B    ; CC32
.DB     H'00    ; CC33

.DB     H'37    ; CCS11              ;enemy 1
.DB     H'13    ; CCS12
.DB     H'03    ; CCS13
.DB     H'34    ; CCS21              ;enemy 2
.DB     H'24    ; CCS22
.DB     H'14    ; CCS23

.DB     H'00    ; E_POWER
.DB     H'02    ; E_PAL
.DB     H'09    ; E_ATIME
.DB     H'01    ; E_IXV
.DB     H'01    ; E_IYV
.DB     CRAWL2  ; E_MTYPE
.DB     6*4     ; E_STAGE0
.DB     7*4     ; E_STAGE1
.DB     8*4     ; E_STAGE2
.DB     7*4     ; E_STAGE3

.DB     H'01    ; E_POWER
.DB     H'01    ; E_PAL
.DB     H'05    ; E_ATIME
.DB     H'01    ; E_IXV
.DB     H'01    ; E_IYV
.DB     CRAWL   ; E_MTYPE
.DB     212     ; E_STAGE0
.DB     216     ; E_STAGE1
.DB     220     ; E_STAGE2
.DB     224     ; E_STAGE3

.DB     H'00    ; E_POWER
.DB     H'00    ; E_PAL
.DB     H'02    ; E_ATIME
.DB     H'01    ; E_IXV
.DB     H'01    ; E_IYV
.DB     HOP     ; E_MTYPE
.DB     228     ; E_STAGE0
.DB     232     ; E_STAGE1
.DB     236     ; E_STAGE2
.DB     240     ; E_STAGE3

.DB     H'01    ; E_POWER
.DB     H'00    ; E_PAL
.DB     H'02    ; E_ATIME
.DB     H'01    ; E_IXV
.DB     H'01    ; E_IYV
.DB     HOP     ; E_MTYPE
.DB     228     ; E_STAGE0
.DB     232     ; E_STAGE1
.DB     236     ; E_STAGE2
.DB     240     ; E_STAGE3

.DB     T_SHIELD+3; ITM_ID
.DB     T_SHIELD; ITM_TYPE
.DB     32*4    ; ITM_SHP
.DB     CAN1    ; ITM_C1
.DB     CAN2    ; ITM_C2
.DB     CAN3    ; ITM_C3
.DB     1       ; ITM_PAGE
.DB     H'3A    ; ITM_X
.DB     3       ; ITM_Y

.DB     T_CORK  ; ITM_ID
.DB     T_CORK  ; ITM_TYPE
.DB     11*4    ; ITM_SHP
.DB     H'10    ; ITM_C1
.DB     0       ; ITM_C2
.DB     H'17    ; ITM_C3
.DB     0       ; ITM_PAGE
.DB     11      ; ITM_X
.DB     10      ; ITM_Y

.DB     T_BOOTS ; ITM_ID
.DB     T_BOOTS ; ITM_TYPE
.DB     31*4    ; ITM_SHP
.DB     H'37    ; ITM_C1
.DB     H'27    ; ITM_C2
.DB     H'17    ; ITM_C3
.DB     1       ; ITM_PAGE
.DB     H'F1    ; ITM_X
.DB     9       ; ITM_Y

.DB     0       ; DOOR_PAGE
.DB     2       ; DOOR_X
.DB     2*16+16 ; DOOR_Y
.DB     4       ; DOOR_TWORLD              ; To boots
.DB     1       ; DOOR_TPAGE
.DB     H'EC    ; DOOR_TX
.DB     9*16+16 ; DOOR_TY
.DB     7*DOOR_SIZE ; DOOR_TDOOR

.DB     0       ; DOOR_PAGE
.DB     2       ; DOOR_X
.DB     6*16+16 ; DOOR_Y
.DB     2       ; DOOR_TWORLD              ; To cave lake door
.DB     0       ; DOOR_TPAGE
.DB     48      ; DOOR_TX
.DB     9*16+16 ; DOOR_TY
.DB     1*DOOR_SIZE ; DOOR_TDOOR

.DB     0       ; DOOR_PAGE
.DB     H'60    ; DOOR_X
.DB     10*16+16; DOOR_Y
.DB     4       ; DOOR_TWORLD              ; To left passage
.DB     0       ; DOOR_TPAGE
.DB     H'F3    ; DOOR_TX
.DB     9*16+16 ; DOOR_TY
.DB     3*DOOR_SIZE ; DOOR_TDOOR

.DB     0       ; DOOR_PAGE
.DB     H'F3    ; DOOR_X
.DB     9*16+16 ; DOOR_Y
.DB     4       ; DOOR_TWORLD              ; From left passage
.DB     0       ; DOOR_TPAGE
.DB     H'60    ; DOOR_TX
.DB     10*16+16; DOOR_TY
.DB     2*DOOR_SIZE ; DOOR_TDOOR

.DB     1       ; DOOR_PAGE
.DB     H'75    ; DOOR_X
.DB     6*16+16 ; DOOR_Y
.DB     3       ; DOOR_TWORLD              ; From moon
.DB     1       ; DOOR_TPAGE
.DB     241     ; DOOR_TX
.DB     9*16+16 ; DOOR_TY
.DB     1*DOOR_SIZE ; DOOR_TDOOR

.DB     1       ; DOOR_PAGE
.DB     H'3D    ; DOOR_X
.DB     9*16+16 ; DOOR_Y
.DB     4       ; DOOR_TWORLD              ; To ruins
.DB     1       ; DOOR_TPAGE
.DB     H'89    ; DOOR_TX
.DB     3*16+16 ; DOOR_TY
.DB     6*DOOR_SIZE ; DOOR_TDOOR

.DB     1       ; DOOR_PAGE
.DB     H'89    ; DOOR_X
.DB     3*16+16 ; DOOR_Y
.DB     4       ; DOOR_TWORLD              ; From ruins
.DB     1       ; DOOR_TPAGE
.DB     H'3D    ; DOOR_TX
.DB     9*16+16 ; DOOR_TY
.DB     5*DOOR_SIZE ; DOOR_TDOOR

.DB     1       ; DOOR_PAGE
.DB     H'EC    ; DOOR_X
.DB     9*16+16 ; DOOR_Y
.DB     4       ; DOOR_TWORLD              ; From boots
.DB     0       ; DOOR_TPAGE
.DB     2       ; DOOR_TX
.DB     2*16+16 ; DOOR_TY
.DB     0*DOOR_SIZE ; DOOR_TDOOR

.DB     H'1B    ; DC1
.DB     H'37    ; DC2
.DB     H'16    ; DC3
.DB     4       ; FT_TILE

.ORG H'CA80
base_map:
  .DB 193, 25, 17, 17, 33, 25, 32, 32, 32, 32, 33, 25,  9, 10, 11,  9
  .DB  10, 11,  9, 10, 11, 33, 25,  9, 11, 33, 25,  9, 10, 10, 10, 10
  .DB  10, 10, 11, 33, 25,  9, 11, 33, 25,  9, 10, 11,  9, 10, 11,  9
  .DB  10, 11, 33, 24, 24, 24, 24, 24, 24, 24, 25,  9, 10, 11, 32,  9
  .DB  10, 10, 10, 10, 11, 32,  9, 10, 10, 10, 10, 11, 32,  9, 10, 10
  .DB  10, 10, 11, 32,  9, 10, 11, 33,193,193,193,193,193,193,193,193
  .DB 193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193
  .DB 193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193
  .DB 193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193
  .DB 193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193
  .DB 193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193
  .DB 193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193
  .DB 193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193
  .DB 193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193
  .DB 193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193
  .DB 193,192,193,193,192,193,193,192,193,193,192,193,193,192,193,193
  .DB 192,193,193,192,193,193,192,193,193,192,193,193,192,193,193,192
  .DB 193,193,192,193,193,192,193,193,192,193,193,193,193,193,193,193
  .DB 193,193,193,193,193,193,193,193,193,195,193,193,193,193,193,193
  .DB 193,193,195,193,193,193,193,193,193,193,193,195,193,193,193,195
  .DB 193,193,193,193,193,193,193,193,195,193,193,193,193,195,193,193
  .DB 193,195,195,193,194,192,194,194,194,192,194,192,194,194,192,192
  .DB 192,194,192,192,192,192,194,192,192,194,192,194,192,192,194,192
  .DB 194,192,192,194,192,192,194,192,194,192,192,194,192,192,192,192
  .DB 192,192,192,192,192,192,194,192,192,192,192,192,192,192,192,192
  .DB 192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192
  .DB 192,193,193,193,193,193,193,193,193,195,193,193,193,193,193,193
  .DB 193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193
  .DB 193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193
  .DB 193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193
  .DB 193,193,193,193,193,193,193,193,193,193,193,193,192,192,192,192
  .DB 192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,193
  .DB 193,  7,154,155, 19,  7, 23, 24, 24, 23,  8,  7, 15, 57, 16, 15
  .DB  56, 16, 15, 57, 16,  8, 34, 12, 14,  6,  7, 15, 57, 57, 51, 57
  .DB  56, 57, 16,  8, 34, 12, 14,  6,  7, 15, 58, 16, 15, 57, 16, 15
  .DB  57, 16,  8, 24, 25,  9, 10, 11, 33, 24,  7, 15, 57, 16, 24, 15
  .DB  57, 57, 57, 58, 16, 24, 15, 57, 58, 57, 57, 16, 24, 15, 56, 57
  .DB  57, 57, 16, 24, 15, 57, 16,  8, 25,  9, 10, 11, 33,193,193,193
  .DB 193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193
  .DB 193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193
  .DB 193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193
  .DB 193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193
  .DB 193,193,193,193,193,193,193,193,193,193,193,193,193,193, 24, 25
  .DB   9, 10, 10, 10, 10, 10, 10, 10, 11, 33, 24, 25, 32, 32, 32, 32
  .DB  32, 32, 32, 33, 24, 25,  9, 10, 10, 10, 10, 10, 10, 10, 10, 10
  .DB  10, 10, 10, 10, 10, 11, 32,  9, 10, 10, 10, 10, 10, 10, 10, 10
  .DB  10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 11, 33
  .DB  24,192,193,193,192,193,193,192,193,193,192,193,193,192,193,193
  .DB 192,193,193,192,193,193,192,193,193,192,193,193,192,193,193,192
  .DB 193,193,192,193,193,192,193,193,192,193,193,193,193,192,192,192
  .DB 192,192,192,192,192,192,192,192,192,192,194,192,192,192,192,192
  .DB 192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192
  .DB 192,192,192,192,192,194,192,192,192,192,194,192,192,192,192,192
  .DB 192,192,194,192,194,192,192,192,192,194,194,194,192,192,192,194
  .DB 192,192,192,194,192,194,192,192,192,192,192,192,194,192,192,192
  .DB 192,194,194,192,192,194,192,194,192,194,194,192,194,192,192,192
  .DB 192,192,192,192,192,192,192,192,192,192,192,192,192,194,192,192
  .DB 192,192,192,194,192,192,192,192,192,192,192,192,192,192,192,192
  .DB 192, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24
  .DB  24, 23, 23, 25,  9, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10
  .DB  10, 10, 10, 11, 33, 23, 23, 25,  9, 11, 33, 25,  9, 10, 10, 10
  .DB  10, 10, 10, 10, 10, 10, 10, 11, 33, 25,  9, 11, 33, 24, 25,  9
  .DB  10, 10, 10, 10, 10, 10, 10, 10, 11, 33, 24,193,193,193,193,193
  .DB 193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193
  .DB 193,  7,154,155, 19, 34,  5,  5,  5,  5,  6,  7, 15, 56, 16, 15
  .DB  58, 16, 15, 56, 16,  8, 25,  9, 11, 33,  7, 15, 57, 56, 57,117
  .DB 118, 57, 16,  8, 25,  9, 11, 33,  7, 15, 57, 16, 15, 56, 16, 15
  .DB  58, 16,  8, 24,  7, 15, 58, 16,  8, 24,  7, 15, 57, 16, 24, 15
  .DB 244, 56, 57, 57, 16, 24, 15, 56, 57, 57, 56, 16, 24, 15, 57, 56
  .DB  58, 57, 16, 24, 15, 57, 16,  8, 34, 12, 13, 14,  6, 25,  9, 11
  .DB   9, 11,  9, 11,  9, 11, 33, 24, 25,  9, 10, 10, 10, 11, 33, 24
  .DB  25,  9, 11,  9, 11,  9, 11,  9, 11, 33, 24, 24, 24, 24, 24, 24
  .DB  24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 23, 24, 24, 24, 24
  .DB  24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 23, 24, 24, 24, 24
  .DB  24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 23, 24,  7
  .DB  15, 51, 56, 57, 56, 58, 57, 56, 16,  8, 24,  7, 24, 24, 24, 24
  .DB  24, 24, 24,  8, 24,  7, 15, 58, 57, 56, 57, 57, 56, 57, 57, 57
  .DB  58, 58, 56, 56, 57, 16, 23, 15, 58, 57, 57, 51, 57, 57, 58, 56
  .DB  56, 58, 56, 57, 58, 58, 56, 57, 56,244, 57, 56, 58, 57, 16,  8
  .DB  24, 25, 33, 25, 32, 32, 32, 32, 32, 32, 32, 32, 33, 25, 33, 25
  .DB  32, 32, 32, 32, 23, 32, 32, 32, 32, 33, 25, 33, 25, 32, 32, 32
  .DB  32, 32, 32, 32, 32, 33, 25, 32, 32, 23, 32, 32, 33,192, 25, 32
  .DB  32, 32, 33,192, 25, 32, 32, 32, 33,192, 25, 32, 32, 30, 33,192
  .DB  25, 32, 32, 32, 33,192, 25, 32, 32, 32, 33,192,192,194,192,192
  .DB  25,  9, 10, 10, 10, 10, 10, 10, 10, 11, 33, 25, 32, 32, 40, 33
  .DB 192,194,192,192, 25, 32, 32, 32, 29,195, 25, 32, 32, 32, 33,193
  .DB  25, 32, 29, 32, 33,193, 25,  9, 11, 33, 25, 33, 25, 30, 30, 40
  .DB  33, 25, 33, 25, 36, 37, 32, 29, 33, 24, 25, 40, 30, 32, 32, 33
  .DB  24, 25, 29, 32, 32, 32, 33, 25, 33,154,155, 25, 33, 61, 25,  9
  .DB  10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 11,  9, 10, 10, 11
  .DB   9, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 11
  .DB  33, 25, 33,  7, 15, 58, 56, 56, 57, 56, 57, 58, 57, 56, 57, 56
  .DB  51, 58, 58, 16,  8, 25, 33,  7, 15, 16,  8,  7, 15, 57, 58, 57
  .DB  56, 57, 58, 57, 56, 57, 56, 16,  8,  7, 15, 16,  8, 24,  7, 15
  .DB  58, 56, 57, 56, 58, 57,178, 58, 16,  8, 24,192, 25, 32, 32, 32
  .DB  32, 32,  9, 10, 10, 10, 10, 11, 32, 32, 32, 32, 32, 32, 33,192
  .DB 193,193,193,193,193,193,193,193,193,193,193,  7, 15, 57, 16, 15
  .DB  57, 16, 15, 57, 16,  8, 34, 12, 14,  6,  7, 15, 56, 57, 57,119
  .DB  63, 58, 16,  8, 34, 12, 14,  6,  7, 15, 57, 16, 15, 57, 16, 15
  .DB  56, 16,  8, 24, 34, 12, 13, 14,  6, 24,  7, 15, 56, 16, 24, 15
  .DB  58, 57, 57, 57, 16, 24, 15, 57,113, 58, 57, 16, 24, 15, 57, 57
  .DB  57, 57, 16, 24, 15, 56, 16,  8, 25,  9, 10, 11, 33,  7, 15, 16
  .DB  15, 16, 15, 16, 15, 16,  8, 24,  7, 15, 57, 56, 58, 16,  8, 24
  .DB   7, 15, 16, 15, 16, 15, 16, 15, 16,  8, 24, 25,  9, 10, 10, 10
  .DB  10, 10, 10, 10, 10, 10, 10, 10, 10, 11, 33, 24, 25,  9, 10, 10
  .DB  10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 11, 32,  9, 10, 10, 10
  .DB  10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 11, 33, 24,  7
  .DB  15, 58, 57, 58, 56, 57,113, 58, 16,  8, 24,  7, 24, 24, 24, 24
  .DB  24, 24, 24,  8, 24, 34, 12, 13, 13, 13, 13, 13, 13, 13, 13, 13
  .DB  13, 13, 13, 13, 13, 14,  5, 12, 13, 13, 13, 13, 13, 13, 13, 13
  .DB  13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 14,  6
  .DB  24, 34,  6, 34,  5,  5,  5,  5,  5,  5,  5,  5,  6, 34,  6, 34
  .DB   5,  5,  5,  5,  5,  5,  5,  5,  5,  6, 34,  6, 34,  5,  5,  5
  .DB   5,  5,  5,  5,  5,  6, 34,  5,  5,  5,  5,  5,  6,192,  7, 29
  .DB  24, 24,  8,192,  7, 24, 24, 24,  8,192,  7, 24, 24, 24,  8,192
  .DB   7, 24, 29, 24,  8,192, 34,  5,  5,  5,  6,192,192,192,194,192
  .DB  34, 12, 13, 13, 13, 13, 13, 13, 13, 14,  6,  7, 29, 42, 43,  8
  .DB 192,192,192,194,  7, 24, 62, 24,  8,193,  7, 24, 24, 24,  8,193
  .DB   7, 24, 24, 24,  8,195, 34, 12, 14,  6,  7,  8, 34, 31,  5,  5
  .DB   6,  7,  8, 34, 38, 39,  5,  5,  6, 62, 34,  5,  5, 31,  5,  6
  .DB  24, 34,  5,  5,  5,  5,  6, 34,  6,154,155, 34,  6, 62, 34, 12
  .DB  13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 14, 12, 13, 13, 14
  .DB  12, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 14
  .DB   6,  7,  8, 34, 12, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13
  .DB  13, 13, 13, 14,  6,  7,  8, 34, 12, 14,  6,  7, 15, 56, 57, 56
  .DB  57,244, 57, 56, 57, 58, 57, 16,  8, 34, 12, 14,  6, 24, 34, 12
  .DB  13, 13, 13, 13, 13, 13, 13, 13, 14,  6, 24,192, 34,  5,  5,  5
  .DB   5,  5, 12, 13, 13, 13, 13, 14,  5,  5,  5,  5,  5,  5,  6,192
  .DB 193, 25, 17, 17, 33, 25, 32, 17, 17, 32, 33,  7, 15, 57, 16, 15
  .DB  56, 16, 15,244, 16,  8, 25,  9, 11, 33, 34, 12, 13, 13, 13, 13
  .DB  13, 13, 14,  6, 25,  9, 11, 33,  7, 15, 57, 16, 15,113, 16, 15
  .DB  57, 16,  8, 24, 24, 24, 24, 24, 24, 24,  7, 15, 58, 16, 24, 15
  .DB  57, 57, 57, 58, 16, 24, 15, 57, 56, 57, 57, 16, 24, 15, 57, 57
  .DB  57, 56, 16, 24, 15, 57, 16,  8, 34, 12, 13, 14,  6,  7, 15, 16
  .DB  15, 16, 15, 16, 15, 16,  8, 24,  7, 15, 58,117,118, 16,  8, 24
  .DB   7, 15, 16, 15, 16, 15, 16, 15, 16,  8, 24, 34, 12, 13, 13, 13
  .DB  13, 13, 13, 13, 13, 13, 13, 13, 13, 14,  6, 24, 34, 12, 13, 13
  .DB  13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 14,  5, 12, 13, 13, 13
  .DB  13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 14,  6, 24, 34
  .DB  12, 13, 13, 13, 13, 13, 13, 13, 14,  6, 24,  7, 24, 24, 24, 24
  .DB  24, 24, 24,  8, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24
  .DB  24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24
  .DB  24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24
  .DB  24, 24,193,193,193,193,193,193,193,193,193,193, 24,193,193, 24
  .DB 193,193,193,193,193,193,193,193,193, 32,193,193, 32,193,193,193
  .DB 193,193,193,193,193,193,193,193,193,194,196,193,194,192,  7, 24
  .DB 192, 24,  8,192,  7, 24,194, 29,  8,192,  7, 24,192, 24,  8,192
  .DB   7, 24,192, 43,  8,192,192,192,196,194,192,192,192,192,192,192
  .DB 193,195,193,193,193,193,193,193,193,193,193,  7, 24, 44, 46,  8
  .DB  25,  9, 11, 33,  7, 24,193, 29,  8,193,  7, 24,193, 24,  8,193
  .DB   7, 24,193, 24,  8,193, 24, 24, 24, 24,195,195,195,196,193,195
  .DB 193,  7,  8,196,196,195,195,195,196,196,195,196, 24,196,196,196
  .DB  24,196, 24, 24, 24,195,194,193,194,195,192,193,192,195, 24,194
  .DB  24, 24, 24, 24, 24, 24, 24, 24, 29, 24, 24, 24, 24, 24, 24, 24
  .DB  24, 24, 24,192,194,192, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24
  .DB  24,  7,  8, 24,192,192, 24,192,192,192, 24,192,192, 24,192,192
  .DB 192, 24,192,192, 24,  7,  8, 25,  9, 11, 33,  7, 15, 57, 58, 57
  .DB  58, 57, 56, 57, 56, 57, 58, 16,  8, 25,  9, 11, 33, 24, 24,192
  .DB 192,192,192,192,192,192,192,192,192, 24, 24,193,193,193,193, 24
  .DB 193,193,193,193, 24,193,193,193,193,193, 24,193,193,193,193,193
  .DB 193,  7,154,155, 19,  7, 24, 85, 86, 24,  8,  7, 15, 56, 16, 15
  .DB  56, 16, 15, 57, 16,  8,  7, 15, 16,  8, 24, 24, 24, 24, 23, 23
  .DB  24, 24, 24, 24,  7, 15, 16,  8,  7, 15, 56, 16, 15, 58, 16, 15
  .DB  57, 16,  8, 24, 24,192,192,192, 24, 24,  7, 15, 57, 16, 24, 15
  .DB  57, 57, 58, 57, 16, 24, 15, 57, 57, 57, 56, 16, 24, 15, 57, 56
  .DB  57,244, 16, 24, 15, 57, 16,  8, 25,  9, 10, 11, 33,  7, 15, 16
  .DB  15, 16, 15, 16, 15, 16,  8, 24,  7, 15, 56,119,244, 16,  8, 24
  .DB   7, 15, 16, 15, 16, 15, 16, 15, 16,  8, 24,193,193,193, 24,193
  .DB 193,193,193,193,193,193,193,193,193,193,193, 24,193,193,193,193
  .DB 193,193,193, 24,193,193,193,193,193,193,193, 24,193,193,193,193
  .DB 193,193, 24,193,193,193,193,193,193,193,193, 24,193,193,193,193
  .DB 193,193,193,193,193,193,193,193,193,193, 24,  7, 24, 24, 24, 24
  .DB  24, 24, 24,  8, 24, 25, 32, 33, 24, 25, 32, 33, 24, 25, 32,192
  .DB 192, 25, 32, 33, 24, 25, 32, 33, 24, 25, 32, 33, 24, 25, 32, 33
  .DB  24, 25, 32, 33, 24, 25, 32, 33, 24, 25,  9, 10, 10, 10, 11, 33
  .DB  24,193,193, 25, 32, 32, 32, 32, 32, 32, 32, 32, 33, 25, 33, 25
  .DB  32, 32, 32, 32, 32, 32, 32, 32, 32, 33, 25, 33, 25, 32, 32, 32
  .DB  23, 29, 32, 32, 32, 33, 25, 32, 32, 32, 30, 32, 33, 24,  7, 24
  .DB 192, 24,  8, 24,  7, 24,192, 24,  8, 24,  7, 24,194, 24,  8, 24
  .DB   7, 24,192, 46,  8, 25, 30, 32, 32, 32, 32, 32, 32, 32, 32, 33
  .DB  25,  9, 10, 10, 10, 10, 10, 10, 10, 11, 33, 34,  5,  5, 29,  6
  .DB  34, 12, 14,  6,  7, 24,193, 61,  8,  7,  7, 24,195, 24,  8, 24
  .DB   7, 24,193, 24,  8, 24, 25,  9, 11, 33,  7,  8, 25, 40, 30, 32
  .DB  33, 29,  8, 25, 40,154,155, 32, 33, 61, 25, 32, 32, 32, 32, 33
  .DB  24, 25, 32, 30, 32, 32, 33, 25, 40, 35, 41, 40, 33, 61, 24, 24
  .DB  24,194, 24, 24, 24, 24, 24, 24, 61, 24, 24, 24, 24, 23, 23, 62
  .DB  24, 24, 24, 24, 61, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24
  .DB  24, 34,  6, 25,  9, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10
  .DB  10, 10, 10, 11, 33, 34,  6,  7, 15, 16,  8,  7, 15, 58, 51, 56
  .DB  57, 56, 57, 58, 57, 56, 57, 16,  8,  7, 15, 16,  8, 24, 25, 32
  .DB  33, 23, 47, 85, 86, 48, 23, 25, 32, 33, 24, 25, 23, 32, 32, 32
  .DB  33,192, 25, 32, 32, 32, 32, 33,192, 25, 32, 32, 32, 23, 33,192
  .DB 193,  7,154,155, 19, 34,  5, 18, 18,  5,  6,  7, 15, 57, 16, 15
  .DB  57, 16, 15, 57, 16,  8, 34, 12, 14,  6, 25,  9, 10, 10, 10, 10
  .DB  10, 10, 11, 33, 34, 12, 14,  6,  7, 15, 57, 16, 15, 56, 16, 15
  .DB  57, 16,  8, 24, 24, 24, 24, 24, 24, 24,  7, 15, 56, 16, 24, 15
  .DB  58, 57, 57,178, 16, 24, 15, 58, 57, 57, 57, 16, 24, 15, 57, 57
  .DB  58, 57, 16, 24, 15, 57, 16,  8, 34, 12, 13, 14,  6,  7, 15, 16
  .DB  15, 16, 15, 16, 15, 16,  8, 24,  7, 15, 57, 58, 56, 16,  8, 24
  .DB   7, 15, 16, 15, 16, 15, 16, 15, 16,  8, 24, 25,  9, 10, 10, 10
  .DB  10, 10, 10, 10, 10, 10, 10, 10, 10, 11, 33, 24, 25,  9, 10, 10
  .DB  10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 11, 32,  9, 10, 10, 10
  .DB  10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 11, 33, 24, 25
  .DB  10, 10, 10, 10, 10, 10, 10, 10, 11, 33, 24,  7, 24, 24, 24, 24
  .DB  24, 24, 24,  8, 24,  7, 24,  8, 24,  7, 24,  8,192,192, 24,  8
  .DB  24,  7,192,192, 24,  7, 24,  8, 24,  7, 24,  8, 24,  7,192,192
  .DB  24,  7, 24,  8, 24,  7, 24,  8, 24, 34, 12, 13, 13, 13, 14,  6
  .DB 193,193,193, 34,  5,  5,  5,  5,  5,  5,  5,  5,  6, 34,  6, 34
  .DB   5,  5,  5,  5,  5,  5,  5,  5,  5,  6, 34,  6, 34,  5,  5,  5
  .DB   5,  5,  5,  5,  5,  6, 34,  5,  5,  5, 31, 31,  6, 24, 34,  5
  .DB 192, 31,  6, 24, 34,  5,192,  5,  6, 24, 34,  5,192,  5,  6, 24
  .DB  34,  5,192,  5,  6, 34, 31,  5,  5,  5,  5,  5,  5,  5,  5,  6
  .DB  34, 12, 13, 13, 13, 13, 13, 13, 13, 14,  6, 25, 40, 35, 41, 33
  .DB 194,192,194,192, 34,  5,193,  5,  6,  7, 34,  5,193,  5, 29, 24
  .DB  34,  5,195,  5,  6, 24, 34, 12, 14,  6,  7,  8, 34,  5, 31,  5
  .DB   6,  7,  8, 34,  5,154,155, 31,  6, 24, 34,  5, 29,  5,  5,  6
  .DB  24, 34,  5,  5, 31,  5,  6,  7, 42, 92, 43, 24, 29, 24, 24, 24
  .DB  24, 24, 24,194, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 29
  .DB  24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24
  .DB  24, 24, 24,  7, 15, 58, 58, 51, 56, 57, 58, 56, 58, 56, 56, 57
  .DB  57, 57, 56, 16,  8, 24, 24, 34, 12, 14,  6,  7, 15, 57, 56, 59
  .DB  60, 57, 56, 57, 58,117,118, 16,  8, 34, 12, 14,  6, 24, 34,  5
  .DB   6, 24, 34, 18, 18,  6, 24, 34,  5,  6, 24, 34,  5,  5,  5,  5
  .DB   6,192, 34,  5,  5,  5,  5,  6,192, 34,  5,  5,  5,  5,  6,192
  .DB 193,193,193,193,193,193,193,193,193,193,193,  7, 15, 58, 16, 15
  .DB  57, 16, 15, 56, 16,  8, 25,  9, 11, 33,  7, 15, 57, 58, 56, 57
  .DB  56, 58, 16,  8, 25,  9, 11, 33,  7, 15, 57, 16, 15, 57, 16, 15
  .DB  56, 16,  8, 24, 24, 24, 24, 24, 24, 24,  7, 15, 57, 16,192, 15
  .DB  57, 58, 57, 57, 16,192, 15, 57, 57, 56, 56, 16,192, 15, 57, 58
  .DB  57, 57, 16,192, 15, 58, 16,  8, 25,  9, 10, 11, 33, 34, 12, 14
  .DB  12, 14, 12, 14, 12, 14,  6, 24, 34, 12, 13, 13, 13, 14,  6, 24
  .DB  34, 12, 14, 12, 14, 12, 14, 12, 14,  6, 24, 34, 12, 13, 13, 13
  .DB  13, 13, 13, 13, 13, 13, 13, 13, 13, 14,  6, 24, 34, 12, 13, 13
  .DB  13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 14,  5, 12, 13, 13, 13
  .DB  13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 14,  6, 24, 34
  .DB  13, 13, 13, 13, 13, 13, 13, 13, 14,  6, 24,  7, 24,192,192, 24
  .DB  24, 24, 24,  8, 24,  7, 24,  8, 24,192,192,  8, 24, 34,  5,  6
  .DB  24, 34,  5,  6, 24,192,192,  8, 24,  7, 24,192,192,  7, 24,  8
  .DB  24,192,192,192,192,  7, 24,  8, 24, 25,  9, 10, 11, 33, 24,193
  .DB 193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193
  .DB 193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193
  .DB 193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193
  .DB 192,193,193,194,193,193,194,193,193,193,193,193,192,193,193,193
  .DB 193,193,196,193,193,193,193,195,193,193,193,193,195,193,193,193
  .DB 193,193,193,193,193,195,193,193,193,193,193,  7, 42, 92, 43,  8
  .DB  25,  9, 11, 33, 24, 24,193,196,193,195,193,193,195,193,193,195
  .DB 195,193,195,195,195,195,193,195,193,193,195,195,193,195,195,196
  .DB 195,  7,  8,195,195,195,195,195,196,195,196,196,196, 24,196,196
  .DB 196,196, 24, 24, 24, 24, 24,  7, 44, 45, 61, 24,  8, 24, 24, 24
  .DB  24, 24, 29, 24, 24,194,196,194,192, 24, 24, 24, 24, 24, 24, 24
  .DB 192,192, 24, 24, 24, 24, 24,192,192, 24, 24, 24, 24, 24, 24, 24
  .DB  24, 24,192,  7, 15, 57, 56, 57, 56, 56,117,118, 56, 57, 58, 56
  .DB  57, 57, 56, 16,  8,192, 24, 25,  9, 11, 33,  7, 15, 58, 57, 56
  .DB  57, 58, 57, 56, 57,119,178, 16,  8, 25,  9, 11, 33, 24, 24,192
  .DB 192,192,192,192,192,192,192,192,192, 24, 24,193,193,193,193,193
  .DB 193,193,193,193,193,193,193,193,193,193,193,193,193, 24,193,193
  .DB 193, 25,  9, 10, 10, 10, 10, 10, 10, 11, 33,  7, 15, 57, 16, 15
  .DB  56, 16, 15, 57, 16,  8, 34, 12, 14,  6,  7, 15, 56, 57,178, 56
  .DB  57, 56, 16,  8, 34, 12, 14,  6,  7, 15, 57, 16, 15, 57, 16, 15
  .DB  56, 16,  8, 24, 24,192,192,192, 24, 24,  7, 15, 57, 16, 24, 15
  .DB  57, 57, 57, 58, 16, 24, 15, 56, 57, 56, 57, 16, 24, 15, 57, 56
  .DB  57, 56, 16, 24, 15, 56, 16,  8, 34, 12, 13, 14,  6,193,193,193
  .DB 193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193
  .DB 193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193
  .DB 193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193
  .DB 193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193
  .DB 193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193
  .DB 193,193,193,193,193,193,193,193,193,193, 24,  7, 24, 24, 24, 24
  .DB  24,192,192,  8, 24,  7,192,192, 24,  7, 24,  8, 25, 33, 25, 17
  .DB  17, 17, 33, 25, 33,  7, 24,  8,192,192, 24,  8, 24,  7, 24,  8
  .DB  24,  7, 24,  8, 24,  7,192,192, 24, 34, 12, 13, 14,  6,193,193
  .DB 193,193,193,154,155, 25, 32, 32, 32, 32, 32, 32, 33, 25, 33, 25
  .DB  32, 32, 32, 32, 23, 32, 32, 32, 30, 33, 25, 33, 25, 32, 32, 32
  .DB  32, 32, 32, 32, 32, 33, 25, 32, 32, 23, 32, 32, 33, 24, 25, 32
  .DB  32, 32, 32, 23, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 23
  .DB  32, 32, 32, 36, 37, 32, 32, 32, 32, 32, 32, 32, 33,154,155,193
  .DB  25,  9, 10, 10, 10, 10, 10, 10, 10, 11, 33,  7, 44, 45, 46,  8
  .DB  34, 12, 14,  6, 25, 33, 42, 92, 43, 25, 33, 24, 61, 24, 25, 33
  .DB  42, 92, 43, 25, 29, 24, 25,  9, 11, 33,  7,  8, 25, 32, 32, 30
  .DB  33,  7,  8, 25, 32, 32, 32, 32, 29, 24, 25, 32, 30, 32, 40, 33
  .DB  61, 25, 32, 40, 36, 37, 33,  7, 24, 24, 24, 24,  8, 24, 25,  9
  .DB  10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 11,  9, 10, 10, 11
  .DB   9, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 11
  .DB  33, 25, 33,  7, 15, 56, 58, 56, 57, 58,119, 63, 57, 56, 57,178
  .DB  58, 57, 58, 16,  8, 25, 33,  7, 15, 16,  8,  7, 15, 57, 56, 57
  .DB  58, 57, 56, 57, 58, 57, 58, 16,  8,  7, 15, 16,  8, 24, 25,  9
  .DB  10, 10, 10, 10, 10, 10, 10, 10, 11, 33, 24,192,154,155, 25, 32
  .DB  33, 24, 47, 86, 85, 85, 86, 48, 24, 25, 32, 32, 32, 32, 33,192
  .DB 193,  7, 15, 57, 58, 57, 51, 57, 56, 16,  8,  7, 15, 56, 16, 15
  .DB  56, 16, 15, 57, 16,  8, 25,  9, 11, 33,  7, 15, 58, 56, 57, 58
  .DB  56, 57, 16,  8, 25,  9, 11, 33,  7, 15, 58, 16, 15, 56, 16, 15
  .DB  57, 16,  8, 24, 24, 24, 24, 24, 24, 24,  7, 15, 56, 16, 24, 15
  .DB  57, 58, 57, 57, 16, 24, 15, 57, 57, 57, 51, 16, 24, 15, 56, 57
  .DB  58, 57, 16, 24, 15, 57, 16,  8, 25,  9, 10, 11, 33,193, 25, 33
  .DB 154,155, 25, 33, 23, 25, 32, 32, 32, 33, 23, 25, 33, 23, 25, 32
  .DB  32, 32, 33, 23, 25, 33, 23, 25, 32, 32, 32, 33, 23, 25, 33, 23
  .DB  25, 32, 32, 32, 33, 23, 25, 33, 23, 25, 32, 32, 32, 33, 47, 85
  .DB  48, 25, 32, 32, 32, 33, 25, 32, 33, 25, 32, 32, 32, 33, 47, 86
  .DB  48, 25, 32, 32, 32, 33, 25, 32, 33, 25, 32, 32, 32, 33, 24, 25
  .DB  10, 10, 10, 10, 10, 10, 10, 10, 11, 33, 24,  7, 24, 24, 24, 24
  .DB  24, 24, 24,  8, 24,  7, 24,  8, 24,  7, 24,  8,  7,  8, 20, 86
  .DB  85, 86, 19,  7,  8,  7, 24,  8, 24,  7, 24,  8, 24,  7, 24,  8
  .DB  24,  7, 24,  8, 24,  7, 24,  8, 24, 25, 23, 33, 24,193,193,193
  .DB 193,193,193,154,155, 34,  5,  5,  5,  5,  5,  5,  6, 34,  6, 34
  .DB   5,  5,  5,  5,  5,  5,  5,  5, 31,  6, 34,  6, 34,  5,  5,  5
  .DB   5,  5,  5,  5,  5,  6, 34,  5,  5,  5,  5,  5,  6, 24, 34,  5
  .DB   5,  5,  5,  5,  5,  5,  5,  5,  5,  5,  5,  5,  5,  5,  5,  5
  .DB   5,  5,  5, 38, 39,  5,  5,  5,  5,  5,  5,  5,  6,154,155,195
  .DB  34, 12, 13, 13, 13, 13, 13, 13, 13, 14,  6, 34,  5,  5,  5,  6
  .DB 192,192,192,192, 34,  6, 44, 45, 46, 34,  6, 29, 24, 24, 34,  6
  .DB  44, 45, 46, 34,  6, 24, 34, 12, 14,  6, 34,  6, 34, 29,  5, 31
  .DB   6, 34,  6, 34, 29,  5,  5,  5,  6, 24, 34,  5, 31,  5,  5,  6
  .DB  24, 29,  5,  5, 38, 39,  6, 34,  5, 29,  5, 31,  6, 24, 34, 12
  .DB  13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 14, 12, 13, 13, 14
  .DB  12, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 14
  .DB   6,  7,  8,  7, 15, 58, 57, 57, 56, 57, 57, 56, 58, 58, 56, 57
  .DB  56, 58, 57, 16,  8,  7,  8, 34, 12, 14,  6, 34, 12, 13, 13, 13
  .DB  13, 13, 13, 13, 13, 13, 13, 14,  6, 34, 12, 14,  6, 24,  7, 15
  .DB  56, 57, 58, 56, 57, 58, 56, 57, 16,  8, 24,192,154,155, 34,  5
  .DB   6, 24, 34, 18, 18, 18, 18,  6, 24, 34,  5,  5,  5,  5,  6,192
  .DB 193, 34, 12, 13, 13, 13, 13, 13, 13, 14,  6, 34, 12, 13, 14, 12
  .DB  13, 14, 12, 13, 14,  6, 34, 12, 14,  6, 34, 12, 13, 13, 13, 13
  .DB  13, 13, 14,  6, 34, 12, 14,  6, 34, 12, 13, 14, 12, 13, 14, 12
  .DB  13, 14,  6, 24, 24, 24, 24, 24, 24, 24, 34, 12, 13, 14,  5, 12
  .DB  13, 13, 13, 13, 14,  5, 12, 13, 13, 13, 13, 14,  5, 12, 13, 13
  .DB  13, 13, 14,  5, 12, 13, 14,  6, 34, 12, 13, 14,  6,193, 34,  6
  .DB 154,155, 34,  6, 24, 34,  5,  5,  5,  6, 24, 34,  6, 24, 34,  5
  .DB   5,  5,  6, 24, 34,  6, 24, 34,  5,  5,  5,  6, 24, 34,  6, 24
  .DB  34,  5,  5,  5,  6, 24, 34,  6, 24, 34,  5,  5,  5,  6, 34, 18
  .DB   6, 34,  5,  5,  5,  6, 34,  5,  6, 34,  5,  5,  5,  6, 34, 18
  .DB   6, 34,  5,  5,  5,  6, 34,  5,  6, 34,  5,  5,  5,  6, 24, 34
  .DB  13, 13, 13, 13, 13, 13, 13, 13, 14,  6, 24, 34,  5,  5,  5,  5
  .DB   5,  5,  5,  6, 24, 34,  5,  6, 24, 34,  5,  6, 34,  6, 34, 18
  .DB  18, 18,  6, 34,  6, 34,  5,  6, 24, 34,  5,  6, 24, 34,  5,  6
  .DB  24, 34,  5,  6, 24, 34,  5,  6, 24, 34,  5,  6,193,193,193,193
  .DB 193,192,193,193,192,193,193,192,193,193,192,193,193,192,193,193
  .DB 192,193,193,192,193,193,192,193,195,192,193,193,192,193,193,192
  .DB 193,193,192,193,193,192,193,193,192,193,195,192,192,192,192,192
  .DB 192,192,192,192,194,196,196,196,192,192,194,192,192,192,192,192
  .DB 192,192,192,194,192,192,192,192,192,192,192,192,192,192,192,194
  .DB 192,192,192,192,194,192,194,194,192,194,194,192,194,194,192,192
  .DB 192,194,192,192,194,192,194,194,194,192,194,192,194,192,192,192
  .DB 194,192,194,194,192,192,194,192,192,192,192,194,194,192,192,194
  .DB 192,192,194,192,192,196,196,194,196,194,192,194,196,196,196,196
  .DB 196,194,194,196,196,196,194,196,192,194,194,194,192,196,196,196
  .DB 196,196,196, 24, 24, 24, 24, 24,196,194,192,194,192,192,192,192
  .DB 192, 24, 24, 24, 24, 24, 24, 24,193,193,193,193,193,193,193,193
  .DB 193,  7,  8,  7, 15, 57, 58, 56, 58, 56, 56, 57,113, 58, 57, 56
  .DB  57, 58, 56, 16,  8,  7,  8,192,192,192,192,192,192,192,192,192
  .DB 192,192,192,192,192,192,192,192,192,192,192,192,192, 24, 34, 12
  .DB  13, 13, 13, 13, 13, 13, 13, 13, 14,  6, 24,193,193,193,193,193
  .DB 193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193
  .DB 193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193
  .DB 193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193
  .DB 193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193
  .DB 193,193,193,193,193,193,193,193,193,193, 24, 24,192,192, 24,192
  .DB 192, 24, 24,192,192, 24,192,192, 24, 24,192,192, 24,192,192, 24
  .DB  24,192,192, 24,192,192, 24, 24,193,193,193,193,193,193,193,193
  .DB 193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193
  .DB 193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193
  .DB 193,193,193,193,193,193,193,193,193,193,193,193,193,193,193, 24
  .DB 193,193,193,193,193,193,193, 24,193,193,193,193,193,193,193, 24
  .DB 193,193,193,193,193,193,193, 24,193,193,193,193,193,193,193,193
  .DB 193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193
  .DB 193,193,193,193,193,193,193,193, 24,193,193, 24, 24,193,192,192
  .DB 192,192,192,193, 24,193,193, 24,193,193, 24,193,193, 24,193,193
  .DB 193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193
  .DB 193,192,193,193,192,193,193,192,193,193,192,193,193,192,193,193
  .DB 192,193,193,192,193,193,192,193,193,192,193,193,192,193,193,192
  .DB 193,193,192,195,193,192,193,193,192,193,193,194,192,192,192,192
  .DB 192,194,192,194,194,192,192,194,192,192,192,192,192,194,192,192
  .DB 192,192,194,192,194,194,194,192,192,192,192,194,192,192,192,192
  .DB 192,192,192,194,192,194,192,192,194,192,192,194,192,192,192,194
  .DB 192,192,192,194,194,192,192,194,194,194,194,192,192,194,194,192
  .DB 192,192,194,192,192,192,192,192,194,192,194,192,192,192,194,192
  .DB 194,194,192,194,194,192,196,192,194,196,194,192,196,196,196,194
  .DB 194,192,194,196,194,194,194,192,194,192,194,192,194,194,194,196
  .DB 196,196,196,196, 24, 24, 24,196,196,194,194,192,194,192,192,194
  .DB 192, 24, 24, 24, 24, 24, 24, 24,193,193,193,193,193,193,193,195
  .DB 193, 34,  6, 34, 12, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13
  .DB  13, 13, 13, 14,  6, 34,  6,192,193,193,193,193,193,193,193,193
  .DB 193,193,193,193,193,193,193,193,193,193,193,193,192, 24, 24, 24
  .DB  24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24,193,192,192,192,192
  .DB 192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,193

.ORG H'E280
cave_data:
.DB     H'FF    ; CC0
.DB     H'10    ; CC01
.DB     H'1C    ; CC02
.DB     H'0C    ; CC03
.DB     H'00    ; CC11
.DB     H'10    ; CC12
.DB     H'17    ; CC13
.DB     H'13    ; CC21
.DB     H'37    ; CC22
.DB     H'16    ; CC23
.DB     H'0C    ; CC31
.DB     H'28    ; CC32
.DB     H'18    ; CC33

.DB     H'37    ; CCS11              ;enemy 1
.DB     H'13    ; CCS12
.DB     H'03    ; CCS13
.DB     H'26    ; CCS21              ;enemy 2
.DB     H'10    ; CCS22
.DB     H'00    ; CCS23

.DB     H'00    ; E_POWER
.DB     H'01    ; E_PAL
.DB     H'06    ; E_ATIME
.DB     H'01    ; E_IXV
.DB     H'01    ; E_IYV
.DB     HOVER   ; E_MTYPE
.DB     212     ; E_STAGE0
.DB     216     ; E_STAGE1
.DB     220     ; E_STAGE2
.DB     224     ; E_STAGE3

.DB     H'01    ; E_POWER
.DB     H'02    ; E_PAL
.DB     H'09    ; E_ATIME
.DB     H'01    ; E_IXV
.DB     H'01    ; E_IYV
.DB     DBOMB   ; E_MTYPE
.DB     6*4     ; E_STAGE0
.DB     7*4     ; E_STAGE1
.DB     8*4     ; E_STAGE2
.DB     7*4     ; E_STAGE3

.DB     H'00    ; E_POWER
.DB     H'00    ; E_PAL
.DB     H'06    ; E_ATIME
.DB     H'01    ; E_IXV
.DB     H'01    ; E_IYV
.DB     HOP     ; E_MTYPE
.DB     228     ; E_STAGE0
.DB     232     ; E_STAGE1
.DB     236     ; E_STAGE2
.DB     232     ; E_STAGE3

.DB     H'01    ; E_POWER
.DB     H'00    ; E_PAL
.DB     H'06    ; E_ATIME
.DB     H'01    ; E_IXV
.DB     H'01    ; E_IYV
.DB     HOP     ; E_MTYPE
.DB     228     ; E_STAGE0
.DB     232     ; E_STAGE1
.DB     236     ; E_STAGE2
.DB     232     ; E_STAGE3

.DB     T_SHIELD+4; ITM_ID
.DB     T_SHIELD; ITM_TYPE
.DB     32*4    ; ITM_SHP
.DB     CAN1    ; ITM_C1
.DB     CAN2    ; ITM_C2
.DB     CAN3    ; ITM_C3
.DB     0       ; ITM_PAGE
.DB     33      ; ITM_X
.DB     3       ; ITM_Y

.DB     T_GOLD  ; ITM_ID
.DB     T_GOLD  ; ITM_TYPE
.DB     31*4    ; ITM_SHP
.DB     H'10    ; ITM_C1
.DB     0       ; ITM_C2
.DB     H'17    ; ITM_C3
.DB     1       ; ITM_PAGE
.DB     70      ; ITM_X
.DB     7       ; ITM_Y

.DB     T_WAND  ; ITM_ID
.DB     T_WAND  ; ITM_TYPE
.DB     11*4    ; ITM_SHP
.DB     H'30    ; ITM_C1
.DB     H'22    ; ITM_C2
.DB     H'12    ; ITM_C3
.DB     1       ; ITM_PAGE
.DB     140     ; ITM_X
.DB     7       ; ITM_Y

.DB     0       ; DOOR_PAGE
.DB     5       ; DOOR_X
.DB     8*16+16 ; DOOR_Y
.DB     2       ; DOOR_TWORLD              ; To lake / moon
.DB     0       ; DOOR_TPAGE
.DB     5       ; DOOR_TX
.DB     10*16+16; DOOR_TY
.DB     0*DOOR_SIZE ; DOOR_TDOOR

.DB     0       ; DOOR_PAGE
.DB     H'20    ; DOOR_X
.DB     3*16+16 ; DOOR_Y
.DB     5       ; DOOR_TWORLD              ; To depr. one
.DB     1       ; DOOR_TPAGE
.DB     H'61    ; DOOR_TX
.DB     9*16+16 ; DOOR_TY
.DB     3*DOOR_SIZE ; DOOR_TDOOR

.DB     0       ; DOOR_PAGE
.DB     H'6E    ; DOOR_X
.DB     5*16+16 ; DOOR_Y
.DB     5       ; DOOR_TWORLD              ; To depr. two
.DB     1       ; DOOR_TPAGE
.DB     H'F4    ; DOOR_TX
.DB     10*16+16; DOOR_TY
.DB     4*DOOR_SIZE ; DOOR_TDOOR

.DB     1       ; DOOR_PAGE
.DB     H'61    ; DOOR_X
.DB     9*16+16 ; DOOR_Y
.DB     5       ; DOOR_TWORLD              ; Depr. one
.DB     0       ; DOOR_TPAGE
.DB     H'20    ; DOOR_TX
.DB     3*16+16 ; DOOR_TY
.DB     1*DOOR_SIZE ; DOOR_TDOOR

.DB     1       ; DOOR_PAGE
.DB     H'F4    ; DOOR_X
.DB     10*16+16; DOOR_Y
.DB     5       ; DOOR_TWORLD              ; Depr two
.DB     0       ; DOOR_TPAGE
.DB     H'6E    ; DOOR_TX
.DB     5*16+16 ; DOOR_TY
.DB     2*DOOR_SIZE ; DOOR_TDOOR

.DB     0,0,0,0,0,0,0,0
.DB     0,0,0,0,0,0,0,0
.DB     0,0,0,0,0,0,0,0

.DB     H'04    ; DC1
.DB     H'04    ; DC2
.DB     H'04    ; DC3
.DB     25      ; FT_TILE

.ORG H'E320
cave_map:
  .DB  12,  7,  7,  7, 12, 16, 12,  7,  7,  7, 16, 12,  7, 16, 14,  7
  .DB   7, 16,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7, 16,  7, 15
  .DB  30, 92, 92, 93, 93, 93, 92, 92, 30, 30, 91, 91, 91, 30, 91, 13
  .DB   7, 16,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7, 12,  7,  7
  .DB   7,  7,  7,  7,  7,  7, 12,  7,  7,  7,  7,  7,  7, 12,  7,  7
  .DB   7,  7,  7,  8,  8,  8,  7, 12,  7,  7,  7,  7, 12,  7,  7,  7
  .DB   7,  8,  8,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7
  .DB   7,  8,  8,  8,  7,  7, 20, 12,  7,  7, 15, 30, 91, 30, 91, 20
  .DB  30, 91, 30, 20, 91, 91, 92, 92, 30, 30, 91, 30, 14, 91, 91, 92
  .DB  92, 92, 93, 92, 92, 30, 91, 91, 91, 91, 30, 30, 14, 92, 92, 92
  .DB  30, 14, 14, 30, 13, 14, 20, 14, 14, 20, 20, 14, 14, 20, 14, 14
  .DB  30, 91, 30, 13, 20,  7,  7,  7, 16, 20,  7, 20,  7, 15, 30, 91
  .DB  13,  8,  8,  8, 15, 30, 91, 30, 91, 91, 91, 91, 91, 91, 91, 30
  .DB  13, 14, 15, 30, 13, 20, 30, 14, 30, 91, 91, 91, 30, 91, 91, 91
  .DB  91, 30, 13, 15, 30, 14, 30, 91, 91, 91, 91, 91, 91, 13,  7,  7
  .DB   7, 16,  7,  7,  7,  7,  7,  7, 16,  7,  7,  7, 20,  7, 20,  7
  .DB   7, 20, 30, 13,  8,  7, 20, 20, 15, 30, 91, 91, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 30, 13,  7,  7, 15, 91, 30, 91, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 30, 91, 91, 91, 91, 91, 91, 91, 30, 92, 91, 13
  .DB   7,  7,  7,  7,  7,  7,  7, 15, 91, 91, 91, 13, 20, 13,  7,  7
  .DB   7,  7, 15, 30,  7, 15,126,126, 91, 13,  7,  7,  7, 15, 30, 91
  .DB  91, 91, 91, 91, 91, 30, 91, 91, 13,  7, 15, 13, 15, 13,  7,  7
  .DB   7,  7,  7, 16,  7,  7,  7, 16,  7,  7,  7, 15, 13,  7,  7,  7
  .DB   7, 15, 91, 91, 91, 91, 91, 13,  7,  8,  8,  7, 15, 30, 13, 15
  .DB  13,  7, 15, 91, 30, 92, 13,  7,  7,  7,  7,  7,  7,  7,  7,  7
  .DB   7, 16,  7,  7,  7,  8, 15, 30, 92, 92, 92, 13,  8,  8,  7,  7
  .DB   7, 15, 91, 30, 91, 91, 91, 30, 91, 91, 91, 13,  7, 15, 91, 91
  .DB  91, 91, 91, 13,  8,  8,  8,  7,  7, 15, 13,  7,  7, 16,  7,  7
  .DB   7,  7,  7,  7, 16,  7,  7,  7,  7,  7, 15, 91, 91, 91, 13,  7
  .DB  20, 15, 30, 20, 91, 30, 20, 91, 13,  7,  7,  8,  7, 16,  8,  8
  .DB   7,  8,  7,  7,  7,  7,  7,  7,  7, 16,  7,  7,  7,  7,  7,  7
  .DB  16,  7,  7,  7, 15, 30, 91, 91, 30, 91, 13, 12,  7,  7,  7, 16
  .DB   7,  7,  8,  7,  7,  7,  7,  7, 12, 16, 16,  7,  7,  8, 14, 12
  .DB   7,  7,  7,  8,  7,  7,  7, 16,  7,  7, 16,  7,  7,  7, 15, 91
  .DB 126,126, 92, 93,153, 93, 92, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  13,  7,  7,  7,  7,  7,  7, 16, 12,  7,  7, 12,  7,  7,  7, 16
  .DB   7,  7,  7,  7,  7,  7,  7,  7, 16,  7,  7,  7,  7,  7, 16,  7
  .DB   7, 15, 30, 91, 91, 91, 91, 91, 30, 13,  7,  7,  7,  7,  7, 15
  .DB  30, 92, 91, 30, 92, 30, 91, 91, 91, 13,  7,  7, 12, 15, 91, 91
  .DB  92, 92, 93, 92, 30, 12, 20,  7, 15, 30, 91, 91, 91, 91, 91, 20
  .DB  91, 91, 91, 14, 91, 92, 92, 92, 92, 91, 91, 91, 91, 91, 91, 92
  .DB  92, 93, 93, 93, 92, 92, 91, 91, 91, 91, 91, 91, 92, 92, 92, 92
  .DB  92, 91, 14, 91, 91, 91, 20, 20, 91, 14, 14, 20, 20, 14, 91, 91
  .DB  91, 91, 91, 91, 14, 30, 91, 13,  7, 14,  7, 20,  7, 91, 91, 92
  .DB  92, 92, 92, 92, 92, 91, 91, 91, 91, 91, 92, 92, 92, 92, 92, 92
  .DB  91, 91, 91, 91, 91, 14, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 30
  .DB  13,  7,  7,  7,  7,  7, 16,  7,  7,  7, 15, 30, 20, 30, 20, 15
  .DB  30, 20, 91, 92, 91, 30, 20, 14, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 91, 92, 92, 92, 92, 92, 30, 91, 91, 91, 91, 91, 91, 91, 92
  .DB  91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  30, 91, 91, 30, 30, 91, 91, 91, 91, 91, 91, 91, 14, 91, 30, 91
  .DB  91, 30, 91, 92, 30,126,126, 92, 92, 92, 30, 91, 30, 91, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 91, 91, 30, 91, 91, 91, 91, 30, 30
  .DB  13,  7, 16,  7,  7, 15, 91, 91, 30, 91, 91, 91, 91, 91, 30, 91
  .DB  30, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 30, 91, 91, 92, 92
  .DB  91, 30, 92, 92, 92, 92, 92, 91, 30, 13,  7,  7, 16,  7,  7,  7
  .DB   7,  7,  7, 15, 30, 91, 91, 92, 92, 93, 92, 92, 91, 91, 30, 91
  .DB  30, 91, 92, 91, 91, 91, 91, 91, 91, 91, 91, 91, 30, 91, 91, 91
  .DB  91, 91, 91, 92, 92, 92, 91, 30, 30, 91, 91, 30, 13,  7,  7,  7
  .DB   7, 16,  7,  7,  7,  7, 15, 91, 30, 30, 91, 92, 92, 91, 91, 30
  .DB  20, 91, 91, 14, 91, 91, 20, 91, 91, 30, 91, 91, 30, 30, 92, 91
  .DB  30, 91, 91, 30, 13,  7,  7,  7, 15, 30, 91, 91, 91, 91, 30, 13
  .DB   7,  7, 15, 30, 91, 91, 91, 91, 91, 91, 91, 12, 16,  7,  7,  7
  .DB   7, 15, 91, 13,  8,  8,  8,  7, 12,  7,  8,  8, 15, 30, 14, 91
  .DB  30, 30, 91, 91, 13,  8,  7,  7,  7,  7,  7,  7,  7,  7, 91, 91
  .DB 124,125, 92, 92, 90, 92, 91, 91, 91, 91, 91, 91, 92, 91, 91, 91
  .DB  91, 30, 91, 30, 13,  7,  8,  7,  7,  8,  8,  8,  8,  8,  7,  7
  .DB   7,  7,  7,  7, 12,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,  7
  .DB  15, 91, 91, 91, 91, 91, 91, 91, 91, 91, 30, 30, 91, 91, 30, 91
  .DB  92, 92, 93, 92, 92, 92, 91, 91, 91, 91, 30, 30, 30, 91, 91, 92
  .DB  92, 93, 93, 93, 92, 13, 20, 16, 91, 91, 91, 91, 91, 91, 91, 14
  .DB  91, 91, 91, 91, 91, 92, 92, 93, 92, 92, 91, 91, 91, 91, 92, 92
  .DB  92, 93,153, 93, 92, 92, 91, 91, 91, 91, 91, 92, 92, 92, 93, 92
  .DB  91, 92, 91, 91, 91, 91, 14, 14, 91, 91, 14, 20, 20, 91, 91, 92
  .DB  91, 91, 91, 91, 14, 92, 91, 91, 30, 20, 13, 14, 30, 91, 92, 92
  .DB  92, 92, 93, 92, 92, 92, 91, 91, 91, 92, 92, 92, 92, 93, 92, 92
  .DB  92, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 92
  .DB  91, 91, 91, 91, 91, 91, 91, 91, 91, 92, 91, 91, 91, 91, 91, 91
  .DB  91, 30, 92, 30, 13,  7,  7, 15, 30, 30, 91, 91, 14, 91, 20, 91
  .DB  91, 20, 92, 92, 92, 92, 14, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 91, 92, 92, 92, 93, 92, 92, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 91, 92, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 91,126, 92, 92, 92, 92, 92, 92, 92, 91, 91, 91, 91, 91, 91
  .DB  91, 91,  0,  0, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 13,  7, 15, 30, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 92
  .DB  91, 91, 91, 91, 91, 91, 91, 91, 91, 92, 92, 91, 92, 92, 92, 92
  .DB  92, 92, 92, 92, 93, 92, 92, 92, 91, 91, 13,  7,  7,  7,  7, 16
  .DB   7, 15, 30, 91, 91, 91, 92, 92, 93, 93, 93, 92, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 91, 92, 92, 92, 92, 91, 91, 91, 91, 91, 91, 91, 30, 13,  7
  .DB   7, 15, 30, 91, 91, 30, 91, 92, 92, 92, 93, 93, 92, 92, 92, 91
  .DB  20, 91, 91, 91, 91, 91, 14, 91, 91, 91, 91, 91, 92, 92, 92, 92
  .DB  92, 92, 91, 91, 91, 30, 30, 30, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 30, 91, 91, 91, 91, 91, 91, 91, 91, 91, 12,  7,  7,  7,  7
  .DB  16, 91, 91, 91, 91, 91, 91, 13,  8,  8, 15, 91, 91, 91, 14, 91
  .DB  91, 91, 91, 91, 91, 30, 13,  8,  7, 16,  7,  7, 16,  7, 91, 91
  .DB 124,125, 92, 92, 92, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 30, 30, 30, 92, 91, 30, 91, 13,  7
  .DB  15, 30, 13,  7,  7,  7, 16,  7,  7,  7,  7, 12,  7,  7, 15, 30
  .DB  91, 91, 92, 92, 92, 92, 91, 91, 91, 91, 91, 91, 92, 91, 92, 92
  .DB  92, 93, 93, 93, 92, 92, 91, 91, 91, 92, 91, 91, 91, 91,126,126
  .DB  92, 93,153, 93, 92, 91, 20, 30, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 92, 92, 93, 93, 93, 92, 92, 91, 91, 91, 91, 92
  .DB  92, 92, 90, 92, 92, 92, 91, 91, 91, 91, 92, 92, 92, 93, 93, 93
  .DB  92, 92, 91, 91, 91, 91, 20, 91, 91, 91, 91, 14, 14, 91, 91, 91
  .DB  91, 91, 91, 92, 92, 92, 92, 91, 91, 20, 91, 91, 91, 91, 92, 92
  .DB  92, 93, 93, 93, 92, 92, 91, 91, 91, 92, 92, 92, 93, 93, 93, 92
  .DB  92, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  92, 92, 92, 92, 91, 30, 30, 91, 91, 91, 91, 91, 91, 91, 20, 91
  .DB  91, 20, 92, 92, 93, 92, 92, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  92, 92, 92, 92, 93, 93, 93, 92, 92, 91, 91, 91,  0,  0, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 91, 92, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  92, 92, 92, 91, 93, 92, 92, 93, 91, 92, 92, 91, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 91, 91, 91,  2,  2,  2, 92, 92, 92
  .DB  91, 91, 30, 92, 92, 92, 91,  0,  0,  0,  0,  0,  0,  0, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 92, 92, 92, 92, 92, 92, 92, 92, 93
  .DB  92, 92, 92, 93, 93, 93, 92, 92, 91, 91, 91, 30, 13,  7,  7,  7
  .DB  15, 91, 91, 91, 91, 92, 92, 92, 93,153, 93, 92, 92, 91, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 92, 92, 92, 93, 92, 92, 91, 91, 91, 91, 91, 91, 91, 91, 30
  .DB  30, 91, 91, 92, 91, 91, 92, 92, 92, 93, 93, 93, 93, 92, 92, 92
  .DB  14, 91, 91, 91, 91, 91, 91, 91, 91, 91, 92, 92, 92, 92, 93, 92
  .DB  92, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 12, 16, 12,  7, 16
  .DB  16, 91, 92, 93, 92, 91, 91, 92, 93, 92, 92, 91, 91, 91, 91, 91
  .DB  91, 92, 91, 91, 91, 91, 91, 13,  8,  8,  8,  8,  8,  8,  7,  7
  .DB   7,  7,  7, 16, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 91, 91, 92, 92, 93, 92, 91, 91, 30
  .DB  91, 91, 91, 13,  7,  7,  7,  7,  7,  7,  7,  7,  7, 15, 91, 91
  .DB  91, 92, 92, 92, 92, 92, 92, 91, 91, 91, 91, 91, 91, 91, 92, 92
  .DB  92, 93,153, 93, 92, 92, 91, 91, 91, 91, 91, 91, 91, 91,124,125
  .DB  92, 92, 90, 92, 91, 91, 92, 91, 91, 91, 91, 91, 92, 91, 91, 91
  .DB  91, 91, 91, 91, 92, 92, 93,153, 93, 92, 92, 91, 91, 91, 91, 91
  .DB  92, 92, 92, 92, 92, 91, 91, 91, 91, 91, 91, 92, 92, 93,153, 93
  .DB  92, 92, 91, 92, 91, 91, 14, 91, 91, 91, 91, 20, 14, 91, 91, 91
  .DB  91, 91, 92, 92, 92, 92, 92, 92, 91, 14, 91, 91, 91, 91, 92, 92
  .DB  92, 93,153, 93, 92, 92, 91, 91, 91, 91, 92, 92, 93,153, 93, 92
  .DB  91, 91, 91, 91, 91, 91, 91, 91, 18, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 92
  .DB  92, 92, 92, 93, 92, 92, 91, 92, 91, 91, 91, 91, 91, 91, 14, 91
  .DB  91, 20, 92, 93, 93, 93, 92, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 92, 92, 92, 93,153, 93, 92, 92, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 92, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  92, 92, 92, 93, 93, 93, 93, 93, 93, 92, 92, 91, 91, 91, 91,  0
  .DB   0, 91, 91, 91, 91, 91, 91, 91,  2,  2,  2,  2,  2, 92, 92, 92
  .DB  91, 91, 92, 92, 92, 92, 92,  2,  2,  2,  2,  2,  2,  0,  0,  0
  .DB  91, 91, 91, 91, 91, 91, 91, 92, 92, 92, 93, 92, 92, 92, 93, 93
  .DB  93, 92, 92, 93,153, 93, 92, 92, 91, 91, 91, 91, 91, 30, 30, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 92, 92, 90, 92, 92, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 92, 92, 93, 93, 93, 92, 92, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 92, 92, 93,153,153, 93, 92, 92, 92
  .DB  91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 92, 92, 92, 93, 93, 93
  .DB  92, 92, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 12,  7,  7,  7,  7
  .DB  12, 91, 93, 93, 93, 92, 92, 93, 93, 93, 92, 91, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 92, 92, 93, 93, 93, 93, 91, 92, 30, 91
  .DB  30, 30, 91, 30, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 91, 92, 92, 93, 93, 93, 92, 91, 91
  .DB  91, 91, 91, 91, 30, 13,  7,  7,  7, 12,  7, 15, 30, 91, 91, 92
  .DB  91, 91, 92, 92, 93, 92, 92, 92, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  92, 92, 90, 92, 92, 91, 91, 91, 91, 91, 91, 91, 91, 91,124,125
  .DB  91, 92, 92, 92, 92, 92, 92, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 92, 92, 92, 90, 92, 92, 91, 91, 91, 91, 91,  0
  .DB   0,  0,  0,  0,  0,  0, 91, 91, 91, 91, 91, 92, 92, 92, 90, 92
  .DB  92, 92, 91, 91, 91, 91, 91, 91, 91, 91, 91, 20, 91, 91, 91, 91
  .DB  91, 92, 92, 92, 92, 93, 92, 92, 92, 91, 91, 91, 91, 91, 92, 92
  .DB  92, 92, 90, 92, 92, 91, 91, 91, 91, 91, 92, 92, 92, 90, 92, 92
  .DB  91, 91, 91, 92, 91, 91, 91, 91, 14, 91, 91, 91, 91, 91, 18, 91
  .DB  91, 91, 91, 91, 91, 91, 18, 91, 91, 91, 91, 91, 91, 91, 91, 92
  .DB  92, 92, 93, 93, 93, 92, 92, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 14, 92, 93,153, 93, 92, 91, 91, 91, 91, 91, 91,  0,  0,  0
  .DB   0, 91, 92, 92, 92, 90, 92, 92, 91, 91, 92, 91, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 92, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 10, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 92, 92, 93,153, 93, 93,153, 93, 92, 91, 91, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 92, 91,  2,  2,  2,  2,  2,  2,  2, 92, 93, 92
  .DB  92, 91, 92, 92, 92, 93, 92,  2,  2,  2,  2,  2,  2,  2, 91,  0
  .DB   0,  0, 91, 91, 91, 91, 92, 92, 92, 93, 93, 93, 92, 92, 93,153
  .DB  93, 92, 92, 92, 90, 92, 92, 91, 91, 91, 92, 91, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 92, 92, 92, 92, 91, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 10, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 92, 92, 93,153, 93, 92, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 91, 92, 92, 90, 90, 92, 92, 91, 91
  .DB  91, 91, 91, 10, 91, 91, 91, 91, 91, 91, 91, 92, 92, 93,153, 93
  .DB  92, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 92, 91, 91, 91, 91, 91, 91, 91, 91, 91, 12,  7,  7,  7,  7
  .DB  16, 91, 93,153, 93,126,126, 93,153, 93, 91, 91, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 91, 92, 92, 93, 93,153,153, 93, 93, 92, 92, 91
  .DB  91, 91, 91, 91, 91,  1,  1, 91, 91, 91,  1,  1, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 91, 92, 92, 93,153, 93, 92, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 30, 30, 30, 91, 91, 91, 91, 91, 91
  .DB  91, 92, 92, 93, 93, 93, 92, 92, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 92, 92, 92, 91, 91, 91, 91, 91, 91, 91, 91,195,195,195,195
  .DB 195,195,195,195, 20, 20, 20, 14, 15, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 92, 92, 92, 91,  0,  0,  0, 91, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 91,  0,  0,  0, 91, 92, 92, 92, 92
  .DB  92, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 14, 91, 91, 91, 91
  .DB  91, 92, 92, 92, 93, 93, 93, 92, 92, 91, 91, 91, 91, 91, 92, 91
  .DB  92, 92, 92, 92, 91, 91, 91, 91, 91, 91, 91, 91, 92, 92, 92, 92
  .DB  91, 91, 91, 91, 91, 91, 18, 91, 20, 91, 91, 18, 91, 91, 14, 91
  .DB  91, 91, 91, 92, 91, 91, 14, 91, 91, 91, 18, 91, 91, 91, 91, 92
  .DB  92, 92, 93,153, 93, 92, 92, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 91, 92, 92, 90, 92, 92, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 91, 92, 92, 92, 92, 92, 92,  0,  0,  0, 91, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 10, 91, 91, 91
  .DB  91, 10, 91, 91, 91, 91,  9, 91, 91, 91, 91, 92, 91, 91, 10, 91
  .DB  91, 92, 92, 92, 90, 92, 92, 90, 92, 92, 10, 91,  0,  0, 91, 91
  .DB  91, 91, 91, 91,  2,  2,  2,  2,  2,  2,  2,  2,  2, 93, 93, 93
  .DB  92, 92, 92, 92, 93, 93, 93,  2,  2,  2,  2,  2,  2,  2, 91, 92
  .DB  92,  0,  0,  0, 91, 91, 91, 92, 92, 93,153, 93, 92, 92, 92, 90
  .DB  92, 92, 92, 92, 92, 92, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 92, 91, 91, 10, 91
  .DB  91, 10, 92, 91, 91, 91, 91,  9, 91, 92, 91, 91, 91, 91, 91, 10
  .DB  91, 91, 92, 92, 90, 92, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 91, 91, 92, 92, 92, 92, 91, 91, 91
  .DB  91, 91, 91,  9, 91, 91, 10, 91, 91, 91, 91, 91, 92, 92, 90, 92
  .DB  91, 91, 91, 91, 91, 91, 91, 18, 11, 17, 10, 91, 91, 91, 92, 92
  .DB  92, 92, 92, 91, 91, 91, 92, 92, 92, 92, 92, 12,  7,  7, 12,  7
  .DB  16, 91, 92, 90, 92,124,125, 92, 90, 92, 91, 91, 91, 91,  1,  1
  .DB   1,  1,  1, 91, 91, 91, 92, 92, 93, 90, 90, 93, 92, 92, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 91, 92, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 91, 91, 92, 91, 91, 91, 91, 91, 91, 92, 90, 92, 91, 91, 91
  .DB  91, 91, 91, 91, 91, 92, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 92, 92, 93,153, 93, 92, 92, 91, 91, 91,195,195, 91,195,195
  .DB 195, 91,195,195, 91,195,195,195, 91,195,195,195,195,195,195,195
  .DB 195,195,195, 20,  7, 20, 14, 20, 91, 91, 91, 91, 91, 18, 91, 91
  .DB  91, 91, 91, 91, 91, 91,  0,  0, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,  0,  0, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 92, 92, 92, 93,153, 93, 92, 92, 91, 91, 91, 91, 91, 91, 91
  .DB  92, 91, 92, 91, 91, 91, 91, 91, 91, 91, 91, 91, 92, 91, 91, 91
  .DB  91, 91, 91, 91, 18, 91, 14, 91, 14, 91, 91, 14, 91, 91, 20, 91
  .DB  91, 18, 91, 91, 91, 18, 14, 91, 91, 91, 14, 91, 91, 91, 91, 91
  .DB  92, 92, 92, 90, 92, 92, 91, 91, 91, 91, 91, 91, 91, 91, 10, 91
  .DB  91, 91, 91, 92, 92, 92, 92, 92,  0,  0,  0, 91, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 91, 91, 10, 91, 91,  9, 91, 91, 91
  .DB  91,  9, 91, 10, 91, 91,  9, 91, 91, 91, 10, 91, 91, 91,  9, 91
  .DB  91, 91, 92, 92, 92, 92, 92, 92, 92, 91,  9, 91, 91, 91, 91, 91
  .DB  91, 91,  2,  2,  2,  2,  2,  2,  2,  2,  2,  2,  2, 93,153, 93
  .DB  92,126,126, 92, 93,153, 93,  2,  2,  2,  2,  2,  2,  2, 92, 92
  .DB  92, 93, 92,  0,  0,  0, 91, 91, 92, 92, 90, 92, 92, 91, 92, 92
  .DB  92, 92, 91, 91, 91, 91,  0,  0, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 10, 91, 91, 91, 91, 91, 91,  9, 91
  .DB  91,  9, 91, 91, 91, 10, 91,  9, 91, 91, 10, 91, 91, 10, 91,  9
  .DB  91, 91, 91, 91, 92, 91, 91, 91, 91, 91, 91, 91, 85, 91, 85, 85
  .DB  91, 85, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  10, 91, 91,  9, 91, 91,  9, 91, 91, 91, 91, 91, 91, 92, 92, 91
  .DB  91, 91, 91, 91, 18, 11, 10, 14,  7,  7,  9, 91, 91, 91, 91, 92
  .DB  92, 93, 92, 92, 91, 91, 92, 92, 93, 92, 92, 12,  7,  7, 16,  7
  .DB  12, 91, 92, 92, 92,124,125, 91, 92, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 91, 18, 91, 92,  1,  1,  1,  1, 92, 91, 91, 91
  .DB  91, 91,  0,  0, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 91, 91, 92, 92, 92, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 91, 92, 92, 90, 92, 92, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 91, 91, 30, 30, 91, 20, 91, 91, 91, 91, 91, 18, 14, 91, 91
  .DB  91, 91,  0,  0, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 91, 92, 91, 91, 91, 91, 91, 91, 91
  .DB  91,  0,  0, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  18, 18, 92, 92, 92, 90, 92, 92, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 14, 91, 14, 18, 14, 91, 18, 14, 91, 91, 14, 91
  .DB  91, 14, 91, 91, 91, 14, 20, 18, 91, 18, 14, 91, 91, 91, 91, 91
  .DB  91, 92, 92, 92, 92, 92, 91, 91, 91, 91, 91, 91, 91, 91,  9, 91
  .DB  91, 10, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 91,  0,  0,  0,  0, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 10, 91, 91, 91, 91, 91, 10, 91,  9, 91, 91,  9, 91, 91, 10
  .DB  91,  9, 91,  9, 91, 10,  9, 91, 91, 91,  9, 91, 91, 91,  9, 10
  .DB  91, 91, 91, 91, 20, 11, 17,  9, 91, 91,  9, 91, 91, 91, 91, 91
  .DB   2,  2,  2,  2,  2,  2,  2,  2,  2,  2,  2, 18,  2, 92, 90, 92
  .DB  92,124,125, 92, 92, 90, 92,  2,  2,  2,  2,  2,  2,  2, 92, 92
  .DB  93,153, 93, 92, 92,  0,  0,  0, 91, 92, 92, 92, 92, 91, 91, 91
  .DB  91, 91, 91,  0,  0,  0,  0,  0, 91, 91, 18, 11, 17, 11, 10, 91
  .DB  91, 91, 91, 91, 10, 91, 91,  9, 91, 91, 91, 10, 91, 91,  9, 91
  .DB  91,  9, 10, 91, 91,  9, 91,  9, 10, 91,  9, 91, 91,  9, 91,  9
  .DB  10, 91, 91, 91, 91, 91, 91, 91, 85, 91, 18, 17, 11, 17, 11, 11
  .DB  17, 10, 85, 91, 85, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB   9, 91, 91,  9, 91, 91,  9, 10, 91, 91, 91, 10, 91, 91, 91, 91
  .DB  91, 18, 11, 10, 14,  7,  9, 14,  7,  7,  9, 18, 11, 17, 10, 92
  .DB  93,153, 93, 92,126,126, 92, 93,153, 93, 92, 12,  7, 12,  7,  7
  .DB 195,195,195,195,195,195,195,195,195,195,195,195, 91, 91, 91, 91
  .DB  91, 91, 92, 91, 91, 14, 91, 91, 91, 91, 91, 91, 91, 91, 91,  0
  .DB  91, 91,  0,  0, 91, 18, 11, 10, 91, 18, 11, 10, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 91,195,195,195,195,195,195,195,195, 91, 91, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 92, 91, 91, 91, 91, 91, 91, 91, 91, 91, 92, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 92, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 14,  9, 18, 18, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 92, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 91,  0,  0,  0, 91, 91, 91, 91, 92, 91, 91, 18
  .DB  14, 14, 91, 91, 92, 92, 91, 91, 91, 91, 91, 92, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,195,195,195,195, 91
  .DB  91, 91, 18, 91, 14, 18, 14, 14, 20, 18, 14, 14, 18, 91, 14, 18
  .DB  91, 14, 18, 91, 18, 14, 20, 14, 91, 14, 20, 18, 91, 92, 91, 14
  .DB  11, 17, 11, 17, 17, 11, 11, 10, 91, 91, 91, 91, 91, 10,  9, 91
  .DB  91,  9, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 10, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 92, 91, 91, 91,195,195,195,195, 10,195
  .DB 195,  9,195,195,195, 92, 91,  9, 91,  9, 91, 10,  9, 10, 91,  9
  .DB  91,  9, 91,  9, 91,  9,  9, 91, 91, 10,  9, 91, 91, 10,  9,  9
  .DB  91, 91, 10, 91, 20,  7,  7,  9, 91, 10,  9, 91, 91, 91,  2,  2
  .DB   2,  2,  2, 18,  2,  2,  2,  2,  2,  2,  2, 14,  2, 18, 92, 92
  .DB  92,124,125, 92, 92, 92, 92,  2,  2,  2,  2,  2,  2,  2, 18, 92
  .DB  92, 90, 92, 92, 91, 91, 91, 92, 92, 91, 91, 91, 91, 91, 91,  0
  .DB   0,  0,  0,  0,  0,  0,  0,  0, 91, 91, 14,  7,  7,  7,  9, 91
  .DB  91, 10, 91, 91,  9, 91, 91,  9, 10, 91, 91,  9, 91, 10,  9, 10
  .DB  91,  9,  9, 91, 91,  9, 10, 20,  9, 10,  9, 91, 10,  9, 91,  9
  .DB   9, 91, 91, 91, 91, 91, 18, 11, 11, 11, 20,  7,  7,  7,  7,  7
  .DB   7,  9, 17, 17, 11, 10, 91, 91, 10, 10, 10, 10, 10, 10, 91, 91
  .DB   9, 91, 91,  9, 91, 91,  9, 20, 91, 10, 10,  9, 91, 91, 18, 11
  .DB  10, 14,  7,  9, 14,  7,  9, 14,  7,  7,  9, 14,  7,  7,  9, 91
  .DB  92, 90, 92, 91,124,125, 91, 92, 90, 92, 91, 12,  7,  7,  7, 16
  .DB 195,195,195,195,195,195,195,195,195,195,195,195, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 18, 14, 91, 91, 91, 91, 91, 91, 91, 18, 11, 17
  .DB  11, 17, 17, 17, 17, 14,  7,  9, 91, 14, 16,  9, 17, 11, 11, 11
  .DB  11, 10, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 18, 10, 91
  .DB  91, 91,195,195,195,195,195,195,195,195,195,195,195,195, 91, 91
  .DB  14, 10, 14, 14, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 91, 92, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 14, 14, 20, 14, 18
  .DB  91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 91, 18, 91, 91, 91, 91, 91, 91, 91, 91, 92, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 91, 91, 91,195,195,195,195, 18, 14
  .DB  14, 14, 18,195,195,195,195,195, 18, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 91, 91, 14, 91, 91,195,195,195,195,195,195,195,195,195, 91
  .DB  91, 91, 14, 18, 20, 14, 14, 20, 14, 14, 14, 20, 14, 18, 14, 14
  .DB  91, 14, 14, 18, 14, 14, 14, 14, 18, 14, 14, 14, 91, 91, 91, 20
  .DB   7, 12,  7, 12,  7, 18, 17, 17, 10, 91, 91, 91, 10,  9,  9, 91
  .DB  10,  9, 10, 91, 91,  1,  1,  1,  1,  1,  1,  1,  1,  9, 10, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 91, 91, 91,195,195,195,195,  9, 10
  .DB 195,  9, 10,195,195, 92, 91,  9, 10,  9, 10,  9,  9,  9, 91,  9
  .DB  10,  9, 91,  9,  9,  9,  9, 10, 91,  9,  9, 10, 91,  9,  9,  9
  .DB  10, 91,  9, 10, 20,  7,  7,  9, 91,  9,  9, 10,  2,  2,  2,  2
  .DB  10,  2,  2, 20,  2, 18,  2,  2,  2, 18,  2, 14, 18, 14, 18,  2
  .DB   2,  2,  2,  2,  2,  2, 18,  2,  2, 18,  2,  2,  2,  2,  9, 18
  .DB  92, 92, 91, 91, 91, 91, 91, 91, 91, 91,  0,  0,  0,  0,  0,  0
  .DB   0,  0,  0,  0,  0,  0,  0,  0, 91, 91, 14,  7,  7,  7,  9, 91
  .DB  91, 14, 91, 10, 20, 91, 10, 14,  9, 91, 10,  9, 10,  9, 20,  9
  .DB  10, 20,  9, 91, 10,  9,  9,  9,  9, 20,  9, 91,  9,  9, 10,  9
  .DB  20, 10, 10, 91, 91, 91, 20,  7,  7,  7, 20,  7,  7,  7,  7,  7
  .DB   7,  9,  7,  7,  7,  9, 91, 91,  9,  9,  9,  9, 20,  9, 91, 10
  .DB   9, 91, 91,  9, 91, 91, 20,  9, 10,  9, 20,  9, 10, 91, 14,  7
  .DB   9, 14,  7,  9, 14,  7,  9, 14,  7,  7,  9, 14,  7, 16,  9, 92
  .DB  92, 92, 91, 91,124,125, 92, 92, 92, 92, 91, 12,  7,  7, 12,  7
  .DB 195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195
  .DB 195,198,196, 14, 14, 14, 14,196,198, 14, 17, 11, 17, 14,  7, 16
  .DB   7,  7,  7, 12,  7, 14,  7,  9, 91, 14, 16,  9,  7,  7,  7,  7
  .DB   7,  9, 17, 11, 17, 11, 17, 10, 91, 91, 10, 91, 91, 20,  9, 91
  .DB  91, 91,195,195,195,195,195,195,195,195,195,198,197,197,196,198
  .DB  14, 20, 20, 20, 18, 10, 14, 18, 20, 20, 18, 20, 20, 18, 92, 20
  .DB  18, 20, 91, 20, 18, 20, 18, 18, 20, 20, 91, 20, 20, 91, 20, 18
  .DB  20, 91, 20, 18,  9, 14,  9, 14, 14, 20, 14, 14, 14, 14,  9, 14
  .DB  18, 18, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 18, 14, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91
  .DB  91, 91, 91, 91, 91, 91, 91, 92, 91, 91,198,196,197, 14, 14, 14
  .DB  14, 14, 14,196,196,197,197, 14, 14, 14,197,196,195, 92, 91, 91
  .DB 195,198, 14, 14,197,198,196,195,195,195,195,195,195,195,195, 91
  .DB  91, 18, 20, 20, 14, 14, 20, 14, 14, 20, 14, 14, 14, 14, 20, 14
  .DB  18, 14, 14, 20, 14, 20, 14, 14, 20, 14, 14, 14, 91, 91, 91, 20
  .DB   7,  7, 12,  7, 16, 14,  7,  7,  9, 91, 91, 91,  9,  9,  9,  9
  .DB   9,  9,  9, 91, 91,  1,  1,  1,  1,  1,  1, 10,  1,  9,  9, 10
  .DB  91, 91, 91, 91, 91, 91, 91, 91, 91, 91,195,198,197,  9, 18,  9
  .DB   9,  9,  9,196,195, 92, 10,  9,  9,  9,  9,  9,  9,  9, 91,  9
  .DB   9,  9, 91,  9,  9,  9,  9,  9, 91,  9,  9,  9, 91,  9,  9,  9
  .DB   9, 91,  9,  9, 20,  7,  7,  9, 91,  9,  9,  9,  2,  2,  2,  9
  .DB   9, 18,  2, 14, 18, 14,  2, 18,  2, 14,  2, 14, 14, 20, 14, 18
  .DB   2,  2,  2,  2,  2, 18, 14,  2,  2, 14, 18,  2,  2, 18, 14, 14
  .DB  14,  2,  2,  2,  2,  2,  2,  2,  2, 91,  0,  0,  0,  0,  0,  0
  .DB   0,  0,  0,  0,  0,  0,  0,  0, 91, 91, 14,  7,  7,  7,  9, 91
  .DB  18, 14, 10,  9,  9, 91,  9, 20,  9, 91,  9,  9, 20,  9,  9, 20
  .DB   9,  9,  9, 91,  9,  9, 20,  9,  9,  9,  9, 91,  9,  9, 20,  9
  .DB   9,  9,  9, 10, 91, 91, 20,  7,  7,  7, 20,  7,  7,  7,  7,  7
  .DB   7,  9,  7,  7,  7,  9, 91, 91, 20, 20, 20,  9,  9,  9, 91,  9
  .DB   9, 91, 91,  9, 91, 91,  9,  9, 20,  9,  9, 20,  9, 91, 14,  7
  .DB   9, 14,  7,  9, 14,  7,  9, 14,  7,  7,  9, 14, 16,  7,  9, 17
  .DB  17, 11, 11, 11, 11, 11, 17, 11, 11, 17, 11,  7, 16,  7,  7,  7

.ORG    H'FB20
;
; BI-PAGE CODE
;
map_ptr:        .DRW     H'8000
                .DRW     H'9940   ; Forest map
                .DRW     H'B1E0   ; Lake Map
                .DRW     H'80A0   ; Moon Map
                .DRW     H'CA80   ; Base Map
                .DRW     H'E320   ; Cave Map
                .DRW     H'80A0   ; Shed Map
                .DRW     H'B1E0   ; Comp Map
                .DRW     H'9940   ; Castle Map
info_ptr:       .DRW     H'A000
                .DRW     H'98A0   ; Forest data
                .DRW     H'B140   ; Lake Data
                .DRW     H'8000   ; Moon Data
                .DRW     H'C9E0   ; Base Data
                .DRW     H'E280   ; Cave Data
                .DRW     H'8000   ; Shed Data
                .DRW     H'B140   ; Comp Data
                .DRW     H'98A0   ; Castle Data
foo_ptr:        .DB      8+0
                .DB      8+1
                .DB      8+2
                .DB      8+3
                .DB      8+4
                .DB      8+5
                .DB      0+5
                .DB      0+7
                .DB      0+6
foo_data:       .DB      H'00          +H'C
                .DB      H'10          +H'C
                .DB      H'20          +H'C
                .DB      H'30          +H'C
                .DB      H'40          +H'C
                .DB      H'50          +H'C
                .DB      H'60          +H'C
                .DB      H'70          +H'C
                .DB      H'01          +H'C
                .DB      H'11          +H'C
                .DB      H'21          +H'C
                .DB      H'31          +H'C
                .DB      H'41          +H'C
                .DB      H'51          +H'C

init_data:
        ldx     world_no
        lda     foo_ptr,x
        sta     page_val
        tax
        lda     foo_data,x
        sta     foo_data,x
lda H'FFFF ; Debug Board Code
        lda     world_no
        asl     a
        tax
        lda     info_ptr,x
        sta     base_ptr
        lda     info_ptr+1,x
        sta     base_ptr+1

        ldx     #H'C0
        ldy     #0
copy_loop:
        lda     (base_ptr),y      ; Info byte
        sta     world_data,y
        iny
        dex
        bne     copy_loop

        lda     page_val
        and     #H'7
        tax
        lda     foo_data,x
        sta     foo_data,x
lda H'FFFF ; Debug Board Code
        rts


; Called with X,Y = Tile to check
; Returns tile
fetch_map:
        tya
        bpl     ycip
rbv:    lda     #H'3F
        rts
ycip:   sec
        sbc     #12
        bcs     rbv

        txa
        pha                       ; Save X
        ldx     page_val
        lda     foo_data,x
        sta     foo_data,x
lda H'FFFF ; Debug Board Code
        lda     world_no
        asl     a
        tax
        lda     map_ptr,x
        sta     base_ptr
        lda     map_ptr+1,x
        clc
        adc     world_p
        sta     base_ptr+1
        pla                       ; Restore X
        tax

        lda     world_x
        clc
        adc     base_ptr
        sta     base_ptr
        lda     base_ptr+1
        adc     #0
        sta     base_ptr+1
        tya
        asl     a
        clc
        adc     base_ptr+1
        sta     base_ptr+1
        txa
        tay
        lda     (base_ptr),y      ; Get tile no.
        and     #H'3F

        pha                       ; Save Tile
        lda     page_val
        and     #H'7
        tax
        lda     foo_data,x
        sta     foo_data,x
lda H'FFFF ; Debug Board Code
        pla                       ; Restore Tile

        rts


draw_prep:
        lda     draw_busy
        cmp     #0
        bne     draw_prep

        lda     draw_slot
        asl     a                 ; Now we have draw col.
        cmp     #32               ; If on page 2
        bpl     page_2            ; Then jump
        tax
        clc
        adc     #128              ; Add our row offset
        sta     draw_tlow
        lda     #H'20
        sta     draw_thgh
        lda     #H'23
        sta     draw_phgh
        jmp     cont_draw
page_2: sec
        sbc     #32
        tax
        clc
        adc     #128              ; Add our row offset
        sta     draw_tlow
        lda     #H'24
        sta     draw_thgh
        lda     #H'27
        sta     draw_phgh
cont_draw:
        txa                       ; Get original offset
        lsr     a
        lsr     a                 ; offset /= 4
        clc
        adc     #H'C8
        sta     draw_plow

        txa
        pha                       ; Save X
        ldx     page_val
        lda     foo_data,x
        sta     foo_data,x
lda H'FFFF ; Debug Board Code
        lda     world_no
        asl     a
        tax
        lda     map_ptr,x
        sta     base_ptr
        lda     map_ptr+1,x
        clc
        adc     world_p
        sta     base_ptr+1
        pla                       ; Restore X
        tax

        lda     #12
        sta     num_lines
        ldx     #0
main_draw_loop:
        ldy     draw_x            ; Y is our offset from the start of a row
        lda     (base_ptr),y      ; Get tile no.
        and     #H'3F
        asl     a
        asl     a
        sta     tiles,x
        inx
        lda     base_ptr+1
        clc
        adc     #2
        sta     base_ptr+1
        dec     num_lines
        bne     main_draw_loop
;
; Now Load Palet
;
        lda     #12
        sta     num_lines

        lda     world_no
        asl     a
        tax
        lda     map_ptr,x
        sta     base_ptr
        sta     next_ptr
        lda     map_ptr+1,x
        clc
        adc     world_p
        sta     base_ptr+1
        clc
        adc     #2
        sta     next_ptr+1

        ldy     draw_x            ; Y is our offset from the start of a row
        lda     draw_slot
        and     #1
        beq     slot_even
        dey
slot_even:
        ldx     #0
main_pal_loop:
        lda     (base_ptr),y      ; Get tile no.
        pha
        iny
        lda     (base_ptr),y      ; Get tile no.
        pha
        dey
        lda     (next_ptr),y      ; Get tile no.
        pha
        iny
        lda     (next_ptr),y      ; Get tile no.
        pha
        dey
        pla
        and     #H'C0
        sta     temp
        pla
        and     #H'C0
        lsr     a
        lsr     a
        ora     temp
        sta     temp
        pla
        and     #H'C0
        lsr     a
        lsr     a
        lsr     a
        lsr     a
        ora     temp
        sta     temp
        pla
        lsr     a
        lsr     a
        lsr     a
        lsr     a
        lsr     a
        lsr     a
        ora     temp
        sta     pals,x
        inx

        lda     base_ptr+1
        clc
        adc     #4
        sta     base_ptr+1
        adc     #2
        sta     next_ptr+1

        dec     num_lines
        dec     num_lines
        bne     main_pal_loop

        lda     page_val
        and     #H'7
        tax
        lda     foo_data,x
        sta     foo_data,x
lda H'FFFF ; Debug Board Code
        rts

draw_strip:
        jsr     draw_prep
        lda     #1
        sta     draw_busy
        rts

nmi_draw:
        lda     #4
        sta     H'2000
        ldx     #0
        lda     draw_thgh
        sta     H'2006            ; Set page 0 high
        lda     draw_tlow
        STA     H'2006            ; Set page 0 low
nmi_t1:
        lda     tiles,x           ; Get tile no.
        inx
        sta     H'2007
        clc
        adc     #1
        sta     H'2007
        txa
        cmp     #12
        bne     nmi_t1
        ldx     #0
        lda     draw_thgh
        sta     H'2006            ; Set page 0 high
        lda     draw_tlow
        clc
        adc     #1
        STA     H'2006            ; Set page 0 low
nmi_t2:
        lda     tiles,x           ; Get tile no.
        inx
        clc
        adc     #2
        sta     H'2007
        adc     #1
        sta     H'2007
        txa
        cmp     #12
        bne     nmi_t2

        lda     #H'0
        sta     H'2000
;
; Now Draw Palet
;
        ldx     #0
nmi_pal_loop:
        lda     draw_phgh         ; Set up port to write to palet
        sta     H'2006
        lda     draw_plow
        sta     H'2006
        lda     pals,x            ; Get pal val
        inx
        sta     H'2007
        lda     draw_plow
        clc
        adc     #8
        sta     draw_plow
        txa
        cmp     #6
        bne     nmi_pal_loop
        rts

NMI:    pha
        txa
        pha
        tya
        pha
        lda     H'2002
        lda     #6                ; Disable Display
        sta     H'2001            ; Set 32 col. mode for sprites & tiles

; Transfer the sprite table
        lda     #0
        sta     H'2003
        lda     #7
        sta     H'4014

        lda     draw_busy
        cmp     #0
        beq     no_draw
        jsr     nmi_draw
        lda     #0
        sta     draw_busy
        ldx     lc2
        jmp     draw_done

no_draw:
        lda     title_val
        bne     skip_shit

        lda     #H'20
        sta     H'2006
        lda     #H'47
        sta     H'2006
        ldx     #7
dscl:   lda     score-1,x
        sta     H'2007
        dex
        bne     dscl

        lda     #H'20
        sta     H'2006
        lda     #H'58
        sta     H'2006
        ldx     #7
dhscl:  lda     hscore-1,x
        sta     H'2007
        dex
        bne     dhscl

        lda     #H'20
        sta     H'2006
        lda     #H'63
        sta     H'2006
        ldx     #8
dspl:   lda     spowerg-1,x
        sta     H'2007
        dex
        bne     dspl

        lda     #H'20
        sta     H'2006
        lda     #H'77
        sta     H'2006
        ldx     #8
dbpl:   lda     bpowerg-1,x
        sta     H'2007
        dex
        bne     dbpl

        lda     #H'20
        sta     H'2006
        lda     #H'72
        sta     H'2006
        ldx     life
        inx
        stx     H'2007

skip_shit:
	lda	#H'3F
	sta	H'2006
        lda     #H'1D
	sta	H'2006
        lda     aux_c1
        sta     H'2007          ;3F1D
        lda     aux_c2
        sta     H'2007          ;3F1E
        lda     aux_c3
        sta     H'2007          ;3F1F
        ldx     lc1

draw_done:
        inc     turn_count
        lda     turn_count
        cmp     #1
        bne     no_turn
        lda     #0
        sta     turn_count
        lda     #1
        sta     take_turn

no_turn:
        lda     #H'18
        sta     H'2000
        lda     #0
        sta     H'2005
        sta     H'2005
        lda     #H'1E
        sta     H'2001          ; Enable Display

        txa
        pha
        ldx     #H'A0
        jsr     line_count
        pla
        tax
        jsr     aux_count

        lda     #H'1E
        sta     H'2001          ; Enable Display
        lda     scroll_x
        sta     H'2005
        lda     #0
        sta     H'2005
        lda     scroll_p
        ora     scr_status
        sta     H'2000          ;set scroll page and enable next NMI

        pla
        tay
        pla
        tax
        pla
        rti

line_count:
lcd1:   ldy     #4
lcd2:   dey
        bne     lcd2
        dex
        bne     lcd1
        rts

aux_count:
lcd3:   adc     #0
        adc     #0
        dex
        bne     lcd3
        rts

IRQ:	JMP	BOOT
	RTI

BOOT:	SEI			;DISALLOW IRQ INTERRUPTS
	CLD
	LDX	#H'FF
	TXS			;SET UP THE STACK
        LDA     #H'00
        STA     H'2000
        JSR     VERT_WAIT
        JSR     VERT_WAIT
        lda     foo_data
        sta     foo_data
lda H'FFFF ; Debug Board Code
dan_code:
        jmp     dan_code


;THIS SUB WILL WAIT FOR VERTICAL RETRACE ACTIVE.
VERT_WAIT:
V20:	LDA	H'2002
	BPL	V20		;WAIT FOR VERTICAL RETRACE
	RTS

;HERE ARE THE INTERRUPT AND BOOT VECTORS.  
.ORG    H'FFFA
	.DRW	NMI
	.DRW	BOOT
	.DRW	IRQ


